2006-07-06  Paul Eggert  <eggert@cs.ucla.edu>

	Port to hosts whose 'sort' and 'tail' implementations
	treat operands with leading '+' as file names, as POSIX
	has required since 2001.  However, make sure the code still
	works on pre-POSIX hosts.
	* libjava/classpath/ltmain.sh: Don't assume "sort +2" is
	equivalent to "sort -k 3", since POSIX 1003.1-2001 no longer
	requires this.
	This uses the same fix that is already in
	libjava/libltdl/ltmain.sh.

2006-07-04  Peter O'Gorman  <peter@pogma.com>

	* ltconfig: chmod 644 before ranlib during install.

2006-05-15  Mark Wielaard  <mark@klomp.org>

	* configure.ac (VERSION): Set to 0.91.

2006-05-15  Mark Wielaard  <mark@klomp.org>

	* NEWS: Add release date and VMClassLoader.getBootPackages()
	changes.

2006-05-15  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* README: Added CACAO to list of VMs.

2006-05-14  Mark Wielaard  <mark@klomp.org>

	* native/jni/java-net/javanet.c (_javanet_accept): Don't use C++
	comments.

2006-05-14  Chris Burdess  <dog@gnu.org>

	* gnu/xml/dom/DomNode.java: Permit comments and PIs in doctype
	nodes to be preserved during cloneNode.

2006-05-14  Mark Wielaard  <mark@klomp.org>

	PR 27459
	* native/jni/java-net/javanet.c (_javanet_accept): Reset the
	inherited timeout on socket.

2006-05-14  Lillian Angel  <langel@redhat.com>

	* java/util/SimpleTimeZone.java: Reverted patch.
	(SimpleTimeZone): Throw exception if startMonth ==
	endMonth.
	(SimpleTimeZone): Likewise.
	(checkRule): Rewritten to properly check all values (more
	efficently).
	This code is now more stable, at least less buggy than before.
	Fixed API documentation.
	(setStartRule): Moved checkRule call to end.
	(setStartRule): Likewise.
	(setEndRule): Likewise.
	(setEndRule): Likewise.

2006-05-14  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/tree/DefaultTreeSelectionModel.java (leadRow):
	Initialise to -1.

2006-05-14  Robert Schuster  <robertschuster@fsfe.org>

	PR classpath/27595
	* javax/swing/text/AbstractDocument.java:
	(insertString): Flipped if-expression and its blocks.
	(remove): Dito.
	(replace): Flipped if-expression and its blocks, added note, invoke
	insertString and remove instead of insertStringImpl and removeImpl.

2006-05-13  Tom Tromey  <tromey@redhat.com>

	* java/nio/ByteBufferImpl.java (compact): Always set position.

2006-05-11  Mark Wielaard  <mark@klomp.org>

	* java/util/logging/Logger.java (global): Initialize inside static
	PrivilegedAction.

2006-05-11  Mark Wielaard  <mark@klomp.org>

	* java/awt/geom/GeneralPath.java (WIND_EVEN_ODD, WIND_NON_ZERO):
	Fully qualify PathIterator constants

2006-05-10  Roman Kennke <kennke@aicas.com>

	PR classpath/27481
	* javax/swing/plaf/basic/BasicInternalFrameUI.java
	(installDefaults): Set background of content pane to null, if
	no custom color has been installed by the application yet.

2006-05-10  Roman Kennke <kennke@aicas.com>

	PR classpath/27481
	* javax/swing/JRootPane.java
	(createContentPane): Don't set background to null.

2006-05-09  Robert Schuster  <robertschuster@fsfe.org>

	PR classpath/24216
	* javax/swing/text/AbstractDocument.java:
	(insertString): Added more documentation, added argument check.
	(remove): Added more documentation.
	(removeImpl): Added argument check.
	(replace): Added more documentation, added argument check.

2006-05-08  Lillian Angel  <langel@redhat.com>

	* java/net/URLClassLoader.java
	(JarURLLoader): Added check to make sure the INDEX.LIST file
	exists.

2006-05-08  Roman Kennke <kennke@aicas.com>

	PR classpath/27481
	* javax/swing/JRootPane.java
	(createContentPane): Set background of the content pane to null,
	so that the content pane inherits its background from the
	root pane.

2006-05-08  Roman Kennke <kennke@aicas.com>

	PR classpath/27480
	* javax/swing/ButtonGroup.java
	(add): Check if new button is selected and if so, deselect other
	buttons in the group.

2006-05-08  Lillian Angel  <langel@redhat.com>

	PR 27444
	* java/net/URLClassLoader.java
	(JarURLLoader): Added code to go through 
	META-INF/INDEX.LIST file to load all jars listed.

2006-05-08  Roman Kennke <kennke@aicas.com>

	PR classpath/27461
	* javax/swing/ImageIcon.java
	(ImageIcon(URL)): Set description to URL.toString().

2006-05-08  Roman Kennke <kennke@aicas.com>

	PR classpath/27482
	* javax/swing/JTable.java
	(IconCellRenderer.getTableCellRendererComponent): Set icon to
	null when cell value is null.

2006-05-08  Roman Kennke <kennke@aicas.com>

	PR classpath/27484
	* javax/swing/DefaultDesktopManager.java
	(closeFrame): Don't perform default close action on the frame
	to prevent endless loop.

2006-05-08  Roman Kennke <kennke@aicas.com>

	PR classpath/27485
	* javax/swing/table/DefaultTableModel.java
	(addExtraRows): New helper method.
	(checkSize): New helper method.
	(setRowCount): Use addExtraRows helper method.
	(addColumn): Use addExtraRows helper method.
	(getColumnName): Check and adjust size if necessary using
	checkSize().

2006-05-08  Roman Kennke <kennke@aicas.com>

	PR classpath/27486
	* javax/swing/JTable.java
	(setValueAt): Allow setting values even when table is editable.

2006-05-07  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR classpath/27435:
	* java/util/zip/DeflaterEngine.java:
	(deflateFast(boolean,boolean)): Empty buffer when full.
	
2006-05-07  Sven de Marothy <sven@physto.se>

	Fixed PR27343
	* java/util/Calendar.java (setTimeZone): Force recalculation.

2006-05-07  Sven de Marothy <sven@physto.se>

	Fixed PR27463
	* javax/swing/plaf/metal/MetalInternalFrameTitlePane.java
	(propertyChange): Handle FRAME_ICON_PROPERTY property.

2006-05-06  Sven de Marothy <sven@physto.se>

	Fixed PR27454
	* gnu/java/awt/peer/gtk/GtkImage: (drawPixels,drawPixelsScaled): 
	Check for zero image sizes.

2006-05-07  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR classpath/27311:
	* gnu/java/text/StringFormatBuffer.java:
	(toString()): Implemented so we can see the contents.
	* java/text/DecimalFormat.java:
	(formatInternal(double,StringFormatBuffer,FieldPosition)):
	Don't calculate the exponent when the number is 0 or less.
	Also, use log10 instead of log now it's available.

2006-05-07  Sven de Marothy <sven@physto.se>

	Fixed PR27455
	* gnu/java/awt/peer/GLightweightPeer.java (mouseEntered): Remove.
	* java/awt/Component.java (processMouseEvent): 
	Do lightweight cursor handling.
	* javax/swing/plaf/basic/BasicTableHeaderUI.java 
	(endResizing,mouseMoved): Save and reset original cursor, not the 
	default one.

2006-05-07  Roman Kennke <kennke@aicas.com>

	* gnu/java/awt/java2d/RasterGraphics.java: New file.

2006-05-07  Roman Kennke <kennke@aicas.com>

	* gnu/java/awt/java2d/AbstractGraphics2D.java
	(fillShape): Determine user space bounds of shape and feed them
	into the actual rendering pipeline.
	(rawSetPixel): Made non-abstract for now. Maybe remove later.
	(rawSetForeground): Likewise.
	(getDestinationColorModel): Removed.
	(getDeviceBounds): Made non-abstract. Provide useful default impl.
	(rawFillShape): Handle paint context.
	(fillScanline): Implement painting and compositing.
	(fillShapeAntialias): Handle paint context.
	(fillScanlineAA): Implemented preliminary antialiasing based on
	composite context. Not working yet.
	(fillScanlineAlpha): Removed.
	(init): Fetch destination raster.
	(getDestinationRaster): New abstract method.
	(updateRaster): New backend method.

2006-05-07  Roman Kennke <kennke@aicas.com>

	* gnu/java/awt/java2d/AlphaCompositeContext.java
	(compose): Fixed loops, conditions and logic to make compositing
	work correctly.

2006-05-05  Roman Kennke <kennke@aicas.com>

	* java/awt/image/ColorModel.java
	(getNormalizedComponents): Implemented.

2006-05-05  Roman Kennke <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicRadioButtonUI.java
	(paint): Query the button model for it's state, not the
	button itself.

2006-05-05  Roman Kennke <kennke@aicas.com>

	* javax/swing/JTable.java
	(tableChanged): Sync selection model with table model changes.

2006-05-04  Roman Kennke <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicButtonListener.java
	(mouseEntered): Fixed conditions for changing states.

2006-05-04  Roman Kennke <kennke@aicas.com>

	* javax/swing/JOptionPane.java
	(AccessibleJOptionPane.getAccessibleRole): Implemented method.

2006-05-04  Roman Kennke <kennke@aicas.com>

	* javax/swing/JLabel.java
	(AccessibleJLabel.getSelectedText): Return null instead of "".
	(AccessibleJLabel.getSelectionStart): Added comment why
	return -1 is correct here.     	
	(AccessibleJLabel.getSelectionEnd): Added comment why
        return -1 is correct here.
	(AccessibleJLabel.getCharacterAttribute): Added comment about
	what to do here.
	(AccessibleJLabel.getCharCount): Added comment about what
        to do here.
	(AccessibleJLabel.getCharacterBounds): Tagged as not
	implemented.
	(AccessibleJLabel.getIndexAtPoint): Tagged as not implemented.
	(paramString): Return super.paramString() here, this provides
        a more meaningful output.

2006-05-04  Roman Kennke <kennke@aicas.com>

	* javax/swing/JComponent.java
	(paint): Added null check to avoid NPE when clip == null.

2006-05-04  Roman Kennke <kennke@aicas.com>

	* javax/swing/AbstractButton.java
	(addImpl): New method. Installs an OverlayLayout if no
	other layout has been installed before.
	(setLayout): New method. Detect if a client app installs a
	custom layout.
	
2006-05-04  Roman Kennke <kennke@aicas.com>

	* javax/swing/table/DefaultTableCellModel.java
	(noFocusBorder): Fixed width of empty border to 1.
	(getTableCellRendererComponent): Don't change the colors for
	focuses cells. Fixed border for focused cells.
	
2006-05-04  Roman Kennke <kennke@aicas.com>

	* javax/swing/JTable.java
	(moveToCellBeingEdited): Adjust bounding box
	of editing component to exactly cover the grid.
	* javax/swing/plaf/basic/BasicTableUI.java
	(paint): Paint grid to the bottom and right of
	the cells instead of left and top. Adjust bounding
	box of cells accordingly.
	* javax/swing/plaf/metal/MetalLookAndFeel.java
	(initComponentDefaults): Fixed color of JTable
	selection border.
	* javax/swing/plaf/metal/OceanTheme.java
	(addCustomEntriesToTable): Fixed color of JTable
	selection border.

2006-05-04  Raif S. Naffah  <raif@swiftdsl.com.au>

	* tools/gnu/classpath/tools/keytool/ExportCmd.java (setup):
	Use _alias instead of alias.

2006-05-04  Lillian Angel  <langel@redhat.com>

	* javax/swing/JLabel.java
	(JLabel): Pass in an empty string for the text parameter.
	(JLabel): Likewise.
	(JLabel): Likewise.

2006-05-05  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/plaf/basic/BasicTreeUI.java (paint): Return early
	if there are no visible nodes to paint.
	
2006-05-03  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* include/Makefile.am:
	Added rules for gnu.java.net.local.LocalSocketImpl.h
	* include/java_lang_VMSystem.h:
	Regenerated correctly.
	
2006-05-03  Sven de Marothy <sven@physto.se>
       
	PR 24023, 24701
	* java/awt/Image.java:
	(getScaledInstance): Default to AreaAveraging for "smooth", 
	don't thrown an error on illegal flag values.
	* java/awt/image/AreaAveragingScaleFilter.java: Implement.

2006-05-03  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/text/FieldView.java:
	(adjustAllocation): Added if-block to return null when shape argument
	is null.
	* javax/swing/text/PlainView.java:
	(updateDamage): Added if-block to return early if a is null.

2006-05-03  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/plaf/basic/BasicTextUI.java:
	(changeUpdate): Added note.
	(removeUpdate): Dito.
	(insertUpdate): Dito.
	(damageRange): Added if-block to return early.
	(modelToView): Added check of getVisibleEditorRect's return value.
	(getVisibleEditorRect): Return null instead of empty rectangle.
	* javax/swing/text/DefaultCaret.java:
	(clearHighlight): Removed if-clause to create a highlight entry if it
	did not exist before.
	* javax/swing/text/WrappedPlainView.java:
	(WrappedLine.modelToView): Throw exception if allocation area is empty,
	removed 2nd part of if-expression.
	(WrappedLine.updateDamage): Added more documentation, added check
	whether allocation area rectangle is null.

2006-05-03  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/JSplitPane.java (setDividerLocation(int)):
	Reset to preferred sizes if the argument is negative.

2006-05-03  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JList.java: Added/updated API docs.

2006-05-03  Lillian Angel  <langel@redhat.com>

	* javax/swing/JComponent.java
	(getRoot): New private function. Gets the root appropriate
	for painting. If an applet exists as a parent, then it is returned.
	(paintDoubleBuffered): Changed to use new function.
	* javax/swing/RepaintManager.java
	(getRoot): New private function. Gets the root appropriate
	for painting. If an applet exists as a parent, then it is returned.
	(getOffscreenBuffer): Changed to use new function.
	* javax/swing/SwingUtilties.java
	(getRoot): Reverted last patch to return Window, even if 
	an Applet exists.

2006-05-03  Raif S. Naffah  <raif@swiftdsl.com.au>

	* gnu/javax/crypto/jce/keyring/GnuKeyring.java: Re-implemented using
	a pair of one public keyring and one private keyring.
	* gnu/javax/crypto/keyring/GnuPublicKeyring.java (log): New field.
	(containsCertificate): Added logging.
	(getCertificate): Likewise.
	(putCertificate): Likewsie.
	(load): Likewise.
	(store): Likewise.
	* gnu/javax/crypto/keyring/GnuPrivateKeyring.java (log): New field.
	(containsPrivateKey): Added logging.
	(getPrivateKey): Likewise.
	(putPrivateKey): Likewise.
	(containsPublicKey): Likewise.
	(getPublicKey): Likewise.
	(putPublicKey): Likewise.
	(containsCertPath): Likewise.
	(getCertPath): Likewise.
	(putCertPath): Likewise.
	(load): Likewise.
	(store): Likewise.

2006-05-03  Roman Kennke <kennke@aicas.com>

	* gnu/java/awt/java2d/AlphaCompositeContext.java: New class.
	* java/awt/AlphaComposite.java
	(createContext): Implemented.

2006-05-03  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/java/awt/peer/gtk/GdkGraphics2D.java (drawRaster):
	Set the current color again after drawing the raster.

2006-05-03  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/text/WrappedPlainView.java (WrappedLine.modelToView):
	Do not check pos < currLineEnd if currLineStart == currLineEnd.

2006-05-03  Raif S. Naffah  <raif@swiftdsl.com.au>

	* tools/gnu/classpath/tools/keytool/Command.java (getCallbackHandler):
	Assign returned value to field handler.
	* tools/gnu/classpath/tools/jarsigner/Main.java (getCallbackHandler):
	Likewise.

2006-05-02  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/ScrollPaneLayout.java (layoutContainer):
	Return without action if there is no view in the viewport.
	* javax/swing/text/WrappedPlainView.java 
	(WrappedLine.getPreferredSpan): If metrics == null, update
	metrics.
	* javax/swing/tree/DefaultTreeModel.java (constructors):
	Do not call setRoot, assign the root node directly.

2006-05-02  Lillian Angel  <langel@redhat.com>

	* javax/swing/SwingUtilities.java
	(getRoot): Should return the Applet if it exists.
	Only return the Window if an Applet has not been
	encountered.

2006-05-02  Lillian Angel  <langel@redhat.com>

	* gnu/javax/swing/text/html/parser/support/Parser.java
	(readAttributes): Reverted Audrius' last patch. There is 
	a slight difference in code between the NUMTOKEN and SLASH case. 

2006-05-02  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/text/JTextComponent.java:
	(setText): Throw InternalError from catch-block.
	* javax/swing/text/GapContent.java:
	(removed): Removed if-expression, changed '>' to '>='.

2006-05-02  Roman Kennke <kennke@aicas.com>

	* gnu/java/awt/java2d/AbstractGraphics2D.java
	(AA_SAMPLING): New constant.
	(alpha): New field. Used in the antialiasing renderer.
	(edgeTable): New field. Used in the antialiasing renderer.
	(AbstractGraphics2D): Initialize rendering hints wrt
	anti-aliasing.
	(draw): Clip after stroking. Commented out clipping for now,
	it seems to be buggy.
	(fill): Commented out clipping for now, it seems to be buggy.
	(setComposite): Don't create composite context.
	(setPaint): Only change paint when parameter is not null.
	(translate): Call setClip() so subclasses can update their clip
	too.
	(clip): Call setClip() so subclasses can update their clip
	too.
	(drawGlyphVector): Added clipping, but left it commented out
	because it's buggy.
	(getClipBounds): Returns null when clip is null.
	(drawLine): Call rawDrawLine with translation applied.
	(filLRect): Call rawFillRect with translation applied.
	(fillShape): Added support for anti-aliasing.
	(rawSetForeground(int,int,int)): New method.
	(rawFillShape): A couple of painting fixes.
	(fillScanline): Implemented to call rawDrawLine.
	(fillShapeAntialias): New method. Implements an anti-aliasing
	shape filler.
	(fillScanlineAA): New method. Used for the anti-aliasing
	shape filler.
	(fillScanlineAlpha): New method. Used for the anti-aliasing
	shape filler.
	(init): Initialize clip with the device bounds.
	(updateOptimization): Fixed the optimization condition.

2006-05-02  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/text/GapContent.java:
	(GapContent): Restrict size argument by 2.
	(insertString): Changed expression from >= to >.
	(remove): Changed right side of expression to 'length - 1', changed
	exception message.
	(getChars): Throw exception if where below 0.
	(replace): Replaced call to setPositionsInRange() with
	resetMarksAtZero(), removed note.

2006-05-02  Roman Kennke <kennke@aicas.com>

	PR 27326
	* javax/swing/MenuSelectionManager.java
	(setSelectedPath): Rewritten.

2006-05-02  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/javax/swing/text/html/parser/support/Parser.java
	(readAttributes): Merge case NUMTOKEN: and case SLASH:
	sections.

2006-05-02  Raif S. Naffah  <raif@swiftdsl.com.au>

	* tools/.cvsignore: Added keytool.sh.
	* configure.ac: Added tools/keytool.sh to AC_CONFIG_FILES.

2006-05-02  Raif S. Naffah  <raif@swiftdsl.com.au>

	* doc/tools.texinfo: New file.
	* doc/Makefile.am: Generate tools documentation.

2006-05-02  Raif S. Naffah  <raif@swiftdsl.com.au>

	* tools/keytool.sh.in: New file.
	* tools/gnu/classpath/tools/keytool/CertReqCmd.java: Likewise.
	* tools/gnu/classpath/tools/keytool/Command.java: Likewise.
	* tools/gnu/classpath/tools/keytool/DeleteCmd.java: Likewise.
	* tools/gnu/classpath/tools/keytool/ExportCmd.java: Likewise.
	* tools/gnu/classpath/tools/keytool/GenKeyCmd.java: Likewise.
	* tools/gnu/classpath/tools/keytool/IdentityDBCmd.java: Likewise.
	* tools/gnu/classpath/tools/keytool/ImportCmd.java: Likewise.
	* tools/gnu/classpath/tools/keytool/KeyCloneCmd.java: Likewise.
	* tools/gnu/classpath/tools/keytool/KeyPasswdCmd.java: Likewise.
	* tools/gnu/classpath/tools/keytool/ListCmd.java: Likewise.
	* tools/gnu/classpath/tools/keytool/Main.java: Likewise.
	* tools/gnu/classpath/tools/keytool/Messages.java: Likewise.
	* tools/gnu/classpath/tools/keytool/PrintCertCmd.java: Likewise.
	* tools/gnu/classpath/tools/keytool/SelfCertCmd.java: Likewise.
	* tools/gnu/classpath/tools/keytool/StorePasswdCmd.java: Likewise.
	* tools/gnu/classpath/tools/keytool/keytool.txt: Likewise.
	* tools/gnu/classpath/tools/keytool/package.html: Likewise.
	* resource/gnu/classpath/tools/keytool/MessageBundle.properties: Likewise.

2006-05-02  Raif S. Naffah  <raif@swiftdsl.com.au>

	* tools/gnu/classpath/tools/jarsigner/jarsigner.txt: Re-arranged to
	resemble more closely man-page style text.
	* tools/gnu/classpath/tools/jarsigner/SFHelper.java:
	Mark (Eclipse) strings that need not be externalised.
	(writeSF): Likewise.
	(writeDSA): Likewise.
	Use package-private Messages class to provide i18n-ready strings.
	(startSigning):
	Use package-private Messages class to provide i18n-ready strings.
	(updateEntry): Likewise.
	Mark (Eclipse) strings that need not be externalised.
	(finishSigning): Likewise.
	* tools/gnu/classpath/tools/jarsigner/Main.java:
	Mark (Eclipse) strings that need not be externalised.
	(main): Do not use constant strings as class name.
	Use package-private Messages class to provide i18n-ready strings.
	Reduced logging level so INFO becomes FINER, and WARNING becomes FINE.
	(processArgs): Do not use constant strings as class name.
	Mark (Eclipse) strings that need not be externalised.
	Reduced logging level so INFO becomes FINER, and WARNING becomes FINE.
	(start): Do not use constant strings as class name.
	(teardown): Likewise.
	Use ProviderUtil.
	(setupCommonParams): Do not use constant strings as class name.
	Use package-private Messages class to provide i18n-ready strings.
	Reduced logging level so INFO becomes FINER, and WARNING becomes FINE.
	(installNewProvider): Do not use constant strings as class name.
	Use ProviderUtil.
	(setupSigningParams): Do not use constant strings as class name.
	Use package-private Messages class to provide i18n-ready strings.
	Mark (Eclipse) strings that need not be externalised.
	(getCallbackHandler): Use CallbackUtil.
	* tools/gnu/classpath/tools/jarsigner/JarSigner.java (start):
	Use package-private Messages class to provide i18n-ready strings.
	Reduced logging level so INFO becomes FINER, and WARNING becomes FINE.
	* tools/gnu/classpath/tools/jarsigner/JarVerifier.java (start): Likewise.
	(verifySF): Likewise.
	(verifySFEntries): Do not use constant strings as class name.
	Use Boolean.valueOf instead of new Boolean().
	(verifySFEntry): Mark (Eclipse) strings that need not be externalised.
	* resource/gnu/classpath/tools/jarsigner/MessageBundle.properties:
	New file.
	* tools/gnu/classpath/tools/jarsigner/package.html: Likewise.
	* tools/gnu/classpath/tools/jarsigner/Messages.java: Likewise.

2006-05-02  Raif S. Naffah  <raif@swiftdsl.com.au>

	* tools/gnu/classpath/tools/common/CallbackUtil.java: New file.
	* tools/gnu/classpath/tools/common/ProviderUtil.java: Likewise.
	* tools/gnu/classpath/tools/common/SecurityProviderInfo.java: Likewise.

2006-05-01  Tom Tromey  <tromey@redhat.com>

	* java/nio/ByteBufferImpl.java (compact): Don't reset position
	in empty case.
	* gnu/java/nio/ChannelReader.java (read): Synchronize.
	(close): Synchronize.
	* java/nio/ShortBufferImpl.java (compact): Rewrote.
	* java/nio/LongBufferImpl.java (compact): Rewrote.
	* java/nio/IntBufferImpl.java (compact): Rewrote.
	* java/nio/FloatBufferImpl.java (compact): Rewrote.
	* java/nio/DoubleBufferImpl.java (compact): Rewrote.
	* java/nio/CharBufferImpl.java (compact): Rewrote.
	* gnu/java/nio/ChannelWriter.java: New file.
	* java/nio/channels/Channels.java (newWriter): Implemented.

2006-05-01  Lillian Angel  <langel@redhat.com>

	* java/util/SimpleTimeZone.java
	(SimpleTimeZone): Do not throw exception if startMonth == endMonth.
	(SimpleTimeZone): Likewise.
	(checkRule): Rewritten to properly check all values (more efficently). 
	This code is now more stable, at least less buggy than before. Fixed
	API documentation.
	(setStartRule): Moved checkRule call to end.
	(setStartRule): Likewise.
	(setEndRule): Likewise.
	(setEndRule): Likewise.

2006-05-01  Tom Tromey  <tromey@redhat.com>

	* lib/.cvsignore: Added classes.2.

2006-05-01  Tom Tromey  <tromey@redhat.com>

	* java/util/jar/JarFile.java (provider): Now package-private.
	* java/lang/Enum.java (compareTo): Javadoc fix.
	* java/lang/Boolean.java (compareTo): Javadoc fix.

2006-05-01  Lillian Angel  <langel@redhat.com>

	* gnu/javax/swing/text/html/parser/support/Parser.java
	(readAttributes): Formatted function. Added handling for 
	SLASH token. The value of an attribute may start with a slash
	(i.e. a path). I added handling similar to to the NUMTOKEN code.
	We should not be skipping over these type of attributes.

2006-04-30  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* include/gnu_java_awt_peer_gtk_GThreadNativeMethodRunner.h,
	* include/gnu_java_awt_peer_gtk_GdkFontPeer.h,
	* include/gnu_java_awt_peer_gtk_GdkGraphics.h,
	* include/gnu_java_awt_peer_gtk_GdkGraphics2D.h,
	* include/gnu_java_awt_peer_gtk_GdkGraphicsEnvironment.h,
	* include/gnu_java_awt_peer_gtk_GdkPixbufDecoder.h,
	* include/gnu_java_awt_peer_gtk_GdkRobotPeer.h,
	* include/gnu_java_awt_peer_gtk_GdkTextLayout.h,
	* include/gnu_java_awt_peer_gtk_GtkButtonPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkCanvasPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkCheckboxGroupPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkCheckboxMenuItemPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkCheckboxPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkChoicePeer.h,
	* include/gnu_java_awt_peer_gtk_GtkClipboard.h,
	* include/gnu_java_awt_peer_gtk_GtkComponentPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkEmbeddedWindowPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkFileDialogPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkFramePeer.h,
	* include/gnu_java_awt_peer_gtk_GtkGenericPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkImage.h,
	* include/gnu_java_awt_peer_gtk_GtkLabelPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkListPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkMenuBarPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkMenuComponentPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkMenuItemPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkMenuPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkPanelPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkPopupMenuPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkScrollPanePeer.h,
	* include/gnu_java_awt_peer_gtk_GtkScrollbarPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkSelection.h,
	* include/gnu_java_awt_peer_gtk_GtkTextAreaPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkTextFieldPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkToolkit.h,
	* include/gnu_java_awt_peer_gtk_GtkWindowPeer.h,
	* include/gnu_java_awt_peer_qt_MainQtThread.h,
	* include/gnu_java_awt_peer_qt_QMatrix.h,
	* include/gnu_java_awt_peer_qt_QPainterPath.h,
	* include/gnu_java_awt_peer_qt_QPen.h,
	* include/gnu_java_awt_peer_qt_QtAudioClip.h,
	* include/gnu_java_awt_peer_qt_QtButtonPeer.h,
	* include/gnu_java_awt_peer_qt_QtCanvasPeer.h,
	* include/gnu_java_awt_peer_qt_QtCheckboxPeer.h,
	* include/gnu_java_awt_peer_qt_QtChoicePeer.h,
	* include/gnu_java_awt_peer_qt_QtComponentPeer.h,
	* include/gnu_java_awt_peer_qt_QtContainerPeer.h,
	* include/gnu_java_awt_peer_qt_QtDialogPeer.h,
	* include/gnu_java_awt_peer_qt_QtEmbeddedWindowPeer.h,
	* include/gnu_java_awt_peer_qt_QtFileDialogPeer.h,
	* include/gnu_java_awt_peer_qt_QtFontMetrics.h,
	* include/gnu_java_awt_peer_qt_QtFontPeer.h,
	* include/gnu_java_awt_peer_qt_QtFramePeer.h,
	* include/gnu_java_awt_peer_qt_QtGraphics.h,
	* include/gnu_java_awt_peer_qt_QtGraphicsEnvironment.h,
	* include/gnu_java_awt_peer_qt_QtImage.h,
	* include/gnu_java_awt_peer_qt_QtLabelPeer.h,
	* include/gnu_java_awt_peer_qt_QtListPeer.h,
	* include/gnu_java_awt_peer_qt_QtMenuBarPeer.h,
	* include/gnu_java_awt_peer_qt_QtMenuComponentPeer.h,
	* include/gnu_java_awt_peer_qt_QtMenuItemPeer.h,
	* include/gnu_java_awt_peer_qt_QtMenuPeer.h,
	* include/gnu_java_awt_peer_qt_QtPanelPeer.h,
	* include/gnu_java_awt_peer_qt_QtPopupMenuPeer.h,
	* include/gnu_java_awt_peer_qt_QtScreenDevice.h,
	* include/gnu_java_awt_peer_qt_QtScrollPanePeer.h,
	* include/gnu_java_awt_peer_qt_QtScrollbarPeer.h,
	* include/gnu_java_awt_peer_qt_QtTextAreaPeer.h,
	* include/gnu_java_awt_peer_qt_QtTextFieldPeer.h,
	* include/gnu_java_awt_peer_qt_QtToolkit.h,
	* include/gnu_java_awt_peer_qt_QtVolatileImage.h,
	* include/gnu_java_awt_peer_qt_QtWindowPeer.h,
	* include/gnu_javax_sound_midi_alsa_AlsaMidiDeviceProvider.h,
	* include/gnu_javax_sound_midi_alsa_AlsaMidiSequencerDevice.h,
	* include/gnu_javax_sound_midi_alsa_AlsaPortDevice.h,
	* include/gnu_javax_sound_midi_dssi_DSSIMidiDeviceProvider.h,
	* include/gnu_javax_sound_midi_dssi_DSSISynthesizer.h,
	* include/gnu_xml_libxmlj_dom_GnomeAttr.h,
	* include/gnu_xml_libxmlj_dom_GnomeDocument.h,
	* include/gnu_xml_libxmlj_dom_GnomeDocumentBuilder.h,
	* include/gnu_xml_libxmlj_dom_GnomeDocumentType.h,
	* include/gnu_xml_libxmlj_dom_GnomeElement.h,
	* include/gnu_xml_libxmlj_dom_GnomeEntity.h,
	* include/gnu_xml_libxmlj_dom_GnomeNamedNodeMap.h,
	* include/gnu_xml_libxmlj_dom_GnomeNode.h,
	* include/gnu_xml_libxmlj_dom_GnomeNodeList.h,
	* include/gnu_xml_libxmlj_dom_GnomeNotation.h,
	* include/gnu_xml_libxmlj_dom_GnomeProcessingInstruction.h,
	* include/gnu_xml_libxmlj_dom_GnomeTypeInfo.h,
	* include/gnu_xml_libxmlj_dom_GnomeXPathExpression.h,
	* include/gnu_xml_libxmlj_dom_GnomeXPathNSResolver.h,
	* include/gnu_xml_libxmlj_dom_GnomeXPathNodeList.h,
	* include/gnu_xml_libxmlj_dom_GnomeXPathResult.h,
	* include/gnu_xml_libxmlj_sax_GnomeLocator.h,
	* include/gnu_xml_libxmlj_sax_GnomeXMLReader.h,
	* include/gnu_xml_libxmlj_transform_GnomeTransformer.h,
	* include/gnu_xml_libxmlj_transform_GnomeTransformerFactory.h,
	* include/java_lang_VMProcess.h:
	Regenerated.
	* native/jni/java-lang/java_lang_VMProcess.c:
	Redirect when pipe_count is 2 not 3.	

2006-04-30  Sascha Brawer <sascha@brawer.ch>

	* gnu/java/awt/font/FontDelegate.java,
	* gnu/java/awt/font/FontFactory.java,
	* gnu/java/awt/font/GNUGlyphVector.java,
	* gnu/java/awt/font/opentype/CharGlyphMap.java,
	* gnu/java/awt/font/opentype/GlyphNamer.java,
	* gnu/java/awt/font/opentype/MacResourceFork.java,
	* gnu/java/awt/font/opentype/NameDecoder.java,
	* gnu/java/awt/font/opentype/OpenTypeFont.java,
	* gnu/java/awt/font/opentype/OpenTypeFontFactory.java,
	* gnu/java/awt/font/opentype/Scaler.java,
	* gnu/java/awt/font/opentype/truetype/Fixed.java,
	* gnu/java/awt/font/opentype/truetype/GlyphLoader.java,
	* gnu/java/awt/font/opentype/truetype/GlyphLocator.java,
	* gnu/java/awt/font/opentype/truetype/GlyphMeasurer.java,
	* gnu/java/awt/font/opentype/truetype/TrueTypeScaler.java,
	* gnu/java/awt/font/opentype/truetype/VirtualMachine.java,
	* gnu/java/awt/font/opentype/truetype/Zone.java,
	* gnu/java/awt/font/opentype/truetype/ZonePathIterator.java,
	* gnu/java/awt/font/opentype/truetype/doc-files/ZonePathIterator-1.dia,
	* gnu/java/awt/font/opentype/truetype/doc-files/ZonePathIterator-1.png:
	New files. Imported font framework from:
	http://www.brawer.ch/software/fonts/

2006-04-30  Roman Kennke <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicTabbedPaneUI.java
	(lastTabInRun): Fix calculation of the last tab in a run. This
	has caused painting problems sometimes, making the
	last tab painted incorrectly.

2006-04-30  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	PR 27297
	* javax/swing/JComponent.java (paintChildrenWithOverlap):
	Use for and not while to prevent the endless loop.

2006-04-29  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JList.java
	(paramString): Changed from public to protected.

2006-04-29  Raif S. Naffah  <raif@swiftdsl.com.au>

	* tools/gnu/classpath/tools/HelpPrinter.java (printHelp): New method.
	(printHelpAndExit): Re-factored to use the above method.

2006-04-29  Raif S. Naffah  <raif@swiftdsl.com.au>

	* tools/jarsigner.sh.in: Changed license to GPL + Exception.
	Use -Xbootclasspath/p instead of -cp when invoking the main class.
	* tools/gnu/classpath/tools/jarsigner/Main.java:
	Changed license to GPL + Exception.
	(handler): New field.
	(getCallbackHandler): New method.
	(setupSigningParams): Use above method.
	* tools/gnu/classpath/tools/jarsigner/HashUtils.java:
	Changed license to GPL + Exception.
	* tools/gnu/classpath/tools/jarsigner/SFHelper.java: Likewise.
	* tools/gnu/classpath/tools/jarsigner/JarVerifier.java: Likewise.
	* tools/gnu/classpath/tools/jarsigner/JarSigner.java: Likewise.
	* tools/gnu/classpath/tools/jarsigner/jarsigner.txt: Updated copyright.

2006-04-29  Raif S. Naffah  <raif@swiftdsl.com.au>

	* gnu/javax/security/auth/callback/ConsoleCallbackHandler.java
	(handleConfirmation): Use print instead of println.
	(handleConfirmation): When case is YES_NO_OPTION, print default option
	if one was set.
	(handleLanguage): Use print instead of println.

2006-04-29  Raif S. Naffah  <raif@swiftdsl.com.au>

	* gnu/java/security/x509/X500DistinguishedName.java: Updated copyright.
	(putComponent): Handle O and OU components.
	(getDer): Use correct (it2) iterator.
	(readAttributeValue): Read next character and break if end-of-stream.

2006-04-29  Raif S. Naffah  <raif@swiftdsl.com.au>

	* gnu/java/security/provider/Gnu.java (run):
	Add "RSA" as an alias to MD5withRSA.
	* gnu/java/security/key/rsa/RSAKeyPairX509Codec.java (encodePublicKey):
	Always encode a NULL as the value of an algorithm parameters field.
	* gnu/java/security/key/rsa/RSAKeyPairPKCS8Codec.java (log): New field.
	(encodePrivateKey): Added trace/log statements.
	(decodePrivateKey): Likewise.
	* gnu/java/security/key/rsa/RSAKeyPairGenerator.java (log): New field.
	(setup): Added trace/log statements.
	(generate): Likewise.
	* gnu/java/security/key/rsa/GnuRSAPublicKey.java (str): New field.
	(toString): New method.
	* gnu/java/security/key/rsa/GnuRSAPrivateKey.java (DEBUG): New constant.
	(str): New field.
	(toString): New method.
	* gnu/java/security/key/rsa/GnuRSAKey.java (str): New field.
	(getEncoded): Use defaultFormat.
	(toString): New method.
	* gnu/java/security/key/dss/DSSKey.java (toString):
	Include defaultFormat in string.
	* gnu/java/security/jce/sig/RSAKeyFactory.java (engineGeneratePublic):
	Break if successfully decoded public key.
	(engineGeneratePrivate): Break if successfully decoded private key.

2006-04-29  Raif S. Naffah  <raif@swiftdsl.com.au>

	* java/security/Security.java <clinit>: Add our Callback provider.
	* resource/java/security/classpath.security: Likewise

2006-04-28  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	PR 27296
	* javax/swing/ScrollPaneLayout.java (layoutContainer):
	Decide about scroll bars from the preferred view size, not
	the current size.
	* javax/swing/ViewportLayout.java (layoutContainer):
	Do not change returned preferred size. Do not treat JScrollPane
	specially.

2006-04-28  Sven de Marothy <sven@physto.se>

	* java/awt/image/ReplicateScaleFilter.java: Fix comment. 
	* javax/swing/ProgressMonitor.java (actionPerformed): 
	Avoid divide-by-zero.

2006-04-28  Sven de Marothy <sven@physto.se>

	* javax/swing/JSpinner.java: Fix default text justification.
	* javax/swing/plaf/basic/BasicSpinnerUI.java: Fix spinner layout size.

2006-04-28  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JList.java
	(getMinSelectionIndex): Return correct value, added API docs,
	(getMaxSelectionIndex): Added API docs.

2006-04-28  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JList.java
	(JList(Object[])): Pass new model directly to init(),
	(JList(Vector)): Likewise,
	(JList(ListModel)): Renamed argument and updated API docs,
	(init): Throw IllegalArgumentException for null argument,
	(setListData(Object[])): Delegate model creation,
	(setListData(Vector)): Likewise,
	(createListModel(Object[])): New private method,
	(createListModel(Vector)): New private method,
	(paramString): Implemented.

2006-04-28  Tom Tromey  <tromey@redhat.com>

	* java/lang/Class.java (SYNTHETIC, ENUM, ANNOTATION): New fields.
	(isEnum): Rewrote.
	(isSynthetic): Likewise.
	(isAnnotation): Likewise.
	* vm/reference/java/lang/VMClass.java (isSynthetic): Removed.
	(isAnnotation): Likewise.
	(isEnum): Likewise.

2006-04-28  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/text/View.java:
	(getNextVisualPositionFrom): Call modelToView and viewToModel on parent
	view.

2006-04-28  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/text/View.java:
	(getNextVisualPositionFrom): Rewritten.
	* javax/swing/text/CompositeView.java:
	(getNextEastWestVisualPositionFrom): Partly implemented.
	(getNextNorthSouthVisualPositionFrom): Partly implemented.

2006-04-28  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JList.java
	(setFixedCellHeight): Use correct property name for event.

2006-04-28  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/text/Utilities.java:
	(getNextWord): Use codePointAt instead of charAt, added note, changed
	if-expression, added throwing of exception.
	(getPreviousWord): Use codePointAt instead of charAt.

2006-04-28  Jeroen Frijters  <jeroen@frijters.net>

	* java/lang/StringBuilder.java
	(ensureCapacity, getChars, append(StringBuffer),
	append(char[],int,int), delete, replace, insert(int,char[],int,int),
	insert(int,String), insert(int,char), trimToSize): Replaced
	System.arraycopy calls with VMSystem.arraycopy.

2006-04-27  Tom Tromey  <tromey@redhat.com>

	* java/awt/image/renderable/RenderableImageProducer.java
	(requestTopDownLeftRightResend): Implemented.
	(run): Likewise.
	(startProduction): Add new consumer.

2006-04-27  Sven de Marothy  <sven@physto.se>

	* javax/swing/JLabel.java (setIcon): Repaint on setting the icon.

2006-04-27  Roman Kennke <kennke@aicas.com>

	* java/awt/LightweightDispatcher.java
	Dispatch events only to targets that have a mouselistener
	attached. Changed to also handle null targets.

2006-04-27  Roman Kennke <kennke@aicas.com>

	* NEWS: Added entries about accessibility support and L&F
	window decorations.

2006-04-27  Robert Schuster  <robertschuster@fsfe.org>
	
	* javax/swing/text/Utilities.java:
	(getTabbedTextOffset): Introduced width variable, rewritten the check
	which ends the loop.
	(getBreakLocation): Call getTabbedTextOffset with rounding argument set
	to false.
	      
2006-04-27  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* examples/gnu/classpath/examples/swing/TreeDemo.java
	(createContent): Added root visibility and selection listener demos.
	* javax/swing/JTree.java (setRootVisible): If false, unselect
	the root node, if it is selected.
	* javax/swing/plaf/basic/BasicTreeUI.java 
	(TreeTraverseAction.actionPerformed): Do not select the root if it
	is not visible.
	* javax/swing/tree/DefaultTreeSelectionModel.java (removeSelectionPath,
	removeSelectionPaths): Reset lead to null if the current lead path is
	removed from selection.
	* javax/swing/tree/TreePath.java (getParentPath): Cache the parent path.
	* javax/swing/tree/FixedHeightLayoutCache.java (NodeRecord.getPath):
	Return the same path regardless is root visible or not. (update):
	Reduce the identation if the root is not visible.
	* javax/swing/tree/VariableHeightLayoutCache.java (NodeRecord.getPath):
	Return the same path regardless is root visible or not. (update):
	Reduce the identation if the root is not visible.

2006-04-26  Audrius Meskauskas  <AudriusA@Bioinformatics.org

	* javax/swing/plaf/basic/BasicTreeUI.java
	(TreeAction.actionPerformed):Newly obtain the current lead
	path that must stay visible.
	(TreeTraverseAction.actionPerformed):Rewritten.
	* javax/swing/tree/FixedHeightLayoutCache.java (countRows):
	Do not treat root specially. (setModel): Assume the root node
	initially expanded.
	* javax/swing/tree/VariableHeightLayoutCache.java:(countRows):
	Do not treat root specially. (setModel): Assume the root node
	initially expanded.

2006-04-26  Chris Burdess  <dog@gnu.org>

	Fixes PR 27290
	* javax/xml/datatype/DatatypeFactory.java: Use complete
	  implementation resolution mechanism.

2006-04-26  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/tree/DefaultTreeModel.java (nodeStructureChanged): 
	Implemented.
	* javax/swing/tree/DefaultTreeSelectionModel.java (toString):
	Removed NoImplementException form the implemented method.

2006-04-26  Tom Tromey  <tromey@redhat.com>

	* javax/net/ssl/HttpsURLConnection.java (HttpsURLConnection): Doesn't
	throw IOException.

2006-04-26  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/DefaultListSelectionModel.java
	(clone): Initialise empty listener list,
	(setSelectionMode): Throw IllegalArgumentException for bad input.

2006-04-26  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/DefaultListSelectionModel.java
	(clearSelection): Clear the Bitset.

2006-04-26  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/JTree.java (setLeadSelectionPath):
	Repaint the new and old lead pathes.
	* javax/swing/plaf/basic/BasicTreeUI.java
	(FocusHandler): Repaint the lead row when focus changes.
	(PropertyChangeHandler): Use existing constants, not the
	string literals for the property names.
	(TreeIncrementAction): Shrink the selection when moving
	from the selection edge to the selection anchor.
	(TreeSelectionHandler.valueChanged): Repaint the 
	new and old lead pathes.
	(paintRow): Treat row as focused only if it is the lead row.
	* javax/swing/tree/DefaultTreeCellRenderer.java
	(getTreeCellRendererComponent): Set the vertical alignment to CENTER.
	(paint): Rewritten.
	* javax/swing/tree/DefaultTreeSelectionModel.java
	(addSelectionPath): Event construction fix (old and new lead were
	always the same).
	(addSelectionPaths): Likewise.
	* javax/swing/JComponent.java (setOpaque): Explained.
	* javax/swing/tree/FixedHeightLayoutCache.java (getBounds):
	Accept null.
	* javax/swing/tree/VariableHeightLayoutCache.java (getBounds):
	Accept null.

2006-04-26  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* examples/gnu/classpath/examples/swing/TreeDemo.java
	(createContent): Call DefaultTreeModel.reload(), not the
	tree.repaint(). Expand the parent of the added node.
	* javax/swing/JTree.java (constructor): Do not call
	UpdateUI (and documented why). (treeDidChange):
	Added comment, excluding the misinterpretation of this method.
	* javax/swing/plaf/basic/BasicTreeUI.java (componentListener,
	focusListener, keyListener, mouseListener, propertyListener,
	selectionModelPropertyChangeListener, treeModelListener,
	treeSelectionListener): Made package private.
	(PropertyChangeHandler): If the model changes, install the
	listener on it. (installUI): Assign treeModel.
	* javax/swing/tree/DefaultMutableTreeNode.java (add): Added
	comment, excluding misinterpretation.
	* javax/swing/tree/DefaultTreeModel.java (reload): Implemented.
	(reload(TreeNode)): Implemented.

2006-04-25  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/plaf/basic/BasicTreeUI.java (MouseHandler.mousePressed):
	If clicked on the other row, cancel the current editing session.

2006-04-25  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/plaf/basic/BasicTreeUI.java
	(NodeDimensionsHandler.getRowX): Add half of the icon width.
	(paintExpandControl): Always paint in one gap distance from the left
	border of the path bounds.
	(paintHorizontalPartOfLeg): Rewritted, taking the icon width
	into consideration.
	(paintVerticalPartOfLeg): Paint two gaps from the parent's bounds
	left edge.

2006-04-25  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/plaf/basic/BasicTreeUI.java (paint): Rewritten.

2006-04-25  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/javax/swing/text/html/parser/support/Parser.java (readAttributes):
	Allow slashes (/) in the unquoted parameter value. 

2006-04-25  Roman Kennke <kennke@aicas.com>

	* gnu/java/awt/java2d/AbstractGraphics2D.java
	(drawString(String,int,int)): Implemented.
	(drawString(String,float,float)): Implemented.
	(drawString(AttributedCharacterIterator,int,int)): Implemented.
	(drawString(AttributedCharacterIterator,float,float)): Implemented.
	(getFontRenderContext): Implemented.
	(drawGlyphVector): Implemented.
	(getFont): Implemented.
	(setFont): Don't change font setting when null.
	(getFontMetrics): Implemented.
	(fillShape): Re-written to fill call rawFillShape() with a list
	of the edges instead of double arrays.
	(rawFillShape): Implemented using a polygon scanline conversion.
	(fillScanline): New helper method.
	(init): Initialize foreground black. Set font.
	* gnu/java/awt/java2d/PolyEdge.java: New file.
	* gnu/java/awt/java2d/PolyEdgeComparator.java: New file.

2006-04-25  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/table/DefaultTableColumnModel.java: More API doc updates.

2006-04-25  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JTable.java: Fixed API doc tags,
	* javax/swing/text/AsyncBoxView.java: Likewise,
	* javax/swing/text/FlowView.java: Likewise.

2006-04-25  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/table/DefaultTableColumnModel.java
	(moveColumn): Call fireColumnMoved() not fireColumnAdded.

2006-04-24  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/table/DefaultTableColumnModel.java
	(DefaultTableColumnModel): Set selection model field and add 'this' as
	listener directly,
	(addColumn): Add 'this' as a PropertyChangeListener,
	(removeColumn): Remove column before firing event, and remove 'this' as
	a PropertyChangeListener,
	(setSelectionModel): Remove 'this' as a listener from old model, 
	(propertyChange): Check for 'width' property rather than
	TableColumn.COLUMN_WIDTH_PROPERTY.

2006-04-24  Chris Burdess  <dog@gnu.org>

	Fixes PR 27262
	* gnu/xml/dom/DomDocument.java: getElementById returns user-defined ID
	  attributes when no doctype exists.

2006-04-24  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/event/ChangeEvent.java: Updated API docs,
	* javax/swing/event/ChangeListener.java: Likewise,
	* javax/swing/event/TableColumnModelEventListener.java: Likewise,
	* javax/swing/table/DefaultTableColumnModel.java: Likewise,
	* javax/swing/table/TableColumnModel.java: Likewise.

2006-04-24  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/text/Utilities.java:
	(getBreakLocation): Introduced shift variable, added notes.
	* javax/swing/text/WrappedPlainView.java:
	(calculateBreakPosition): Decrease allocation area bounds by insets,
	added early return when allocation area is empty, provide start offset
	as argument.
	(WrappedPlainView.WrappedLine): Change default value for numLines to 1.
	(WrappedPlainView.WrappedLine.paint): Added count variable, update
	numLines after loop.
	(WrappedPlainView.WrappedLine.determineNumLines): Added early return.
	(WrappedPlainView.WrappedLine.getPreferredSpan): Removed if-statement.
	(WrappedPlainView.WrappedLine.viewToModel): Changed note, removed
	decreasing variable end by one, changed break condition in while-loop,
	added check for return value.
	(WrappedPlainView.WrappedLine.updateDamage): Set numLines to one if
	allocation area is empty.

2006-04-24  Sven de Marothy  <sven@physto.se>

	* gnu/java/awt/java2d/Segment.java: New file.
	* gnu/java/awt/java2d/CubicSegment.java: New file.
	* gnu/java/awt/java2d/QuadSegment.java: New file.
	* gnu/java/awt/java2d/LineSegment.java: New file.
	* java/awt/BasicStroke.java
	(start): New field.
	(end): New field.
	(createStrokedShape): Implemented.
	(solidStroke): New method.
	(dashedStroke): New method.
	(capEnds): New method.
	(convertPath): New method.
	(addSegments): New method.
	(capEnd): New method.
	(lineIntersection): New method.
	(joinSegments): New method.

2006-04-24  Roman Kennke <kennke@aicas.com>

	* gnu/java/awt/java2d/AbstractGraphics2D.java: Made implements
	Cloneable.
	(font): New field.
	(clip): Changed clip to be in user space not in target space.
	(isOptimized): Added flag to allow optimized drawing for
	primitive operations (e.g. for Swing).
	(AbstractGraphics2D()): Set foreground in init() to avoid trouble
	with the paint context etc.
	(draw): Clip the shape before drawing it.
	(fill): Clip the shape before drawing it.
	(setComposite): Update isOptimized flag.
	(setPaint): Likewise.
	(setStroke): Likewise.
	(translate): Update the clip.
	(rotate): Likewise.
	(scale): Likewise.
	(shear): Likewise.
	(transform): Likewise.
	(setTransform): Likewise.
	(clip): Added optimization for rectangle clips.
	(create): Implemented.
	(clone): New method.
	(setFont): Basic implementation.
	(setClip): Update opimization flag.
	(drawLine): Added possible optimization.
	(fillRect): Added possible optimization.
	(fillShape): Implemented shape-filling by filling the flattended
	shape using polygon fill.
	(drawPixel): Added basic painting.
	(rawSetPixel): Changed signature to only take coordinates.
	(rawSetForeground): New abstract method.
	(getUserBounds): Implemented default for this method.
	(rawDrawLine): New method.
	(rawFillRect): New method.
	(rawFillPolygon): New method.
	(init): New method.
	(updateOptimization): New method.
	(computeIntersection): New method.
	(updateClip): New method.
	(clipShape): New method.

2006-04-23  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* examples/gnu/classpath/examples/swing/TreeDemo.java:
	(createContent): Added check box to swith between single and 
	multiple selection.
	* javax/swing/JTree.java (leadSelectionPath): Removed.
	(addSelectionInterval): Explained. (getLeadSelectionPath):
	Request the path from model. (getPathsBetweenRows): Explained.
	(setLeadSelectionPath): Set the path in model.
	* javax/swing/plaf/basic/BasicTreeUI.java 
	(TreeIncrementAction.actionPerformed, isMultiSelectionEvent, 
	isToggleSelectionEvent, selectPath, selectPathForEvent): Rewritten.
	(MouseHandler.mousePressed): Call selectPathForEvent.

2006-04-23  Roman Kennke <kennke@aicas.com>

	* gnu/java/awt/java2d/AbstractGraphics2D.java: New file.

2006-04-23  Jeroen Frijters  <jeroen@frijters.net>

	* NEWS: Added entry about new Package constructor.
	* java/lang/Package.java: Added compatibility constructor to ease
	VM interface migration.

2006-04-23  Jeroen Frijters  <jeroen@frijters.net>

	* NEWS: Added information about annotation support.
	* java/lang/Class.java: Implement AnnotatedElement.
	(equals): Reformatted to match generics branch.
	(getEnumConstants): Implemented.
	(getAnnotation, getAnnotations, getDeclaredAnnotations,
	isAnnotationPresent): Merged from generics branch.
	* vm/reference/java/lang/VMClass.java (getDeclaredAnnotations):
	New method.

2006-04-23  Jeroen Frijters  <jeroen@frijters.net>

	* java/lang/ClassLoader.java (definePackage): Added argument to
	Package constructor.
	* java/lang/Package.java (Package): Added ClassLoader argument.
	(loader): New field.
	(getAnnotation, getAnnotations, getDeclaredAnnotations,
	isAnnotationPresent): Merged from generics branch.
	* vm/reference/java/lang/VMClassLoader.java (static): Added argument
	to Package constructor.

2005-12-14  Nicolas Geoffray  <nicolas.geoffray@menlina.com>

	* java/lang/ClassLoader
	(defineClass(String,byte[],int,int,ProtectionDomain)):
	Calls VMClassLoader.defineClassWithTransformers instead
	of VMClassLoader.defineClass.

2006-04-22  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* NEWS:
	Mention changes to VMProcess and VMSystem.
	* doc/vmintegration.texinfo:
	Change documentation on VMProcess and VMSystem.
	* java/lang/reflect/Modifier.java:
	(toString(int,StringBuilder)): Merged from generics
	branch.
	* vm/reference/java/lang/reflect/Constructor.java
	(toString()): Use StringBuilder.
	(toGenericString()): Likewise.
	* vm/reference/java/lang/reflect/Field.java:
	(toString()): Use StringBuilder.
	(toGenericString()): Likewise.
	* vm/reference/java/lang/reflect/Method.java
	(toString()): Use StringBuilder.
	(toGenericString()): Likewise.
	* include/gnu_java_awt_peer_gtk_GThreadNativeMethodRunner.h,
	* include/gnu_java_awt_peer_gtk_GdkFontPeer.h,
	* include/gnu_java_awt_peer_gtk_GdkGraphics.h,
	* include/gnu_java_awt_peer_gtk_GdkGraphics2D.h,
	* include/gnu_java_awt_peer_gtk_GdkGraphicsEnvironment.h,
	* include/gnu_java_awt_peer_gtk_GdkPixbufDecoder.h,
	* include/gnu_java_awt_peer_gtk_GdkRobotPeer.h,
	* include/gnu_java_awt_peer_gtk_GdkTextLayout.h,
	* include/gnu_java_awt_peer_gtk_GtkButtonPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkCanvasPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkCheckboxGroupPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkCheckboxMenuItemPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkCheckboxPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkChoicePeer.h,
	* include/gnu_java_awt_peer_gtk_GtkClipboard.h,
	* include/gnu_java_awt_peer_gtk_GtkComponentPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkEmbeddedWindowPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkFileDialogPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkFramePeer.h,
	* include/gnu_java_awt_peer_gtk_GtkGenericPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkImage.h,
	* include/gnu_java_awt_peer_gtk_GtkLabelPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkListPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkMenuBarPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkMenuComponentPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkMenuItemPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkMenuPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkPanelPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkPopupMenuPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkScrollPanePeer.h,
	* include/gnu_java_awt_peer_gtk_GtkScrollbarPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkSelection.h,
	* include/gnu_java_awt_peer_gtk_GtkTextAreaPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkTextFieldPeer.h,
	* include/gnu_java_awt_peer_gtk_GtkToolkit.h,
	* include/gnu_java_awt_peer_gtk_GtkWindowPeer.h,
	* include/gnu_java_awt_peer_qt_MainQtThread.h,
	* include/gnu_java_awt_peer_qt_QMatrix.h,
	* include/gnu_java_awt_peer_qt_QPainterPath.h,
	* include/gnu_java_awt_peer_qt_QPen.h,
	* include/gnu_java_awt_peer_qt_QtAudioClip.h,
	* include/gnu_java_awt_peer_qt_QtButtonPeer.h,
	* include/gnu_java_awt_peer_qt_QtCanvasPeer.h,
	* include/gnu_java_awt_peer_qt_QtCheckboxPeer.h,
	* include/gnu_java_awt_peer_qt_QtChoicePeer.h,
	* include/gnu_java_awt_peer_qt_QtComponentPeer.h,
	* include/gnu_java_awt_peer_qt_QtContainerPeer.h,
	* include/gnu_java_awt_peer_qt_QtDialogPeer.h,
	* include/gnu_java_awt_peer_qt_QtEmbeddedWindowPeer.h,
	* include/gnu_java_awt_peer_qt_QtFileDialogPeer.h,
	* include/gnu_java_awt_peer_qt_QtFontMetrics.h,
	* include/gnu_java_awt_peer_qt_QtFontPeer.h,
	* include/gnu_java_awt_peer_qt_QtFramePeer.h,
	* include/gnu_java_awt_peer_qt_QtGraphics.h,
	* include/gnu_java_awt_peer_qt_QtGraphicsEnvironment.h,
	* include/gnu_java_awt_peer_qt_QtImage.h,
	* include/gnu_java_awt_peer_qt_QtLabelPeer.h,
	* include/gnu_java_awt_peer_qt_QtListPeer.h,
	* include/gnu_java_awt_peer_qt_QtMenuBarPeer.h,
	* include/gnu_java_awt_peer_qt_QtMenuComponentPeer.h,
	* include/gnu_java_awt_peer_qt_QtMenuItemPeer.h,
	* include/gnu_java_awt_peer_qt_QtMenuPeer.h,
	* include/gnu_java_awt_peer_qt_QtPanelPeer.h,
	* include/gnu_java_awt_peer_qt_QtPopupMenuPeer.h,
	* include/gnu_java_awt_peer_qt_QtScreenDevice.h,
	* include/gnu_java_awt_peer_qt_QtScrollPanePeer.h,
	* include/gnu_java_awt_peer_qt_QtScrollbarPeer.h,
	* include/gnu_java_awt_peer_qt_QtTextAreaPeer.h,
	* include/gnu_java_awt_peer_qt_QtTextFieldPeer.h,
	* include/gnu_java_awt_peer_qt_QtToolkit.h,
	* include/gnu_java_awt_peer_qt_QtVolatileImage.h,
	* include/gnu_java_awt_peer_qt_QtWindowPeer.h,
	* include/gnu_javax_sound_midi_alsa_AlsaMidiDeviceProvider.h,
	* include/gnu_javax_sound_midi_alsa_AlsaMidiSequencerDevice.h,
	* include/gnu_javax_sound_midi_alsa_AlsaPortDevice.h,
	* include/gnu_javax_sound_midi_dssi_DSSIMidiDeviceProvider.h,
	* include/gnu_javax_sound_midi_dssi_DSSISynthesizer.h,
	* include/gnu_xml_libxmlj_dom_GnomeAttr.h,
	* include/gnu_xml_libxmlj_dom_GnomeDocument.h,
	* include/gnu_xml_libxmlj_dom_GnomeDocumentBuilder.h,
	* include/gnu_xml_libxmlj_dom_GnomeDocumentType.h,
	* include/gnu_xml_libxmlj_dom_GnomeElement.h,
	* include/gnu_xml_libxmlj_dom_GnomeEntity.h,
	* include/gnu_xml_libxmlj_dom_GnomeNamedNodeMap.h,
	* include/gnu_xml_libxmlj_dom_GnomeNode.h,
	* include/gnu_xml_libxmlj_dom_GnomeNodeList.h,
	* include/gnu_xml_libxmlj_dom_GnomeNotation.h,
	* include/gnu_xml_libxmlj_dom_GnomeProcessingInstruction.h,
	* include/gnu_xml_libxmlj_dom_GnomeTypeInfo.h,
	* include/gnu_xml_libxmlj_dom_GnomeXPathExpression.h,
	* include/gnu_xml_libxmlj_dom_GnomeXPathNSResolver.h,
	* include/gnu_xml_libxmlj_dom_GnomeXPathNodeList.h,
	* include/gnu_xml_libxmlj_dom_GnomeXPathResult.h,
	* include/gnu_xml_libxmlj_sax_GnomeLocator.h,
	* include/gnu_xml_libxmlj_sax_GnomeXMLReader.h,
	* include/gnu_xml_libxmlj_transform_GnomeTransformer.h,
	* include/gnu_xml_libxmlj_transform_GnomeTransformerFactory.h,
	* include/java_lang_VMProcess.h,
	* include/java_lang_VMSystem.h:
	Regenerated with GCJ 4.1.

2005-12-05  Casey Marshall <csm@gnu.org>

	* native/jni/classpath/jcl.h (environ): define, or declare
	'extern.'
	* native/jni/java-lang/java_lang_VMProcess.c: include <jcl.h>.
	Remove 'extern' define.
	* native/jni/java-lang/java_lang_VMSystem.c
	(Java_java_lang_VMSystem_environ): don't declare 'environ.'

2005-09-25  Jeroen Frijters  <jeroen@frijters.net>

	* java/lang/System.java,
	vm/reference/java/lang/VMSystem.java: Removed generic type
	from VMSystem.environ() signature.

2005-05-04  Tom Tromey  <tromey@redhat.com>

	* native/jni/java-lang/java_lang_VMProcess.c
	(Java_java_lang_VMProcess_nativeSpawn): Added 'redirect'
	argument.  Use defines instead of contents.
	* vm/reference/java/lang/VMProcess.java (redirect): New field.
	(spawn): Updated.
	(setProcessInfo): Updated.
	(VMProcess): Added 'redirect' argument.
	(nativeSpawn): Likewise.
	(exec): New overload.

2005-01-20  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* include/java_lang_VMSystem.h:
	(Java_java_lang_VMSystem_environ): added
	* vm/reference/java/lang/VMSystem.java:
	(environ()): new native method

2006-04-22  Casey Marshall  <csm@gnu.org>

	Fixes PR classpath/27228.
	* gnu/javax/crypto/jce/sig/DHKeyPairGeneratorSpi.java
	(initialize): also accept `DHParameterSpec.'
	* gnu/javax/crypto/key/dh/GnuDHKeyPairGenerator.java (setup):
	handle a passed-in `DHParameterSpec' properly.
	(generate): don't check if the random exponent is less than `q -
	1' if no `q' was specified.

2006-04-22  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/JTree.java (TreeSelectionRedirector.valueChanged):
	Only repaint the patches, speficied in the passed event.
	(expandPath): Do nothing if the path is already expanded.
	(scrollPathToVisible): Only scroll to visible, do nothing else.
	* javax/swing/plaf/basic/BasicTreeUI.java 
	(TreeExpansionHandler.treeColapsed): Revalidate and repaint.
	(TreeExpansionHandler.treeExpanded): Revalidate and repaint.
	(TreeTraverseAction.actionPerformed): Collapse the node on the
	action "selectParent". (selectPath): Rewritten.
	* javax/swing/tree/DefaultTreeSelectionModel.java (clearSelection):
	Fire change event. (notifyPathChange): Implemented. (setSelectionPath):
	Do not reuse selection array.
	* javax/swing/tree/FixedHeightLayoutCache.java (getRowForPath):
	Accept null.
	* javax/swing/tree/VariableHeightLayoutCache.java (getRowForPath):
	Accept null.

2006-04-22  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/tree/DefaultTreeSelectionModel.java
	(addSelectionPath): If the path cannot be added, set it.
	(addSelectionPaths): Call insureRowContinuity.
	(arePathsContiguous): Implemented.
	(canPathBeAdded): New private method.
	(canPathsBeAdded): Implemented.
	(canPathsBeRemoved): Implemented.
	(getPath): New private method.
	(insureRowContinuity): Implemented.
	(removeSelectionPath): Call insureRowContinuity.
	(removeSelectionPaths): Call insureRowContinuity.
	(resetRowSelection): Removed stub marking, not used in implementation 
	(nothing to do there).
	(selectOne): New private method.
	(setSelectionMode) Call insureRowContinuity.
	(setSelectionPaths) Remove the current selection by clearing it.

2006-04-22  Carsten Neumann  <cn-develop@gmx.net>

	* javax/sql/Array.java: Fixed eclipse API doc warnings, named method
	parameters consistendly, documented some methods.
	* java/sql/Blob.java: Likewise.
	* java/sql/CallableStatement.java: Likewise.
	* java/sql/Clob.java: Likewise.
	* java/sql/Connection.java: Likewise.
	* java/sql/DatabaseMetaData.java: Likewise.
	* java/sql/Date.java: Likewise.
	* java/sql/Driver.java: Likewise.
	* java/sql/PreparedStatement.java: Likewise.
	* java/sql/ResultSet.java: Likewise.
	* java/sql/ResultSetMetaData.java: Likewise.
	* java/sql/SQLData.java: Likewise.
	* java/sql/SQLOutput.java: Likewise.
	* java/sql/SQLWarning.java: Likewise.
	* java/sql/Statement.java: Likewise.
	* java/sql/Time.java: Likewise.
	* java/sql/Timestamp.java: Likewise.

2006-04-21  Tom Tromey  <tromey@redhat.com>

	PR classpath/27163:
	* gnu/java/net/protocol/ftp/FTPConnection.java
	(changeWorkingDirectory): Do nothing if path is empty.

2006-04-21  Tom Tromey  <tromey@redhat.com>

	PR libgcj/27231:
	* gnu/java/net/protocol/http/HTTPURLConnection.java (connect): Handle
	case where no '/' appears in 'location'.

2006-04-21  Tom Tromey  <tromey@redhat.com>

	* java/security/Security.java (<clinit>): Add all default providers.
	* resource/java/security/classpath.security: Added comment.

2006-04-21  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/SpinnerDateModel.java: Updated API docs all over,
	* javax/swing/SpinnerNumberModel.java: Likewise.

2006-04-21  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/SpinnerDateModel.java
	(SpinnerDateModel(Date, Comparable, Comparable, int)): Fix argument
	checking to call compareTo() on start and end.

2006-04-21  Jeroen Frijters  <jeroen@frijters.net>

	* java/lang/reflect/AccessibleObject.java:
	Implemented AnnotatedElement.
	(getAnnotation, getAnnotations, getDeclaredAnnotations,
	isAnnotationPresent): New methods.

2006-04-21  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/border/AbstractBorder.java: API doc updates,
 	* javax/swing/border/BevelBorder.java: Likewise,
	* javax/swing/border/CompoundBorder.java: Likewise,
	* javax/swing/border/EtchedBorder.java: Likewise,
	* javax/swing/border/LineBorder.java: Likewise,
	* javax/swing/border/MatteBorder.java: Likewise,
	* javax/swing/border/TitledBorder.java: Likewise.

2006-04-21  David Gilbert  <david.gilbert@object-refinery.com>

	* gnu/javax/crypto/cipher/Anubis.java:
	(selfTest): Use Boolean.valueOf() to avoid creating a new Boolean
	instance,
	* gnu/javax/crypto/cipher/Blowfish.java:
	(selfTest): Likewise,
	* gnu/javax/crypto/cipher/Cast5.java:
	(selfTest): Likewise,
	* gnu/javax/crypto/cipher/Khazad.java:
	(selfTest): Likewise,
	* gnu/javax/crypto/cipher/Rijndael.java:
	(selfTest): Likewise,
	* gnu/javax/crypto/cipher/Serpent.java:
	(selfTest): Likewise,
	* gnu/javax/crypto/cipher/Square.java:
	(selfTest): Likewise,
	* gnu/javax/crypto/cipher/Twofish.java:
	(selfTest): Likewise,
	* gnu/javax/crypto/mac/UMac32.java:
	(selfTest): Likewise,
	* gnu/javax/crypto/prng/CSPRNG.java:
	(getSystemInstance): Likewise.

2006-04-21  David Gilbert  <david.gilbert@object-refinery.com>

	* gnu/java/security/hash/Haval.java:
	(selfTest): Use Boolean.valueOf() to avoid creating new Boolean 
	instance,
	* gnu/java/security/hash/MD2.java:
	(selfTest): Likewise,
	* gnu/java/security/hash/MD4.java:
	(selfTest): Likewise,
	* gnu/java/security/hash/MD5.java:
	(selfTest): Likewise,
	* gnu/java/security/hash/RipeMD128.java:
	(selfTest): Likewise,
	* gnu/java/security/hash/RipeMD160.java:
	(selfTest): Likewise,
	* gnu/java/security/hash/Sha160.java:
	(selfTest): Likewise,
	* gnu/java/security/hash/Sha256.java:
	(selfTest): Likewise,
	* gnu/java/security/hash/Sha384.java:
	(selfTest): Likewise,
	* gnu/java/security/hash/Sha512.java:
	(selfTest): Likewise,
	* gnu/java/security/hash/Tiger.java:
	(selfTest): Likewise,
	* gnu/java/security/hash/Whirlpool.java:
	(selfTest): Likewise.

2006-04-21  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/plaf/basic/BasicTreeUI.java 
	(PropertyChangeHandler.propertyChange): Set the row mapper
	for the selection model.
	* javax/swing/tree/AbstractLayoutCache.java 
	(NodeDimensions.getNodeDimensions): Explained.
	(getPreferredHeight, getPreferredWidth, isFixedRowHeight):
	Implemented. (setRowHeight): Invalidate sizes. 
	* javax/swing/tree/DefaultTreeSelectionModel.java
	(addSelectionPath, addSelectionPaths): Update lead row.
	(removeSelectionPath, removeSelectionPaths): Do nothing if
	selection is empty.
	(clone): Only clone list selection model if it is not null.
	(getRow): New method. (isRowSelected, getLeadSelectionRow, 
	setSelectionPath, setSelectionPaths, toString): Implemented.
	* javax/swing/tree/FixedHeightLayoutCache.java (NodeRecord.getBounds):
	Pass the empty rectangle. (isFixedRowHeight): New method.
	* javax/swing/tree/VariableHeightLayoutCache.java
	(NodeRecord.getBounds):	Pass the empty rectangle.
	
2006-04-21  David Gilbert  <david.gilbert@object-refinery.com>

	* gnu/java/security/Properties.java
	(init): Use Boolean.valueOf() to avoid creating new Boolean instances.

2006-04-21  David Gilbert  <david.gilbert@object-refinery.com>

	* gnu/classpath/jdwp/util/Value.java
	(getUntaggedObj(ByteBuffer, Class)): Use Boolean.valueOf() to avoid 
	creating new Boolean instances.

2006-04-20  Mark Wielaard  <mark@klomp.org>

	* java/awt/Toolkit.java (getDefaultToolkit): Get classloader in
	PrivilegedAction. Access awt.toolkit through SystemProperties.

2006-04-20  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/ActionMap.java: Removed unused imports,
	* javax/swing/DefaultListSelectionModel.java
	(clearSelection): Removed unused label,
	* javax/swing/JScrollPane.java: Removed unused imports,
	* javax/swing/UIManager.java: Likewise,
	* javax/swing/table/DefaultTableCellRenderer.java: Likewise.

2006-04-20  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/plaf/basic/BasicSpinnerUI.java: Removed unused imports,
	* javax/swing/plaf/basic/BasicTextAreaUI.java: Likewise,
	* javax/swing/plaf/basic/BasicTextFieldUI.java: Likewise,
	* javax/swing/plaf/basic/BasicTextUI.java: Likewise,
	* javax/swing/plaf/basic/BasicTreeUI.java: Likewise.

2006-04-20  David Gilbert  <david.gilbert@object-refinery.com>

	* java/sql/Array.java: Fixed Eclipse API doc warnings,
	* java/sql/Blob.java: Likewise,
	* java/sql/CallableStatement.java: Likewise,
	* java/sql/Clob.java: Likewise,
	* java/sql/Connection.java: Likewise,
	* java/sql/DatabaseMetaData.java: Likewise,
	* java/sql/Date.java: Likewise,
	* java/sql/Driver.java: Likewise,
	* java/sql/PreparedStatement.java: Likewise,
	* java/sql/ResultSet.java: Likewise,
	* java/sql/ResultSetMetaData.java: Likewise,
	* java/sql/SQLData.java: Likewise,
	* java/sql/SQLOutput.java: Likewise,
	* java/sql/SQLWarning.java: Likewise,
	* java/sql/Statement.java: Likewise,
	* java/sql/Time.java: Likewise,
	* java/sql/Timestamp.java: Likewise.

2006-04-20  David Gilbert  <david.gilbert@object-refinery.com>

	* java/sql/DriverManager.java
	(setLoginTimeout): Use incoming argument,
	(setLogStream): Likewise,
	(println): Fix API doc comment.

2006-04-20  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JMenuItem.java
	(paramString): Updated API docs,
	(getAccessibleContext): Added API docs,
	(AccessibleJMenuItem.stateChanged): Marked as stub,
	(AccessibleJMenuItem.getAccessibleRole): Added API docs,
	* javax/swing/JSlider.java
	(paramString): Fix for API docs,
	* javax/swing/JToolTip.java
	(getAccessibleContext): Fix for API docs.

2006-04-20  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JRadioButtonMenuItem.java
	(paramString): Reimplemented,
	(getAccessibleContext): API docs added,
	(AccessibleJRadioButtonMenuItem.AccessibleJRadioButtonMenuItem()): 
	Likewise,
	(AccessibleJRadioButtonMenuItem.getAccessibleRole): Likewise.

2006-04-20  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/plaf/basic/BasicTreeUI.java
	(finish): Invalidate path bounds.
	(getMaxHeight): Set the row height to the layout cache.
	(startEditing): Do not request to recalculated 
	row height and preferred size.
	* javax/swing/tree/DefaultTreeCellEditor.java
	(ICON_TEXT_GAP, ICON_TREE_GAP): Removed, replacing
	with 0.
	* javax/swing/tree/FixedHeightLayoutCache.java:
	Rewritten.

2006-04-20  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JDesktopPane.java
	(paramString): Reimplemented,
	plus API doc updates in AccessibleJDesktopPane.

2006-04-20  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/ImageIcon.java:
	(AccessibleImageIcon.getAccessibleStateSet): Return null always,
	(AccessibleImageIcon.getLocale): Declared exception and always return 
	null,
	(getAccessibleContext): Updated API docs,
	plus updated API docs all over AccessibleImageIcon.

2006-04-20  Roman Kennke  <kennke@aicas.com>

	PR 27196
	* javax/swing/plaf/basic/BasicTabbedPaneUI.java
	(paintText): Fetch the ascent only once. Add the ascent to
	the text rect also when tabs are disabled.

2006-04-20  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* java/util/Locale.java (defaultLocale): Set to en_US per
	default and use user.country but prioritize user.region if
	defined.
	(getLocale(String language, String country)): Renamed region to
	country.
	(getLocale(String language, String region, String variant)):
	Likewise.
	(getAvailableLocales): Likewise.

2006-04-20  Roman Kennke  <kennke@aicas.com>

	PR 27222
	* javax/swing/JList.java
	(JList()): Call init() with DefaultListModel instance.
	(JList(Object[])): Call init() with null.
	(JList(Vector)): Call init() with null.
	(JList(ListModel)): Call init() with model.
	(init): Changed to take the model as argument. Don't call
	setter methods and initialize stuff directly instead.
	(getCellBounds): Check if UI is null.

2006-04-20  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/text/WrappedPlainView.java: Initialize
	WrappedLine.numLines with -1.
	(WrappedPlainView.WrappedLine.getPreferredSpan): Check whether
	numLines is -1 and reculcalate the value appropriately.
	(WrappedPlainView.WrappedLine.updateDamage): Set numLines to -1 if
	allocation area is empty.

2006-04-20  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JTabbedPane.java
	(AccessibleJTabbedPane.stateChanged): Marked as stub,
	(AccessibleJTabbedPane.getAccessibleRole): Likewise,
	(AccessibleJTabbedPane.getAccessibleChildrenCount): Likewise,
	(AccessibleJTabbedPane.getAccessibleSelection): Likewise,
	(AccessibleJTabbedPane.getAccessibleAt): Likewise,
	(AccessibleJTabbedPane.getAccessibleSelectionCount): Likewise,
	(AccessibleJTabbedPane.getAccessibleSelection(int)): Likewise,
	(AccessibleJTabbedPane.isAccessibleChildSelected): Likewise,
	(AccessibleJTabbedPane.addAccessibleSelection): Likewise,
	(AccessibleJTabbedPane.removeAccessibleSelection): Likewise,
	(AccessibleJTabbedPane.clearAccessibleSelection): Likewise,
	(AccessibleJTabbedPane.selectAllAccessibleSelection): Likewise,
	(Page.getAccessibleStateSet): Likewise,
	(Page.getAccessibleIndexInParent): Likewise.

2006-04-19  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JProgressBar.java
	(paramString): Reimplemented.

2006-04-19  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JButton.java: Updated API docs all over.

2006-04-19  Roman Kennke  <kennke@aicas.com>

	* java/awt/Toolkit.java
	(getDefaultToolkit): Use system classloader to load the
	toolkit.

2006-04-19  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/text/DefaultCaret.java:
	(DefaultCaret.Bypass.setDot): Call DefaultCaret.setDotImpl
	instead of DefaultCaret.setDot.

2006-04-19  Roman Kennke  <kennke@aicas.com>

	* native/jni/java-net/local.c
	(local_read): Handle EINTR correctly.
	(local_write): Likewise.

2006-04-19  Riccardo Mottola  <multix@gmail.com>

	PR classpath/27062, PR classpath/25650:
	* native/fdlibm/ieeefp.h: Check for _POWER and _IBMR2.

2006-04-19  Tom Tromey  <tromey@redhat.com>

	* java/text/SimpleDateFormat.java (formatWithAttribute): Take absolute
	value of 'pureMinutes'.  PR classpath/27189.

2006-04-19  Olivier Jolly  <olivier.jolly@pcedev.com>

   * vm/reference/java/lang/VMClassLoader.java (getBootPackages): Loads
   boot packages list from the META-INF/INDEX.LIST file if it exists. 

2006-04-19  Raif S. Naffah  <raif@swiftdsl.com.au>

	Suggested by Stephen White <stephen-gnu-crypto@randomstuff.org.uk>
	* gnu/javax/crypto/prng/IPBE.java: Updated documentation.
	(ITERATION_COUNT): Removed modifiers.
	(PASSWORD): Likewise.
	(SALT): Likewise.
	(PASSWORD_ENCODING): New property.
	(DEFAULT_PASSWORD_ENCODING): New constant.
	* gnu/javax/crypto/prng/PBKDF2.java (setup): Check for MAC's raw key
	material (bytes) before a password (chars).

2006-04-19  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JMenu.java
	(getAccessibleChildrenCount): Marked as stub,
	(getAccessibleChild): Likewise,
	(getAccessibleSelection): Likewise,
	(getAccessibleSelection(int)): Likewise,
	(isAccessibleChildSelected): Likewise,
	(getAccessibleSelectionCount): Likewise,
	(addAccessibleSelection): Likewise,
	(removeAccessibleSelection): Likewise,
	(clearAccessibleSelection): Likewise,
	(selectAllAccessibleSelection): Likewise.

2006-04-19  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JSplitPane.java
	(getAccessibleContext): Added API docs,
	(paramString): Reimplemented,
	(setOrientation): Updated API docs,
	(setResizeWeight): Added argument checking and event notification.

2006-04-18  Casey Marshall  <csm@gnu.org>

	Fixes PR classpath/25673	
	* java/security/KeyStore.java (getDefaultType): return "gkr" if no
	property is set. Update JavaDoc to reflect this.

2006-04-18  Lillian Angel  <langel@redhat.com>

	* gnu/xml/dom/DomDocument.java
	(setCheckingCharacters): New function used to set
	checkingCharacters flag.
	* gnu/xml/dom/html2/DomHTMLParser.java
	(parseDocument): Added call to set checkingCharacters flag
	to false.

2006-04-18  Lillian Angel  <langel@redhat.com>

	* gnu/xml/dom/DomDocument.java
	(checkNCName): Reverted last patch. Added check for colon at
	last position back in.

2006-04-18  Robert Schuster  <robertschuster@fsfe.org>

        * examples/gnu/classpath/examples/swing/NavigationFilterDemo.java:
        New file.
        * examples/gnu/classpath/examples/swing/Demo.java:
        (mkMenuBar): Added NavigationFilter demo.

2006-04-18  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JSeparator.java: Updated API docs all over, plus
	(setOrientation): Fire PropertyChangeEvent,
	(paramString): Reimplemented.

2006-04-18  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/plaf/basic/BasicTextUI.java: Implemented.

2006-04-18  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JPanel.java: Updated API docs all over, plus
	(JPanel(LayoutManager, boolean)): Pass on null layout, set 
	double-buffer flag.

2006-04-18  Robert Schuster  <robertschuster@fsfe.org>

	* examples/gnu/classpath/examples/swing/DocumentFilterDemo.java:
	New file.
	* examples/gnu/classpath/examples/swing/Demo.java:
	(mkMenuBar): Added DocumenFilter demo.

2006-04-18  Tom Tromey  <tromey@redhat.com>

	* doc/www.gnu.org/include/layout.wml: Add FMJ.

2006-04-18  Mark Wielaard  <mark@klomp.org>

	Reported by John Sullivan (johns@fsf.org)
	* doc/www.gnu.org/stories.wml: Update JikesRVM location.

2006-04-18  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JInternalFrame.java
	(JDesktopIcon.getAccessibleContext): Added API docs,
	(getDefaultCloseOperation): Likewise,
	(paramString): Added 'title' attribute,
	(setDefaultCloseOperation): Added API docs.

2006-04-18  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JSlider.java
	(paramString): Reimplemented.

2006-04-18  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JComboBox.java
	(paramString): Reimplemented,
	(getAccessibleContext): Added API docs,
	(AccessibleJComboBox.getAccessibleRole): Likewise.

2006-04-18  Roman Kennke  <kennke@aicas.com>

	* javax/swing/RepaintManager.java
	(dirtyComponentsWork): New field.
	(ComponentComparator): Use dirtyComponentsWork instead of
	dirtyComponents.
	(RepaintManager): Initialize new field.
	(paintDirtyRegions): Swap dirtyComponents with dirtyComponentsWork
	and work on the copy.

2006-04-18  Roman Kennke  <kennke@aicas.com>

	* gnu/java/awt/peer/swing/SwingComponentPeer.java
	(setBounds): Call reshape().
	* gnu/java/awt/peer/swing/SwingContainerPeer.java
	(SwingContainerPeer): Changed argument to be a Component
	instead a Container.
	(getInsets): Call insets().
	(handleMouseEvent): Added null check to avoid NPE.
	(handleMouseMotionEvent): Added null check to avoid NPE.
	
2006-04-18  Roman Kennke  <kennke@aicas.com>

	PR 27185
	* javax/swing/JComponent.java
	(paintChildrenWithOverlap): When one child is not opaque, propagate
	the dirty rectangles to the next child.
	(paintChildrenOptimized): Removed unnecessary 'optimization'.
	This actually didn't work right and probably gained nothing.

2006-04-18  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/JTable.java (getCallRect): Do not cache rectangles.
	(moveToCellBeingEdited): Do not clone the rectangle here.

2006-04-18  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/plaf/basic/BasicSliderUI.java
	(getActionMap): Fixed lookup key,
	(createActionMap): Modified actions to fetch slider/ui from the event
	source.

2006-04-17  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JToolBar.java
	(AccessibleJToolBar.AccessibleJToolBar()): Updated API docs,
	(AccessibleJToolBar.getAccessibleStateSet): Implemented,
	(AccessibleJToolBar.getAccessibleRole): Updated API docs,
	(getAccessibleContext): Likewise.

2006-04-17  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/lang/Enum.java: Documented.

2006-04-17  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* NEWS:
	Mention merge of instrumentation classes.
	* doc/vmintegration.texinfo:
	Move instrumentation to correct section.
	
2006-04-17  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* gnu/java/lang/InstrumentationImpl.java:
	Moved from java.lang.
	* java/lang/InstrumentationImpl.java:
	Removed.
	* vm/reference/gnu/java/lang/VMInstrumentationImpl.java:
	Moved from java.lang.
	* vm/reference/java/lang/VMClassLoader.java:
	Corrected reference to InstrumentationImpl.
	* vm/reference/java/lang/VMInstrumentationImpl.java:
	Removed.

2005-12-14  Nicolas Geoffray  <nicolas.geoffray@menlina.com>

	* vm/reference/java/lang/VMClassLoader
	(defineClassWithTransformers): New method.
	(instrumenter): New Field. 

2005-12-04  Nicolas Geoffray  <nicolas.geoffray@menlina.com>

	* vm/reference/java/lang/VMInstrumentationImpl.java
	(redefineClasses): Added an extra parameter of type
	java.lang.instrument.Instrument.
	* java/lang/InstrumentationImpl.java
	(redefineClasses): Added the Instrumentation object
	to the arguments of VMInstrumentationImpl.redefineClasses
	call. 

2005-12-03  Nicolas Geoffray  <nicolas.geoffray@menlina.com>
	
	* java/lang/InstrumentationImpl.java:
	New file.
	* vm/reference/java/lang/VMInstrumentationImpl.java:
	New file. 

2006-04-17  Jeroen Frijters  <jeroen@frijters.net>

	* java/util/Collection.java: Implemented java.lang.Iterable.

2006-04-17  Jeroen Frijters  <jeroen@frijters.net>

	* java/lang/Boolean.java: Implemented Comparable.
	* java/lang/ClassLoader.java
	(getResources): Not final anymore in 1.5.
	* java/lang/Enum.java, java/lang/Iterable.java:
	Copied from generics branch.
	* java/lang/Thread.java (destroy): Marked deprecated.
	* java/lang/ThreadLocal.java (remove): New method.

2006-04-17  Dalibor Topic  <robilad@kaffe.org>

        * configure.ac:
        Added CLASSPATH_CONVENIENCE substitution for convenience library LDFLAGS.

        * native/fdlibm/Makefile.am,
        native/jni/classpath/Makefile.am:
        Don't use -module and -version-info for convenience libraries LDFLAGS.
        Fixes libtool warnings.

2006-04-17  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/plaf/basic/BasicComboBoxUI.java:
	(installKeyboardActions): Marked as stub,
	(uninstallKeyboardActions): Likewise,
	* javax/swing/plaf/basic/BasicComboPopup.java:
	(installKeyboardActions): Marked as stub,
	(uninstallKeyboardActions): Likewise,
	* javax/swing/plaf/basic/BasicInternalFrameUI.java:
	(installKeyboardActions): Marked as stub,
	(uninstallKeyboardActions): Likewise,
	* javax/swing/plaf/basic/BasicLabelUI.java:
	(installKeyboardActions): Marked as stub,
	(uninstallKeyboardActions): Likewise,
	* javax/swing/plaf/basic/BasicListUI.java:
	(installKeyboardActions): Marked as stub,
	(uninstallKeyboardActions): Likewise,
	* javax/swing/plaf/basic/BasicMenuBarUI.java:
	(installKeyboardActions): Marked as stub,
	(uninstallKeyboardActions): Likewise,
	* javax/swing/plaf/basic/BasicMenuUI.java:
	(installKeyboardActions): Marked as stub,
	(uninstallKeyboardActions): Likewise,
	* javax/swing/plaf/basic/BasicOptionPaneUI.java:
	(installKeyboardActions): Marked as stub,
	(uninstallKeyboardActions): Likewise,
	* javax/swing/plaf/basic/BasicPopupMenuUI.java:
	(installKeyboardActions): Marked as stub,
	(uninstallKeyboardActions): Likewise,
	* javax/swing/plaf/basic/BasicScrollBarUI.java:
	(installKeyboardActions): Marked as stub,
	(uninstallKeyboardActions): Likewise,
	* javax/swing/plaf/basic/BasicScrollPaneUI.java:
	(installKeyboardActions): Marked as stub,
	(uninstallKeyboardActions): Likewise,
	* javax/swing/plaf/basic/BasicSplitPaneUI.java:
	(installKeyboardActions): Marked as stub,
	(uninstallKeyboardActions): Likewise,
	* javax/swing/plaf/basic/BasicTabbedPaneUI.java:
	(installKeyboardActions): Marked as stub,
	(uninstallKeyboardActions): Likewise,
	* javax/swing/plaf/basic/BasicTableHeaderUI.java:
	(installKeyboardActions): Marked as stub,
	(uninstallKeyboardActions): Likewise,
	* javax/swing/plaf/basic/BasicTableUI.java:
	(installKeyboardActions): Marked as stub,
	(uninstallKeyboardActions): Likewise,
	* javax/swing/plaf/basic/BasicTextUI.java:
	(installKeyboardActions): Marked as stub,
	(uninstallKeyboardActions): Likewise,
	* javax/swing/plaf/basic/BasicToolBarUI.java:
	(installKeyboardActions): Marked as stub,
	(uninstallKeyboardActions): Likewise.	

2006-04-17  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/plaf/basic/BasicSliderUI.java
	(installKeyboardActions): Implemented,
	(uninstallKeyboardActions): Implemented,
	(scrollByBlock): Accept any value for direction,
	(scrollByUnit): Likewise,
	(getInputMap): New method,
	(getActionMap): New method,
	(createActionMap): New method.

2006-04-17  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/lang/annotation/Annotation.java:
	Documented.

2005-06-09  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/lang/reflect/AnnotatedElement.java: Documented.

2005-01-07  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/lang/reflect/AnnotatedElement.java:
	Added import of java.lang.annotation.Annotation

2004-08-26  Tom Tromey  <tromey@redhat.com>

	* java/lang/reflect/AnnotatedElement.java: New file.

2004-08-07  Tom Tromey  <tromey@redhat.com>

	* java/lang/annotation/Annotation.java: New file.

2005-12-13  Tom Tromey  <tromey@redhat.com>

	* java/lang/instrument/ClassDefinition.java: Reformatted.
	* java/lang/instrument/UnmodifiableClassException.java: Reformatted.
	* java/lang/instrument/IllegalClassFormatException.java: Reformatted.

2005-12-13  Tom Tromey  <tromey@redhat.com>

	* java/lang/instrument/ClassDefinition.java (ClassDefinition): Now
	public.

2005-12-05  Tom Tromey  <tromey@redhat.com>

	* java/lang/instrument/Instrumentation.java (redefineClasses): Javadoc
	fix.
	* java/lang/instrument/ClassFileTransformer.java (transform): Javadoc
	fix.

2005-12-03  Nicolas Geoffray  <nicolas.geoffray@menlina.com>
	
	* java/lang/instrument: New directory.
	* java/lang/instrument/ClassDefinition.java:
	New file.
	* java/lang/instrument/ClassFileTransformer.java:
	New file.
	* java/lang/instrument/IllegalClassFormatException.java:
	New file.
	* java/lang/instrument/Instrumentation.java:
	New file.
	* java/lang/instrument/UnmodifiableClassException.java:
	New file.

2006-04-16  Andrew John Hughes  <gnu_andrew@member.fsf.org>
	
	* doc/vmintegration.texinfo:
	Fix sectioning.

2006-04-16  Tom Tromey  <tromey@redhat.com>

	* native/jni/java-net/Makefile.am (AM_CFLAGS): Removed --save-temps.

2006-04-16  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* NEWS:
	Mention generics additions to the VM interface.
	* doc/vmintegration.texinfo:
	Added information on VMClass 1.5 additions and
	VMSecureRandom.
	
2006-04-16  Casey Marshall  <csm@gnu.org>

	* NEWS: add an entry mentioning local socket support.

2006-04-16  Casey Marshall  <csm@gnu.org>

	* configure.ac (--enable-local-sockets): new enable argument.
	(ENABLE_LOCAL_SOCKETS): new define.
	* native/jni/java-net/Makefile.am (local_sources): new variable.
	(lib_javanet_la_SOURCES): append `local_sources.'
	* native/jni/java-net/gnu_java_net_local_LocalSocketImpl.c,
	* native/jni/java-net/local.c,
	* native/jni/java-net/local.h,
	* include/gnu_java_net_local_LocalSocketImpl.h,
	* gnu/java/net/local/LocalServerSocket.java,
	* gnu/java/net/local/LocalSocket.java,
	* gnu/java/net/local/LocalSocketAddress.java,
	* gnu/java/net/local/LocalSocketImpl.java: new files.

2006-04-15  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* javax/accessibility/AccessibleAction.java:
	(DECREMENT): Added field.
	(INCREMENT): Likewise.
	(TOGGLE_EXPAND): Likewise.
	* javax/accessibility/AccessibleRole.java:
	(EDITBAR): Added field.
	(FOOTER): Likewise.
	(HEADER): Likewise.
	(PARAGRAPH): Likewise.
	(PROGRESS_MONITOR): Likewise.
	(RULER): Likewise.
	* javax/accessibility/AccessibleState.java:
	(INDETERMINATE): Added field.
	(MANAGES_DESCENDANTS): Likewise.
	(TRUNCATED): Likewise.
	* vm/reference/java/lang/reflect/Constructor.java:
	Fixed copyright header to match generics branch.
	* vm/reference/java/lang/reflect/Field.java:
	Fixed copyright header to match generics branch.
	(toGenericString()): Ported from generics branch.
	(getGenericType()): Likewise.
	(getSignature()): Likewise.

2006-04-14  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/text/DefaultCaret.java:
	(getBypass): New method.
	(moveDot): Rewritten.
	(moveDotImpl): New method.
	(setDot): Rewritten.
	(setDotImpl): New method.
	(DefaultCaret.Bypass): New class.

2006-04-14  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/text/AbstractDocument.java:
	(getBypass): New method.
	(insertString): Rewritten.
	(remove): Rewritten.
	(replace): Rewritten.
	(insertStringImpl): New method.
	(removeImpl): New method.
	(replaceImpl): New method.
	(AbstractDocument.Bypass): New class.

2006-04-14  Casey Marshall  <csm@gnu.org>

	Fixes PR classpath/24642
	* NEWS: add note about SecureRandom changes, and addition of
	VMSecureRandom.
	* java/security/SecureRandom.java (isSeeded): new field.
	(setSeed, setSeed): set `isSeeded' to `true.'
	(nextBytes): seed this instance if `isSeeded' is false.
	(getSeed): call `generateSeed.'
	(SECURERANDOM_SOURCE, JAVA_SECURITY_EGD, logger): new constants.
	(generateSeed, generateSeed): new methods.
	* vm/reference/java/security/VMSecureRandom.java: new file.

2006-04-14  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/text/FieldView.java:
	(paint): Apply clipping rectangle of the allocation area
	before painting the text.
	* javax/swing/text/DefaultHighlighter.java:
	(DefaultHighlighter.DefaultHighlightPainter): Use SwingUtilities to
	compute union and intersection,	calculate intersection with allocation
	area before painting, adjust x and width when painting multiple lines
	by the range of the allocation area.

2006-04-14  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/text/DefaultHighlighter.java:
	(paintLayeredHighlights): Marked as stub.

2006-04-14  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/plaf/basic/BasicTextFieldUI.java:
	(propertyChanged): Added note, change color only if current background
	is a ColorUIResource instance.

2006-04-14  Tom Tromey  <tromey@redhat.com>

	* java/beans/beancontext/BeanContextSupport.java (hasNext): No longer
	a stub.
	(next): Likewise.

2006-04-14  Tom Tromey  <tromey@redhat.com>

	* javax/swing/JComboBox.java (AccessibleJComboBox): Now public.

2006-04-14  Mark Wielaard  <mark@klomp.org>

	* java/lang/Thread.java (getUncaughtExceptionHandler): Return
	thread group when exceptionHandler isn't set.
	* vm/reference/java/lang/VMThread.java (run): Use result of
	thread.getUncaughtExceptionHandler directly.

2006-04-14  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JSplitPane.java
	(AccessibleJSplitPane.getAccessibleStateSet): Implemented,
	(AccessibleJSplitPane.getAccessibleRole): Implemented,
	(AccessibleJSplitPane.getAccessibleValue): Implemented,
	(AccessibleJSplitPane.getCurrentAccessibleValue): Implemented,
	(AccessibleJSplitPane.setCurrentAccessibleValue): Implemented,
	(AccessibleJSplitPane.getMinimumAccessibleValue): Implemented,
	(AccessibleJSplitPane.getMaximumAccessibleValue): Implemented.

2006-04-13  Andrew John Hughes  <gnu_andrew@member.fsf.org>
	
	* gnu/javax/crypto/assembly/Assembly.java,
	* gnu/javax/crypto/assembly/Cascade.java,
	* gnu/javax/crypto/assembly/CascadeStage.java,
	* gnu/javax/crypto/assembly/CascadeTransformer.java,
	* gnu/javax/crypto/assembly/Direction.java,
	* gnu/javax/crypto/assembly/LoopbackTransformer.java,
	* gnu/javax/crypto/assembly/ModeStage.java,
	* gnu/javax/crypto/assembly/Operation.java,
	* gnu/javax/crypto/assembly/PaddingTransformer.java,
	* gnu/javax/crypto/assembly/Stage.java,
	* gnu/javax/crypto/assembly/Transformer.java,
	* gnu/javax/crypto/cipher/Square.java,
	* gnu/javax/crypto/jce/cipher/AESSpi.java,
	* gnu/javax/crypto/jce/cipher/ARCFourSpi.java,
	* gnu/javax/crypto/jce/cipher/AnubisSpi.java,
	* gnu/javax/crypto/jce/cipher/BlowfishSpi.java,
	* gnu/javax/crypto/jce/cipher/CipherAdapter.java,
	* gnu/javax/crypto/jce/cipher/DESSpi.java,
	* gnu/javax/crypto/jce/cipher/KhazadSpi.java,
	* gnu/javax/crypto/jce/cipher/NullCipherSpi.java,
	* gnu/javax/crypto/jce/cipher/PBES2.java,
	* gnu/javax/crypto/jce/cipher/RijndaelSpi.java,
	* gnu/javax/crypto/jce/cipher/SerpentSpi.java,
	* gnu/javax/crypto/jce/cipher/SquareSpi.java,
	* gnu/javax/crypto/jce/cipher/TripleDESSpi.java,
	* gnu/javax/crypto/jce/cipher/TwofishSpi.java,
	* gnu/javax/crypto/jce/mac/HMacMD2Spi.java,
	* gnu/javax/crypto/jce/mac/HMacMD4Spi.java,
	* gnu/javax/crypto/jce/mac/HMacMD5Spi.java,
	* gnu/javax/crypto/jce/mac/HMacRipeMD128Spi.java,
	* gnu/javax/crypto/jce/mac/HMacRipeMD160Spi.java,
	* gnu/javax/crypto/jce/mac/HMacSHA160Spi.java,
	* gnu/javax/crypto/jce/mac/HMacSHA256Spi.java,
	* gnu/javax/crypto/jce/mac/HMacSHA384Spi.java,
	* gnu/javax/crypto/jce/mac/HMacSHA512Spi.java,
	* gnu/javax/crypto/jce/mac/HMacTigerSpi.java,
	* gnu/javax/crypto/jce/mac/HMacWhirlpoolSpi.java,
	* gnu/javax/crypto/jce/mac/MacAdapter.java,
	* gnu/javax/crypto/jce/mac/TMMH16Spi.java,
	* gnu/javax/crypto/jce/mac/UHash32Spi.java,
	* gnu/javax/crypto/jce/mac/UMac32Spi.java,
	* gnu/javax/crypto/key/dh/DiffieHellmanSender.java,
	* gnu/javax/crypto/key/srp6/SRP6TLSServer.java,
	* gnu/javax/crypto/keyring/PrivateKeyEntry.java,
	* gnu/javax/crypto/mode/IAuthenticatedMode.java,
	* gnu/javax/crypto/pad/WrongPaddingException.java,
	* gnu/javax/crypto/prng/ICMGenerator.java,
	* gnu/javax/crypto/prng/IPBE.java,
	* gnu/javax/crypto/prng/PBKDF2.java,
	* gnu/javax/crypto/sasl/ConfidentialityException.java,
	* gnu/javax/crypto/sasl/IllegalMechanismStateException.java,
	* gnu/javax/crypto/sasl/srp/IALG.java,
	* gnu/javax/crypto/sasl/srp/SRPServer.java:
	Remove CVS revision tags.

2006-04-13  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/plaf/basic/BasicTreeUI.java (getPreferredSize): 
	Removed debugging code.

2006-04-13  Audrius Meskauskas  <AudriusA@Bioinformatics.org>
 
	* javax/swing/JTree.java (getPreferredSize): Return the
	cloned instance.
	* javax/swing/ViewportLayout.java (layoutContainer):
	Do not manage the view size and location if the view is
	in the scroll pane. Also manage size and location for
	Scrollable, if it is not in the scroll pane.
	* javax/swing/plaf/basic/BasicTreeUI.java,
	* javax/swing/tree/FixedHeightLayoutCache.java,
	* javax/swing/tree/VariableHeightLayoutCache.java: Rewritten.
	* gnu/javax/swing/tree/GnuPath.java: New file.

2006-04-13  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JToolBar.java
	(AccessibleJToolBar.getAccessibleStateSet): Marked as stub.

2006-04-13  Robert Schuster  <robertschuster@fsfe.org>

	* examples/gnu/classpath/examples/swing/TextAreaDemo.java:
	(createCustomColoredPanel): Set background color as demo intends,
	changed custom selection color to red.
	* examples/gnu/classpath/examples/swing/TextFieldDemo.java:
	Replaced various single variables with a Compound instance, added
	custom highlighter demo.
	(TextFieldDemo.DemoHighlightPainter): New class (taken from
	TextAreaDemo).
	(TextFieldDemo.Compound): New class.
	(createTextFieldCompound): New method.
	(createLeftAlignedPanel): Rewritten.
	(createRightAlignedPanel): Rewritten.
	(createCenteredPanel): Rewritten.
	(createCustomColoredPanel): Removed.
	(createCustomColoredPanel1): New method.
	(createCustomColoredPanel2): New method.
	(createCustomBordersPanel): New method.
	(createMiscPanel): Rewritten.
	(actionPerformed): Rewritten.
	(createContent): Add panels of new compounds to main panel, put
	main panel in a JScrollPane.
	* examples/gnu/classpath/examples/swing/Demo.java:
	(Demo): Put desktop in a scrollpane.
	(mkMenuBar): Check availability of MetalLookAndFeel.getCurrentTheme()
	method via reflection.

2006-04-13  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/plaf/metal/MetalDesktopIconUI.java
	(createUI): Return new instance rather than shared instance.

2006-04-13  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/text/FieldView.java:
	(checkContainer): Call updateVisibility() at the end.

2006-04-13  Robert Schuster  <robertschuster@fsfe.org>

	* java/awt/event/MouseEvent.java:
	(paramString): Add value of 'consumed' variable in string.

2006-04-13  Robert Schuster  <robertschuster@fsfe.org>

	PR 26967
	* javax/swing/JTextField.java: Removed scrollOffset variable.
	(JTextField): Moved up initialization of horizontalVisibility field.
	(getScrollOffset): Implemented.
	(setScrollOffset): Implemented.
	(getHorizonztalVisibility): Removed note.
	(scrollRectToVisible): New method.
	* javax/swing/text/FieldView.java: Added cachedSpan variable.
	(checkContainer): New method.
	(updateVisibility): New method.
	(calculateHorizontalSpan): New method.
	(adjustAllocation): Removed unneeded local variables, added code
	to handle scrolling.
	(getPreferredSpan): Use new method calculateHorizontalSpan,
	avoid calculation by returning cached value cachedSpan.
	(paint): Added check whether the hosted component is a JTextField.
	(insertUpdate): Invalidate cached span value, update visibility
	if neccessary.
	(removeUpdate): Dito.
	(changeUpdate): Dito.

2006-04-13  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JInternalFrame.java
	(setTitle): Set old value to 'this.title', not 'title'.

2006-04-13  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JInternalFrame.java
	(AccessibleJInternalFrame.getAccessibleName): Implemented,
	(AccessibleJInternalFrame.getAccessibleRole): Implemented,
	(AccessibleJInternalFrame.getAccessibleValue): Implemented,
	(AccessibleJInternalFrame.getCurrentAccessibleValue): Implemented,
	(AccessibleJInternalFrame.getMaximumAccessibleValue): Implemented,
	(AccessibleJInternalFrame.getMinimumAccessibleValue): Implemented,
	(AccessibleJInternalFrame.setCurrentAccessibleValue): Implemented,
	(JDesktopIcon.AccessibleJDesktopIcon.getAccessibleRole): Implemented,
	(JDesktopIcon.AccessibleJDesktopIcon.getAccessibleValue): Implemented,
	(JDesktopIcon.AccessibleJDesktopIcon.getCurrentAccessibleValue): 
	Implemented,
	(JDesktopIcon.AccessibleJDesktopIcon.getMaximumAccessibleValue): 
	Implemented,
	(JDesktopIcon.AccessibleJDesktopIcon.getMinimumAccessibleValue): 
	Implemented,
	(JDesktopIcon.AccessibleJDesktopIcon.setCurrentAccessibleValue): 
	Implemented,
	(JInternalFrame()): Use "" for default title,
	(getAccessibleContext): Updated API docs,
	(getDesktopIcon): Likewise,
	(getLayer): Check for layer in client properties, and return 
	DEFAULT_LAYER if no setting is found,
	(getTitle): Updated API docs,
	(setDesktopIcon): Fire property change event.

2006-04-13  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/ScrollPaneLayout.java (layoutContainer):
	Mind that the presence of one scroll bar may cause the
	need for another.

2006-04-12  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* gnu/regexp/REToken.java(unicodeAware): New field,
	(toLowerCase, toUpperCase): New methods.
	* gnu/regexp/RETokenBackRef.java, gnu/regexp/RETokenChar.java,
	gnu/regexp/RETokenNamedProperty.java, gnu/regexp/RETokenRange.java:
	Use toLowerCase and toUpperCase defined in REToken instead of
	those defined in java.lang.Character.
	* gnu/regexp/gnu/regexp/RE.java(REG_ICASE_USASCII): New flag.
	(initialize): Sets unicodeAware of the generated REToken to false if
	REG_ICASE_USASCII is set.
	* gnu/regexp/RETokenChar.java(constructor): Don't convert the character
	to lower case and keep the original value.
	(matchOneString): Use the new method charEquals to compare characters.
	(charEquals): New method to compare characters.
	* java/util/regex/Pattern.java: Sets the flag REG_ICASE_USASCII to true.

2006-04-12  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/event/InternalFrameEvent.java:
	(paramString): Implemented,
	updated API docs all over.
	
2006-04-12  Casey Marshall  <csm@gnu.org>

	* gnu/javax/crypto/prng/Fortuna.java (setup): call `fillBlock.'
	(Generator.setup): call `fillBlock.'

2006-04-12  Casey Marshall  <csm@gnu.org>

	Fixes PR classpath/24481.
	* gnu/java/security/jce/prng/SecureRandomAdapter.java (<init>):
	initialize the adaptee.
	(setSeed): call `addRandomBytes;' don't re-initialize the adaptee.
	* gnu/java/security/prng/MDGenerator.java (addRandomByte,
	addRandomBytes): new methods.

2006-04-12  Tom Tromey  <tromey@redhat.com>

	* java/io/DataOutputStream.java (writeUTF): Correctly handle zero
	length strings.

2006-04-12  Lillian Angel  <langel@redhat.com>

	* gnu/xml/dom/DomDocument.java
	(checkNCName): Removed unneeded part of check.
	* gnu/xml/dom/DomNode.java
	(dispatchEvent): Added code to grow ancestors array
	if needed. Changed checks to use depth of node instead.
	Fixes an infinite loop and segmentation fault.
	* gnu/xml/dom/html2/DomHTMLParser.java
	(handleEndTag): No need to use/make a copy of the node.
	Causes an infinite loop.

2006-04-12  Tom Tromey  <tromey@redhat.com>

	PR classpath/27131:
	* java/util/BitSet.java (get): Early return if to==from.

2006-04-12  Mark Wielaard  <mark@klomp.org>

	* java/security/SecureRandom.java (algorithm): New private field.
	(SecureRandom): Initialize algorithm.
	(SecureRandom(SecureRandomSpi,Provider,String)): New private
	constructor.
	(getInstance): Call 3 argument constructor.
	(getAlgorithm): New method.

2006-04-12  Mark Wielaard  <mark@klomp.org>

	Port UncaughtExceptionHandler support from generics branch.
	* NEWS: Document Thread.UncaughtExceptionHandler VMThread change.

2006-04-12  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/lang/Thread.java:
	(setUncaughtExceptionHandler(UncaughtExceptionHandler):
	Added docs and security check.
	(getUncaughtExceptionHandler()): Documented.
	(setDefaultUncaughtExceptionHandler(UncaughtExceptionHandler):
	Added docs and security check.
	(getDefaultUncaughtExceptionHandler()): Documented.
	(getId()): Documented.

2006-04-12  Tom Tromey  <tromey@redhat.com>

	* vm/reference/java/lang/VMThread.java (run): Use thread's
	uncaught handler.
	* java/lang/Thread.java (defaultHandler): New field.
	(setDefaultUncaughtExceptionHandler,
	getDefaultUncaughtExceptionHandler, setUncaughtExceptionHandler,
	getUncaughtExceptionHandler): New methods.
	* java/lang/ThreadGroup.java (ThreadGroup): Implements
	UncaughtExceptionHandler.
	(uncaughtException): Use getDefaultUncaughtExceptionHandler.

2006-04-11  Bryce McKinlay  <mckinlay@redhat.com>

	* java/io/DataOutputStream.java (writeUTF): Re-use fixed length byte
	buffer. Loop only once to determine Utf8 length	when possible. Make
	the inner loop bounded by buf.length.
	(getUTFlength): New private method.
	(buf): New private field.

2006-04-11  Lillian Angel  <langel@redhat.com>

	* gnu/xml/dom/DomNodeIterator.java
	(nextNode): Moved line of code to avoid an infinite loop.
	* gnu/xml/dom/html2/DomHTMLAppletElement.java
	(getCls): New function.
	(setCls): Likewise.
	(getSrc): Likewise.
	(setSrc): Likewise.
	* gnu/xml/dom/html2/DomHTMLDocument.java:
	Added DomHTMLEmbedElement to map.
	(getApplets): Added node name, 'embed'.
	* gnu/xml/dom/html2/DomHTMLEmbedElement.java:
	New class.
	* gnu/xml/dom/html2/DomHTMLObjectElement.java
	(getJavaCode): New function.
	(setJavaCode): Likewise.
	(getObject): Likewise.
	(setObject): Likewise.
	(getJavaObject): Likewise.
	(setJavaObject): Likewise.
	(getJavaArchive): Likewise.
	(setJavaArchive): Likewise.
	(getJavaCodeBase): Likewise.
	(setJavaCodeBase): Likewise.
	(getJavaType): Likewise.
	(setJavaType): Likewise.
	(setMayscript): Likewise.
	(getMayscript): Likewise.
	(setScriptable): Likewise.
	(getScriptable): Likewise.
	* gnu/xml/dom/html2/DomHTMLParser.java
	(parseDocument): Should not check for well formedness
	when parsing an html document.
	* java/awt/Window.java
	(dispatchEvent): Added check to avoid NPE.

2006-04-10  Tom Tromey  <tromey@redhat.com>

	* javax/accessibility/AccessibleStreamable.java (getStream): Fixed
	name.
	* javax/accessibility/AccessibleRelation.java (EMBEDS): Fixed value.
	(SUBWINDOW_OF, SUBWINDOW_OF_PROPERTY): Likewise.

2006-04-10  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/plaf/basic/BasicTextUI.java:
	(getNextVisualPositionFrom): Marked as stub.

2006-04-10  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicLookAndFeel.java
	(initSystemColorDefaults): Changed to use loadSystemColorDefaults
	and create the defaults as strings constants.
	(loadSystemColors): Implemented stubbed method.

2006-04-10  Tom Tromey  <tromey@redhat.com>

	* .settings/org.eclipse.core.resources.prefs: Set encoding for
	ChangeLog.

2006-04-10  Tom Tromey  <tromey@redhat.com>

	* java/io/CharArrayWriter.java (append): Javadoc fix.
	(append): Likewise.

2006-04-10  Tom Tromey  <tromey@redhat.com>

	* javax/accessibility/AccessibleTextSequence.java: New file.
	* javax/accessibility/AccessibleRelation.java (CHILD_NODE_OF): New
	field.
	(CHILD_NODE_OF_PROPERTY, EMBEDDED_BY, EMBEDDED_BY_PROPERTY, EMBEDS,
	EMBEDS_PROPERTY, FLOWS_FROM, FLOWS_FROM_PROPERTY, FLOWS_TO,
	FLOWS_TO_PROPERTY, PARENT_WINDOW_OF, PARENT_WINDOW_OF_PROPERTY,
	SUBWINDOW_OF, SUBWINDOW_OF_PROPERTY): Likewise.
	* javax/accessibility/AccessibleExtendedText.java: New file.
	* javax/accessibility/AccessibleContext.java
	(ACCESSIBLE_COMPONENT_BOUNDS_CHANGED): New field.
	(ACCESSIBLE_INVALIDATE_CHILDREN): Likewise.
	(ACCESSIBLE_TEXT_ATTRIBUTES_CHANGED): Likewise.
	* javax/accessibility/AccessibleAttributeSequence.java: New file.
	* javax/accessibility/AccessibleStreamable.java: New file.
	* javax/accessibility/AccessibleText.java (getIndexAtPoint): Javadoc
	fix.

2006-04-10  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/tree/AbstractLayoutCache.java 
	(getNodeDimensions, getRowsForPath): Implemented.
	* javax/swing/tree/FixedHeightLayoutCache.java: Rewritten.
	* javax/swing/tree/VariableHeightLayoutCache.java: Rewritten.

2006-04-10  Roman Kennke  <kennke@aicas.com>

	* javax/swing/tree/AbstractLayoutCache.java: Reformatted.

2006-04-10  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JInternalFrame.java
	(AccessibleJInternalFrame): Marked all stubbed methods as such
	by adding throws NotImplementedException.

2006-04-10  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JFileChooser.java
	(getAccessibleContext): Don't create a new instance on each
	call, instead store the accessible context in the
	accessibleContext field.

2006-04-10  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JComboBox.java
	(AccessibleJComboBox): Marked all stubbed methods as such
	by adding throws NotImplementedException.

2006-04-10  Roman Kennke  <kennke@aicas.com>

	* javax/swing/ActionMap.java
	(readObject): Removed.
	(writeObject): Removed.

2006-04-10  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/tree/DefaultTreeSelectionModel.java
	(addSelectionPaths, setSelectionPaths): Call 
	insureUniqueness. (clone, setRowMapper): Implemented.
	* TreePath (path): Marked final.

2006-04-10  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/tree/DefaultTreeSelectionModel.java:
	Documented and autoformatted. (insureUniqueness):
	Removed stub marking.

2006-04-09  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/SizeSequence.java
	(sizes): Don't initialise here,
	(SizeSequence(int, int)): Initialise sizes field,
	(SizeSequence(int[])): Clone argument instead of calling setSizes(),
	(setSize): Do nothing when index is out of bounds,
	(getIndex): Implemented,
	(setSizes): Reimplemented,
	(getSizes): Likewise,
	(insertEntries): Likewise,
	(removeEntries): Likewise,
	plus added API docs all over.

2006-04-09  Audrius Meskauskas  <AudriusA@Bioinformatics.org

	* gnu/CORBA/gnuRequest.java (submit): Do not read any response after
	one way message and retry after any IOException.

2006-04-09  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/CORBA/CDR/EncapsulationStream.java (constructor):
	Set the byte order.

2006-04-09  Wolfgang Baer  <WBaer@gmx.de>

	* org/omg/PortableServer/ServantLocatorPOA.java: 
	(preinvoke, postinvoke): Remove default implementation.
	* org/omg/PortableServer/ServantActivatorPOA.java: 
	(incarnate, etherealize): Remove default implementation.	
	* org/omg/PortableInterceptor/ObjectReferenceFactory.java: 
	Extends from ValueBase and not from ObjectReferenceFactoryOperations.
	(make_object): Moved method from ObjectReferenceFactoryOperations.
	* org/omg/PortableInterceptor/ObjectReferenceFactoryOperations.java: 
	Removed unspecified interface.	
	* org/omg/DynamicAny/_DynAnyStub.java:
	(_DynAnyStub(Delegate)): Removed constructor.
	* org/omg/DynamicAny/_DynArrayStub.java,
	* org/omg/DynamicAny/_DynAnyFactoryStub.java,
	* org/omg/DynamicAny/_DynEnumStub.java,
	* org/omg/DynamicAny/_DynFixedStub.java,
	* org/omg/DynamicAny/_DynSequenceStub.java,
	* org/omg/DynamicAny/_DynStructStub.java,
	* org/omg/DynamicAny/_DynUnionStub.java,
	* org/omg/DynamicAny/_DynValueStub.java: 
	Extend from ObjectImpl and not from _DynAnyStub.
	(type, next, destroy, copy, rewind, assign, component_count, 
	current_component, equal, from_any, get_any, get_boolean, get_char, 
	get_double, get_dyn_any, get_float, get_long, get_longlong, get_octet, 
	get_reference, get_short, get_string, get_typecode, get_ulong, 
	get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_any,
	insert_boolean, insert_char, insert_double, insert_dyn_any, insert_float,
	insert_long, insert_longlong, insert_octet, insert_reference, 
	insert_short, insert_string, insert_typecode, insert_ulong, 
	insert_ulonglong, insert_ushort, insert_val, insert_wchar, 
	insert_wstring, seek, to_any): New methods copied from _DynAnyStub.		
	* org/omg/CosNaming/_BindingIteratorStub.java:
	(_BindingIteratorStub(Delegate)): Made package private.
	* org/omg/CosNaming/_NamingContextExtStub.java:
	(_NamingContextExtStub(Delegate)): Made package private.
	* org/omg/CosNaming/_NamingContextStub.java:
	(_NamingContextStub(Delegate)): Made package private.
	(throw4, throw5): Likewise.
	* gnu/CORBA/NamingService/NameParser.java (resolve): 
	Adapt to package private constructor. Use _set_delegate instead.	
	* org/omg/CosNaming/NamingContextOperations.java: Do not extend IDLEntity.
	* org/omg/CORBA/ORB.java: 
	(create_recursive_sequence_tc): Made abstract.
	(get_default_context): Likewise.
	* gnu/CORBA/OrbRestricted.java: 
	(create_recursive_sequence_tc): New moved method.
	(get_default_context): Likewise.	
	* org/omg/CORBA/ParameterMode.java: 
	(PARAM_IN, PARAM_OUT, PARAM_INOUT): Made final.	

2006-04-09  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/CORBA/GIOP/MessageHeader.java (write): 
	More informative exception.
	* gnu/CORBA/IorDelegate.java (release): Do not close the socket.
	* gnu/CORBA/SocketRepository.java (get_socket):
	Removed debugging code.

2006-04-09  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/CORBA/gnuRequest.java (submit): Try to read the response for the
	one way message, but ignore if EOF was received.
	* gnu/CORBA/GIOP/MessageHeader.java (read): Set the minor code to
	Minor.EOF if the end of file is received instead of the header.

2006-04-09  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalRootPaneUI.java
	(MetalTitlePane.IconifyAction): New inner class.
	(MetalTitlePane.MaximizeAction): New inner class.
	(MetalTitlePane.createActions): Create iconifyAction and
	maximizeAction.
	(MetalRootLayout.titlePane): New field.
	(MetalRootLayout.MetalRootLayout): Take titlePane parameter in
	constructor.
	(MetalRootLayout.preferredLayoutSize): Changed to not make
	assumptions about the actual component order.
	(MetalRootLayout.layoutContainer): Changed to not make
	assumptions about the actual component order.
	(installWindowDecorations): Pass the titlePane as parameter to
	the MetalRootLayout constructor.
	(uninstallWindowDecorations): Changed to not make
	assumptions about the actual component order.

2006-04-08  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalRootPaneUI.java
	(MetalTitlePane.MouseHandler): New inner class to handle dragging
	of frames.
	(MetalTitlePane.installListeners): Don't register a focus listener
	on the window. This is a potential memory leak and must be
	implemented on a different way. Install mouse listener here.
	(installWindowDecorations): Fixed assertion condition. Always
	insert the window decoration at index#1 in the layered 
	pane.

2006-04-08  Roman Kennke  <kennke@aicas.com>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c
	(Java_gnu_java_awt_peer_gtk_GtkWindowPeer_nativeSetBoundsUnlocked):
	Only resize window if actual width or height value changes.
	Avoids nasty flicker when only setLocation() is beeing called
	on a window.

2006-04-08  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/CORBA/GIOP/MessageHeader.java (read): Throw more informative
	exception if the magic sequence does not match.

2006-04-08  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/CORBA/gnuRequest.java (p_invoke, submit): Do not try to read
	response for the one way messages.

2006-04-08  Roman Kennke  <kennke@aicas.com>

	* javax/swing/MenuSelectionManager.java
	(processKeyEvent): Implemented stub method.
	* javax/swing/JMenu.java
	(processKeyEvent): Implemented stub method.
	* javax/swing/JMenu.java
	(processKeyEvent): Implemented stub method.
	(processMenuKeyEvent): Implemented stub method.

2006-04-08  Roman Kennke  <kennke@aicas.com>

	* javax/swing/AbstractAction.java
	(readObject): Removed unneeded method.
	(writeObject): Removed unneeded method.

2006-04-08  Wolfgang Baer  <WBaer@gmx.de>

	* javax/swing/plaf/synth/SynthPainter.java: 
	(paintSplitPaneDividerBorder): Removed.

2006-04-08  Wolfgang Baer  <WBaer@gmx.de>

	* javax/swing/plaf/basic/BasicInternalFrameTitlePane.java: 
	(CLOSE_CMD, ICONIFY_CMD, MAXIMIZE_CMD, MOVE_CMD, RESTORE_CMD, SIZE_CMD):
	No longer constants.
	(static_initializer): Added to initialize above fields.
	* javax/accessibility/AccessibleRelation.java (LABEL_FOR, LABELED_BY, 
	MEMBER_OF, CONTROLLER_FOR, CONTROLLED_BY): No longer constants.
	(static_initializer): Added to initialize above fields.

2006-04-08  Wolfgang Baer  <WBaer@gmx.de>

	* java/awt/Dialog.java: Improved documentation all over.
	(Dialog(Frame)): If gc is null use the owners GraphicsConfiguration.
	(Dialog(Dialog)): Likewise.

2006-04-08  Mark Wielaard  <mark@klomp.org>

	* java/util/jar/JarFile.java (provider): New static field.
	(verify, verifyHashes, EntryInputStream.<init>): Pass provider
	to `getInstance.'

2006-04-08  Mark Wielaard  <mark@klomp.org>

	PR 27081
	* java/lang/StackTraceElement.java (toString): Don't add space
	between type and source indicator.

2006-04-07  Casey Marshall  <csm@gnu.org>

	Fixes PR classpath/24464	
	* java/util/jar/JarFile.java (verify, verifyHashes,
	EntryInputStream.<init>): pass the Gnu provider directly to
	`getInstance.'

2006-04-08  Raif S. Naffah  <raif@swiftdsl.com.au>

	PR classpath/27071
	* gnu/java/security/hash/Whirlpool.java: Updated documentation.
	(DIGEST0): Use version 3 test vector.
	(Sd): Removed.
	(S_box): New field: Version 3 S-box values.
	(<clinit>): Use Version 3 circulant matrix to construct lookup tables.
	(transform): Formating.
	(padBuffer): Likewise.
	(getResult): Likewise.
	(selfTest): Likewise.

2006-04-07  Tom Tromey  <tromey@redhat.com>

	* java/util/InvalidPropertiesFormatException.java
	(serialVersionUID): New field.
	(readObject, writeObject): New methods.
	* java/util/Arrays.java (toString): Javadoc fixes.
	* java/net/URLConnection.java: Cleaned up imports.
	* java/lang/reflect/ParameterizedType.java: Javadoc fix.
	* java/lang/reflect/MalformedParameterizedTypeException.java
	(serialVersionUID): New field.
	* java/lang/reflect/GenericSignatureFormatError.java
	(serialVersionUID): New field.
	* java/lang/Class.java (Class): Javado fixes.
	(getComponentType): Likewise.
	(getGenericInterfaces): Likewise.
	(getTypeParameters): Likewise.
	* java/io/CharArrayWriter.java (append): Javadoc fixes.
	* java/lang/annotation/AnnotationFormatError.java (serialVersionUID):
	New field.
	* java/lang/TypeNotPresentException.java (serialVersionUID): New
	field.
	* java/lang/EnumConstantNotPresentException.java (serialVersionUID):
	New field.

2006-04-07  Wolfgang Baer  <WBaer@gmx.de>

	* java/awt/Dialog.java 
	(AccessibleAWTDialog): Added api docs
	(AccessibleAWTDialog.getAccessibleStateSet):
	 Renamed from getAccessibleState.
	* java/awt/Frame.java 
	(AccessibleAWTFrame): Added api docs
	(AccessibleAWTFrame.getAccessibleStateSet):
	 Renamed from getAccessibleState.

2006-04-07  Wolfgang Baer  <WBaer@gmx.de>

	* java/awt/Dialog.java: Reformatted.

2006-04-07  Lillian Angel  <langel@redhat.com>

	* java/awt/Component.java
	(eventTypeEnabled): Added code for HierarchyEvent.HIERARCHY_CHANGED,
	HierarchyEvent.ANCESTOR_MOVED and HierarchyEvent.ANCESTOR_RESIZED.

2006-04-07  Tom Tromey  <tromey@redhat.com>

	* java/beans/beancontext/BeanContextMembershipEvent.java
	(serialVersionUID): New field.
	* java/beans/beancontext/BeanContextServicesSupport.java
	(addBeanContextServicesListener): Synchronize.
	(addService): Implemented.
	(createBCSChild): Implemented.
	(BCSSChild): Added arguments.
	(fireServiceAdded): Implemented.
	(fireServiceRevoked): Implemented.
	(getCurrentServiceSelectors): Implemented.
	(hasService): Implemented.
	(removeBeanContextServicesListener): Implemented.
	(serviceAvailable): Implemented.
	(serviceRevoked): Implemented.
	* java/beans/beancontext/BeanContextSupport.java (BCSChild): Added
	arguments.
	(createBCSChild): Implemented.
	(BeanContextSupport): 
	(addBeanContextMembershipListener): Synchronize.
	(fireChildrenAdded): Implemented.
	(fireChildrenRemoved): Implemented.
	(BeanContextSupport): Use default locale.
	(isEmpty): Implemented.
	(isDesignTime): Implemented.
	(size): Implemented.
	(toArray): Synchronized.
	(toArray): Likewise.
	(iterator): Likewise.
	(BCSIterator): Implemented.
	(bcsChildren): Implemented.
	(validatePendingAdd): Implemented.
	(validatePendingRemove): Likewise.
	(childJustAddedHook): Implemented.
	(childJustRemovedHook): Likewise.
	(classEquals): Likewise.
	(toArray): Mark as stub.
	(setDesignTime): Implemented.
	(copyChildren): Implemented.
	(containsKey): Implemented.
	(contains): Likewise.
	(containsAll): Likewise.
	(getResource): Implemented.
	(getResourceAsStream): Likewise.
	(removeBeanContextMembershipListener): Likewise.
	* java/beans/beancontext/BeanContextServiceRevokedEvent.java
	(serialVersionUID): New field.
	* java/beans/beancontext/BeanContextServiceAvailableEvent.java
	(serialVersionUID): New field.
	* java/beans/beancontext/BeanContext.java (instantiateChild): Javadoc
	fix.

2006-04-06  Roman Kennke  <kennke@aicas.com>

	PR 26937
	* javax/swing/MenuSelectionManager.java
	(setSelectedPath): Search one more item in the loop.
	
2006-04-06  Tom Tromey  <tromey@redhat.com>

	* java/awt/image/renderable/RenderableImageProducer.java
	(image, context, consumers): New fields.
	(RenderableImageProducer): Implemented.
	(setRenderContext): Likewise.
	(addConsumer): Likewise.
	(isConsumer): Likewise.
	(removeConsumer): Likewise.
	(startProduction): Likewise.

2006-04-06  Roman Kennke  <kennke@aicas.com>

	* java/awt/Component.java
	(AccessibleAWTComponent.getBounds): Return the component
	bounds regardless of its showing state.
	(AccessibleAWTComponent.getLocation): Return the component
	location regardless of its showing state.
	(AccessibleAWTComponent.getSize): Return the component
	size regardless of its showing state.

2006-04-06  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JRootPane.java
	(getAccessibleContext): New method. Provides an accessibleContext
	for JRootPanes.

2006-04-06  Roman Kennke  <kennke@aicas.com>

	* java/awt/Toolkit.java
	(initAccessibility): Use the 'gnu.classpath.home.url' property
	to determine the system confiuration directory.
	* java/awt/Component.java
	(dispatchEvent): Trigger Toolkit dispatching here.
	(dispatchEventImpl): Moved Toolkit dispatching to dispatchEvent,
	so it can't be overridden by subclasses and is performed in
	any case.

2006-04-06  Wolfgang Baer  <WBaer@gmx.de>
	
	* javax/naming/Binding.java: Added API docs.
	* javax/naming/NameClassPair.java: Added API docs.
	(fullName): New field.
	(setNameInNamespace): New 1.5 method.
	(getNameInNamespace): Likewise.

2006-04-06  Wolfgang Baer  <WBaer@gmx.de>

	* javax/naming/CompositeName.java: 
	(readObject): New deserialization method.
	(writeObject): New serialization method.

2006-03-29  Nektarios K. Papadopoulos  <npapadop at inaccessnetworks.com>

	* javax/security/auth/x500/X500Principal.java
	(readAttributeValue) Check for separator after quoted value was
	failing in all cases.

2006-04-06  Mark Wielaard  <mark@klomp.org>

	* java/lang/Class.java (getClassLoader): Don't do security check
	when loader is null.

2006-04-06  Roman Kennke  <kennke@aicas.com>

	* java/awt/Toolkit.java
	(getDefaultToolkit): Initialize accessibility after setting
	up the toolkit.
	(initAccessibility): New helper method to setup accessibility.

2006-04-06  Roman Kennke  <kennke@aicas.com>

	* javax/swing/AbstractButton.java
	(AccessibleAbstractButton.getAccessibleIcon): Implemented stub.
	(AccessibleAbstractButton.getAccessibleRelationSet): Implemented
	stub.
	(AccessibleAbstractButton.getIndexAtPoint): Implemented stub.
	(AccessibleAbstractButton.getAccessibleIcon): Implemented stub.
	(AccessibleAbstractButton.getCharacterBounds): Implemented stub.
	(AccessibleAbstractButton.getCharCount): Implemented stub.
	(AccessibleAbstractButton.getCaretPosition): Implemented stub.
	(AccessibleAbstractButton.getCharacterAttribute): Implemented stub.
	(AccessibleAbstractButton.getSelectionStart): Implemented stub.
	(AccessibleAbstractButton.getSelectionEnd): Implemented stub.
	(AccessibleAbstractButton.getSelectedText): Implemented stub.
	(AccessibleAbstractButton.getTextRectangle): Removed unneeded
	private method.

2006-04-06  Roman Kennke  <kennke@aicas.com>

	* java/awt/Component.java
	(AccessibleAWTComponent.getAccessibleStateSet): Don't handle opaque
	state here. This is only done in JComponent.
	* javax/swing/JComponent.java
	(AccessibleJComponent.getAccessibleStateSet): Handle opaque flag
	here.
	(getNextFocusableComponent): Implemented stub method.
	(grabFocus): Implemented stub method.
	(unregisterKeyboardAction): Implemented stub method.
	(setNextFocusableComponent): Implemented stub method.
	* javax/swing/CompatibilityFocusTraversalPolicy.java: New file.
	This is a helper class for providing compatibility with the older
	Swing focus API.

2006-04-06  Wolfgang Baer  <WBaer@gmx.de>

	Fixes bug #26995
	* javax/naming/directory/BasicAttribute.java,
	* javax/naming/directory/BasicAttributes.java: 
	(readObject): New deserialization method.
	(writeObject): New serialization method.

2006-04-06  Wolfgang Baer  <WBaer@gmx.de>

	* javax/xml/validation/SchemaFactory.java: Corrected since tag.
	(getErrorHandler): Made method abstract.
	(setErrorHanlder): Likewise.
	* gnu/xml/validation/relaxng/RELAXNGSchemaFactory.java
	(getErrorHandler): Implement abstract method from superclass.
	(setErrorHandler): Likewise.
	(errorHandler): New field.
	* gnu/xml/validation/xmlschema/XMLSchemaSchemaFactory.java: 	
	(getErrorHandler): Implement abstract method from superclass.
	(setErrorHandler): Likewise.
	(errorHandler): New field.	
	* javax/xml/XMLConstants.java: Corrected since tag.
	(XMLConstants): Added private constructor.
	* javax/xml/datatype/Duration.java: Corrected since tag.
	(multiply): Made method abstract.
	* javax/xml/datatype/DatatypeConstants.java: Corrected since tag.
	(DatatypeConstants): Added private constructor.
	* javax/xml/xpath/XPathConstants.java: Corrected since tag.
	(XPathConstants): Added private constructor.

2006-04-05  Tom Tromey  <tromey@redhat.com>

	* javax/security/auth/kerberos/ServicePermission.java: Now final.

2006-04-05  Tom Tromey  <tromey@redhat.com>

	PR libgcj/26625:
	* lib/Makefile.am (compile-classes): Touch the output file.

2006-04-05  Roman Kennke  <kennke@aicas.com>

	* javax/swing/AbstractButton.java
	(AccessibleAbstractButton.getAccessibleStateSet): Removed handling
	of the focused state. This is already done in AccessibleAWTComponent.

2006-04-05  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JComponent.java
	(accessibleContext): Fixed API doc for this field.
	(AccessibleJComponent.AccessibleFocusHandler): Fixed API docs.
	(AccessibleJComponent.AccessibleFocusHandler.focusGained):
	Implemented and added API docs.
	(AccessibleJComponent.AccessibleFocusHandler.focusLost):
	Implemented and added API docs.
	(AccessibleJComponent.AccessibleContainerHandler): Fixed API docs.
	(AccessibleJComponent.AccessibleContainerHandler.componentAdded):
	Implemented and added API docs.
	(AccessibleJComponent.AccessibleContainerHandler.componentRemoved):
	Implemented and added API docs.
	(AccessibleJComponent.accessibleContainerHandler): Added API docs.
	(AccessibleJComponent.accessibleFocusHandler): Added API docs.
	(AccessibleJComponent.addPropertyChangeListener): Added API docs.
	(AccessibleJComponent.removePropertyChangeListener): Added API docs.
	(AccessibleJComponent.getAccessibleStateSet): Simply return
	super here. Added comment about this.

2006-04-05  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JComponent.java
	(AccessibleJComponent.addPropertyChangeListener): Install
	ContainerHandler and FocusHandler here.
	(AccessibleJComponent.removePropertyChangeListener): Uninstall
	ContainerHandler and FocusHandler here.
	(AccessibleJComponent.getAccessibleChildrenCount): Replaced
	by super.getAccessibleChildrenCount().
	(AccessibleJComponent.getAccessibleChild): Replaced
	by super.getAccessibleChild().
	(AccessibleJComponent.getAccessibleStateSet): Implemented by
	adding OPAQUE to the supported states.
	(AccessibleJComponent.getAccessibleName): Added titled border
	and label fallbacks.
	(AccessibleJComponent.getAccessibleDescription): Added tooltip
	and label fallbacks.
	(AccessibleJComponent.getAccessibleRole): Removed TODO.
	(AccessibleJComponent.getAccessibleKeyBinding): Added comment
	explaining why return null seems correct here.
	* javax/swing/JLabel.java
	(LABEL_PROPERTY): New constant.
	(setLabelFor): Store label in labeled component's client properties
	for the AccessibleJComponent to read.

2006-04-05  Tom Tromey  <tromey@redhat.com>

	* java/util/zip/ZipFile.java (available): Defer to super if
	entry's size is unknown.

2006-04-05  Tom Tromey  <tromey@redhat.com>

	* java/net/MimeTypeMapper.java (MimeTypeMapper): Look for system
	property with mime.types name.
	* gnu/classpath/SystemProperties.java: Set
	gnu.classpath.mime.types.file if not already set.
	* java/net/URLConnection.java (defaultFactory): New field.
	(guessContentTypeFromStream): Mark as unimplemented.
	(getContentHandler): Updated with libgcj's implementation.
	* gnu/java/net/DefaultContentHandlerFactory.java: New file,
	from libgcj.

2006-04-05  Bryce McKinlay  <mckinlay@redhat.com>

	PR classpath/27028
	PR classpath/24752
	* java/util/AbstractList.java (hasNext): Don't throw
	ConcurrentModificationException. Update Javadoc.
	(hasPrevious): Likewise.
	(nextIndex): Likewise.
	(previousIndex): Likewise.
	* java/util/HashMap.java (hasNext): Likewise.
	* java/util/Hashtable.java (hasNext): Likewise.
	* java/util/IdentityHashMap.java (hasNext): Likewise.
	* java/util/LinkedHashMap.java (hasNext): Likewise.
	* java/util/LinkedList.java (nextIndex): Likewise.
	(previousIndex): Likewise.
	(hasNext): Likewise.
	(hasPrevious): Likewise.
	* java/util/TreeMap.java (hasNext): Likewise.
	* java/util/WeakHashMap.java (hasNext): Likewise.

2006-04-05  Roman Kennke  <kennke@aicas.com>

	* javax/swing/AbstractButton.java
	(AccessibleAbstractButton.getAccessibleStateSet): Implemented stub.
	(AccessibleAbstractButton.doAccessibleAction): Implemented stub.
	(AccessibleAbstractButton.getAccessibleAction): Implemented stub.
	(AccessibleAbstractButton.getAccessibleActionCount): Implemented stub.
	(AccessibleAbstractButton.getAccessibleActionDescription):
	Implemented stub.
	(AccessibleAbstractButton.getAccessibleText): Implemented stub.
	(AccessibleAbstractButton.getAccessibleAction): Implemented stub.
	(AccessibleAbstractButton.getCurrentAccessibleValue): Implemented stub.
	(AccessibleAbstractButton.setCurrentAccessibleValue): Implemented stub.
	(AccessibleAbstractButton.getMinimumAccessibleValue): Implemented stub.
	(AccessibleAbstractButton.getMaximumAccessibleValue): Implemented stub.

2006-04-05  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JComboBox.java
	(selectWithKeyChar): Implemented stubbed method.

2006-04-05  Roman Kennke  <kennke@aicas.com>

	* javax/swing/LookAndFeel.java
	(installProperty): New method. Allows primitive typed properties
	to be handled like UIResources.
	* javax/swing/AbstractButton.java
	(clientBorderPaintedSet): New field.
	(clientRolloverEnabledSet): New field.
	(clientIconTextGapSet): New field.
	(clientContentAreaFilledSet): New field.
	(setRolloverEnabled): Set the client field to true.
	(setBorderPainted): Likewise.
	(setIconTextGap): Likewise.
	(setContentAreaFilled): Likewise.
	(setUIProperty): New helper method.
	* javax/swing/JComponent.java
	(clientOpaqueSet): New field.
	(clientAutoscrollsSet): New field.
	(setAutoscrolls): Set the client field to true.
	(setOpaque): Likewise.
	(setUIProperty): New helper method.
	* javax/swing/JDesktopPane.java
	(clientDragModeSet): New field.
	(setDragMode): Set the client field to true.
	(setUIProperty): New helper method.
	* javax/swing/JSplitPane.java
	(clientDividerSizeSet): New field.
	(clientOneTouchExpandableSet): New field.
	(setDividerSize): Set the client field to true.
	(setOneTouchExpandable): Likewise.
	(setUIProperty): New helper method.
	* javax/swing/JTable.java
	(clientRowHeightSet): New field.
	(setRowHeight): Set the client field to true.
	(setUIProperty): New helper method.
	* javax/swing/JTree.java
	(clientRowHeightSet): New field.
	(clientScrollsOnExpandSet): New field.
	(clientShowsRootHandlesSet): New field.
	(setRowHeight): Set the client field to true.
	(setShowsRootHandles): Likewise.
	(setScrollsOnExpand): Likewise.
	(setUIProperty): New helper method.

2006-04-05  Roman Kennke  <kennke@aicas.com>

	* java/awt/Component.java
	(getFont): Don't request the font from the peer's graphics. The
	graphics should instead get the font from the Component, which might
	result in a loop.
	(getFocusCycleAncestor): Don't special case Window.
	(nextFocus): Moved implementation from the DefaultKeyboardFocusManager
	to here. Correctly determine the focus cycle root.
	(transferFocusBackward): Likewise.
	(transferFocusUpCycle): Likewise.
	* java/awt/Container.java
	(transferFocusDownCycle): Moved implementation from
	DefaultKeyboardFocusManager to here.
	* java/awt/DefaultKeyboardFocusManager.java
	(focusPreviousComponent): Moved implementation to
	Component.transferFocusBackward().
	(focusNextComponent): Moved implementation to
	Component.nextFocus().
	(upFocusCycle): Moved implementation to
	Component.transferFocusUpCycle().
	(downFocusCycle): Moved implementation to
	Container.transferFocusDownCycle().

2006-04-05  David Gilbert  <david.gilbert@object-refinery.com>

	* java/awt/image/ComponentSampleModel.java
	(equals): Implemented,
	(hashCode): Likewise.

2006-04-05  Jeroen Frijters  <jeroen@frijters.net>

	* java/lang/Class.java
	(cast): New method.

2006-04-05  David Gilbert  <david.gilbert@object-refinery.com>

	* java/awt/image/ComponentSampleModel.java
	(getBankIndices): Return a copy of the array, not a reference to the
	original,
	(getBandOffsets): Likewise.

2006-04-05  David Gilbert  <david.gilbert@object-refinery.com>

	* java/awt/image/ComponentSampleModel.java: Added API docs all over.

2006-04-04  Tom Tromey  <tromey@redhat.com>

	* java/net/MimeTypeMapper.java (MimeTypeMapper): Fixed indices.

2006-04-04  Tom Tromey  <tromey@redhat.com>

	* java/net/MimeTypeMapper.java (mime_types): No longer static.
	(MimeTypeMapper): Initialize.
	(fillFromFile): New method.
	(main): New method.
	(mime_strings): Updated.

2006-04-04  Tom Tromey  <tromey@redhat.com>

	* lib/gen-classlist.sh.in: Correct handle generated files.

2006-04-04  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* gnu/regexp/CharIndexed.java(setAnchor): New method.
	* gnu/regexp/CharIndexedInputStream.java(setAnchor): New method.
	* gnu/regexp/CharIndexedCharSequence.java: New file.
	* gnu/regexp/CharIndexedCharArray.java: Rewritten as an extention of
	gnu.regexp.CharIndexedCharSequence.
	* gnu/regexp/CharIndexedString.java: Likewise.
	* gnu/regexp/CharIndexedStringBuffer.java: Likewise.
	* gnu/regexp/RE.java(makeCharIndexed): Make a new CharIndexed
	using CharIndexedCharSequence. Use setAnchor when the input
	object is already a CharIndexed.
	* java/util/regex/Matcher.java(inputCharIndexed): New field
	to be used as a parameter of the RE#getMatch.

2006-04-04  David Gilbert  <david.gilbert@object-refinery.com>

	* java/awt/image/SampleModel.java: Reformatted.

2006-04-04  David Gilbert  <david.gilbert@object-refinery.com>

	* java/awt/image/ComponentSampleModel.java
	(ComponentSampleModel(int, int, int, int, int[])): Added API 
	documentation,
	(ComponentSampleModel(int, int, int, int, int[], int[]): Throw 
	IllegalArgumentException for DataBuffer.TYPE_UNDEFINED, take copies
	of the bandOffsets and bankIndices arguments, added API documentation,
	* java/awt/image/SampleModel.java
	(SampleModel(int, int, int, int): Throw IllegalArgumentException for
	unrecognised dataTypes, w * h exceeds Integer.MAX_VALUE, and numBands
	less than or equal to zero, added API documentation.

2006-04-04  Lillian Angel  <langel@redhat.com>

	* java/util/zip/ZipFile.java
	(getInputStream): Fixed to return size of ZipEntry
	minus the total bytes read. This guarantees that the 
	right value is returned even if some bytes have already
	been read.

2006-04-04  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* javax/imageio/plugins/jpeg/JPEGImageWriteParam.java (messages):
	Remove static modifier.

2006-04-04  David Gilbert  <david.gilbert@object-refinery.com>

	* java/awt/image/ComponentSampleModel.java: Reformatted.

2006-04-03  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* javax/imageio/plugins/jpeg/JPEGImageWriteParam.java: New file.
	* javax/imageio/plugins/jpeg/JPEGImageReadParam.java: Add
	retrieval instructions to javadoc header.
	* javax/imageio/ImageWriteParam.java: Fix javadoc for
	compressionType field.
	* lib/Makefile.am (propertydirs): Add javax directory.
	(propertyfiles): Likewise.
	* resource/javax/imageio/plugins/jpeg/MessagesBundle.properties:
	New file.

2006-04-03  Tom Tromey  <tromey@redhat.com>

	PR classpath/26971:
	* javax/naming/directory/BasicAttribute.java: Added missing @since.
	(BasicAttributeEnumeration.where): Initialize to 0.
	(BasicAttributeEnumeration.nextElement): Post-increment 'where'.

2006-04-03  Lillian Angel  <langel@redhat.com>

	PR classpath/24596 and PR classpath/26930
	* java/util/zip/ZipFile.java
	(getInputStream): Override available function for 
	InflaterInputStream instance.

2006-04-03  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* gnu/java/lang/reflect/ClassSignatureParser.java,
	* gnu/java/lang/reflect/FieldSignatureParser.java,
	* gnu/java/lang/reflect/GenericSignatureParser.java,
	* gnu/java/lang/reflect/MethodSignatureParser.java,
	* gnu/java/lang/reflect/TypeImpl.java,
	* java/lang/Class.java,
	* java/lang/reflect/GenericDeclaration.java,
	* java/lang/reflect/MalformedParameterizedTypeException.java,
	* java/lang/reflect/TypeVariable.java,
	* java/util/Arrays.java,
	* vm/reference/java/lang/VMClass.java,
	* vm/reference/java/lang/reflect/Constructor.java,
	* vm/reference/java/lang/reflect/Method.java:
	Incorporate changes from the generics branch.

2005-10-01  Jeroen Frijters  <jeroen@frijters.net>

	* vm/reference/java/lang/reflect/Constructor.java
	(getSignature): New method.
	(getGenericExceptionTypes): New method.
	(getGenericParameterTypes): New method.
	* vm/reference/java/lang/reflect/Method.java
	(getSignature): New method.
	(getGenericExceptionTypes): New method.
	(getGenericParameterTypes): New method.
	(getGenericReturnType): New method.

2005-09-30  Jeroen Frijters  <jeroen@frijters.net>

	* gnu/java/lang/reflect/FieldSignatureParser.java: New file.
	* gnu/java/lang/reflect/ClassSignatureParser.java,
	gnu/java/lang/reflect/GenericSignatureParser.java,
	gnu/java/lang/reflect/MethodSignatureParser.java:
	Finished implementation.

2005-09-25  Jeroen Frijters  <jeroen@frijters.net>

	* gnu/java/lang/reflect/ClassSignatureParser.java,
	gnu/java/lang/reflect/GenericSignatureParser.java,
	gnu/java/lang/reflect/MethodSignatureParser.java: New files.
	* java/lang/Class.java
	(getGenericInterfaces, getGenericSuperclass, getTypeParameters):
	Implemented.
	* vm/reference/java/lang/VMClass.java
	(getSimpleName, getDeclaredAnnotations, getCanonicalName,
	getEnclosingClass, getEnclosingConstructor, getEnclosingMethod,
	isAnonymousClass, isLocalClass, isMemberClass):
	Removed generic types from signatures.
	(getGenericInterfaces, getGenericSuperclass, getTypeParameters):
	Removed.
	(getClassSignature): New method.
	* vm/reference/java/lang/reflect/Constructor.java
	(getTypeParameters): Implemented.
	* vm/reference/java/lang/reflect/Method.java
	(getTypeParameters, getSignature): New methods.

2005-06-09  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/lang/Class.java:
	(asSubclass(Class)): Documented.
	(getCanonicalName()): Implemented.
	(getEnclosingClass()): Implemented.
	(getEnclosingConstructor()): Implemented.
	(getEnclosingMethod()): Implemented.
	(getGenericInterfaces()): Implemented.
	(getGenericSuperclass()): Implemented.
	(getTypeParameters()): Implemented.
	(isAnonymousClass()): Implemented.
	(isLocalClass()): Implemented.
	(isMemberClass()): Implemented.
	* vm/reference/java/lang/VMClass.java:
	(getSuperClass(Class<?>)): Updated return type.
	(getSimpleName(Class<?>)): Use VM methods directly.
	(getCanonicalName(Class<?>)): Implemented.
	(getEnclosingClass(Class<?>)): New native method.
	(getEnclosingConstructor(Class<?>)): New native method.
	(getEnclosingMethod(Class<?>)): New native method.
	(getGenericInterfaces(Class<?>)): New native method.
	(getGenericSuperclass(Class<?>)): New native method.
	(getTypeParameters(Class<T>)): New native method.
	(isAnonymousClass(Class<?>)): New native method.
	(isLocalClass(Class<?>)): New native method.
	(isMemberClass(Class<?>)): New native method.
	* vm/reference/java/lang/reflect/Constructor.java:
	(getTypeParameters()): Changed to native method.

2005-05-05  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/lang/Class.java:
	(getSimpleName()): Implemented.
	* vm/reference/java/lang/VMClass.java:
	(getSimpleName()): Reference implementation.

2005-04-20  Tom Tromey  <tromey@redhat.com>

	* java/util/Arrays.java (hashCode): New methods.
	(deepHashCode): New method.
	(deepEquals): Likewise.
	(toString): New methods.
	(deepToString): New method.

2005-04-04  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/lang/Class.java:
	(isEnum()): New method implemented.
	(isSynthetic()): New method implemented.
	(isAnnotation()): New method implemented.
	* vm/reference/java/lang/VMClass.java:
	(isEnum()): New native method.
	(isSynthetic()): New native method.
	(isAnnotation()): New native method.

2005-03-21  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/lang/Class.java:
	Implements java.lang.reflect.Type

2006-04-03  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* javax/imageio/plugins/jpeg/JPEGImageReadParam.java: New file.

2006-04-03  Tom Tromey  <tromey@redhat.com>

	* javax/security/auth/kerberos/ServicePermission.java: New file.
	* javax/security/auth/kerberos/DelegationPermission.java: New file.
	* javax/security/auth/kerberos/KerberosKey.java: New file.
	* javax/security/auth/kerberos/KeyImpl.java: New file.
	* javax/security/auth/kerberos/KerberosTicket.java: New file.
	* javax/security/auth/kerberos/KerberosPrincipal.java: New file.

2006-04-03  Sven de Marothy  <sven@physto.se>

	* gnu/java/awt/peer/gtk/GtkClipboard.java: Add support for
	non-GtkImage images.

2006-04-03  Mark Wielaard  <mark@klomp.org>

	* lib/gen-classlist.sh.in: Use classes.tmp, not classes.2
	as temporary file name.

2006-04-03  Dalibor Topic  <robilad@kaffe.org>

	* INSTALL: Documented --with-glibj-zip option.

2006-04-03  Dalibor Topic  <robilad@kaffe.org>

	Fixed all pscan warnings.

	* native/jni/classpath/jcl.c (JCL_ThrowException),
	native/jni/classpath/jcl.h (DBG),
	native/target/generic/target_generic.h (TARGET_NATIVE_LAST_ERROR_STRING_FORMAT),
	native/target/generic/target_generic_misc.h (TARGET_NATIVE_MISC_FORMAT_STRING0):
	Use "%s" format in fprintf and snprintf explicitely when printing a single 
	string to prevent format string exploits.
	
	* native/jni/java-net/javanet.h (DBG): Removed duplicate
	definition. Included jcl.h instead.
 
2006-04-03  Raif S. Naffah  <raif@swiftdsl.com.au>

	* tools/gnu/classpath/tools/jarsigner/Main.java: Removed unused imports.
	(provider): Made it protected.
	(providerInstalled): New field.
	(Main): Made it a 0-arguments constructor.
	Removed throws clasue.
	(main): Removed throws clause.
	Call processArgs(args) after constructing instance.
	Call teardown() before existing.
	(processArgs): Added javadoc.
	Reduced to throws Exception.
	(start): Likewise.
	(teardown): New method.
	(setupCommonParams): Added javadoc.
	Install designated provider if not already installed.
	(installNewProvider): New method.
	(setupSigningParams): Added javadoc.
	Instantiate the KeyStore using type only.
	* tools/gnu/classpath/tools/jarsigner/JarSigner.java:
	Removed unused imports.
	(start): Reduced to throws Exception.
	* tools/gnu/classpath/tools/jarsigner/JarVerifier.java (start): Likewise.
	* tools/gnu/classpath/tools/jarsigner/HashUtils.java:
	Re-organized imports.
	* gnu/java/security/key/KeyPairGeneratorFactory.java (getInstance):
	Test ignoring case.
	(getNames): Add "dsa" as an algorithm provided by this Factory.
	(makeInstance): Construct IllegalArgumentException with 2 arguments.

2006-04-03  Roman Kennke  <kennke@aicas.com>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontPeer.c
	(Java_gnu_java_awt_peer_gtk_GdkFontPeer_getGlyphVector):
	Replaced g_free() with pango_item_free() to avoid problems
	with the allocator.

2006-04-03  Rafael H. Schloming  <rafaels@redhat.com>

	Fixes bug #26668
	* java/util/logging/Level.java (parse): Document.
	* java/util/logging/LogManager.java (rootLogger): Removed.
	(LogManager): Just set loggers to new HashMap.
	(getLogManager): Make synchronized. Create and init LogManager if it
	doesn't exist yet.
	(static): Removed block.
	(MANAGER_PROPERTY): New private final string.
	(makeLogManager): Use new property string, move warning to
	createInstance() method.
	(CONFIG_PROPERTY): New private final string.
	(initLogManager): New method.
	(addLogger): Use Logger.root, not rootLogger.
	(findAncestor): Likewise.
	(readConfiguration): Move warning to createInstance() method.
	Add handlers directly to Logger.root. Warn about bad level values.
	(getClassProperty): Use new locateClass() method.
	(getInstanceProperty): Only catch specific newInstance Errors.
	(createInstance): Make private and takes a string to use in warning
	messages. Use new locateClass() method and generate appropriate
	warning message.
	(warn): New methods.
	(locateClass): Locates a class through the context class loader and
	system class loader as backup.
	* java/util/logging/Logger.java (root): New static final field.
	(Logger): Set parent to root.
	(setParent): Directly check root field.

2006-04-02  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/text/Segment.java:
	(setPosition): Make exception message more verbose.
	* javax/swing/text/WrappedPlainView.java:
	(insertUpdate): Removed unneeded repaint call.
	(changeUpdate): Dito.
	(removeUpdate): Dito.
	(WrappedLine.determineNumLines): Do not return numLines, break
	from loop if no new break point has been calculated.
	(WrappedLine.updateDamage): Rewritten.
	(WrappedLine.insertUpdate): Removed unneeded update code.
	(WrappedLine.removeUpdate): Removed unneeded update code, added
	comment.	

2006-04-02  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac (with-glibj-zip): Added new option.

	* examples/Makefile.am,
	lib/Makefile.am,
	tools/Makefile.am: Adapted build classpath to use glibj.zip,
	in addition to classes in lib directory.

2006-04-02  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* tools/gnu/classpath/tools/giop/GRMIC.java,
	tools/gnu/classpath/tools/giop/IorParser.java,
	tools/gnu/classpath/tools/giop/grmic/CompilationError.java,
	tools/gnu/classpath/tools/giop/grmic/Generator.java,
	tools/gnu/classpath/tools/giop/grmic/GiopIo.java,
	tools/gnu/classpath/tools/giop/grmic/GiopRmicCompiler.java,
	tools/gnu/classpath/tools/giop/grmic/HashFinder.java,
	tools/gnu/classpath/tools/giop/grmic/MethodGenerator.java,
	tools/gnu/classpath/tools/rmi/RMIC.java,
	tools/gnu/classpath/tools/rmi/rmic/RmiMethodGenerator.java,
	tools/gnu/classpath/tools/rmi/rmic/RmicCompiler.java,
	tools/gnu/classpath/tools/rmi/rmic/WrapUnWrapper.java: Removed
	linking exception from the licensing header.
	* tools/gnu/classpath/tools/rmi/rmid/ActivationSystemImpl_Stub.java:
	Added licensing header.

2006-04-02  Mark Wielaard  <mark@klomp.org>

	* tools/Makefile.am (bin_SCRIPTS): Renamed to jarsigner.sh.
	(jarsigner): Removed.

2006-04-02  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: don't check for isnan function.
	* native/fdlibm/fdlibm.h: Always use the isnan macro.

2006-04-02  Raif S. Naffah  <raif@swiftdsl.com.au>

	* configure.ac: Added tools/jarsigner.sh to AC_CONFIG_FILES.
	* tools/Makefile.am: Generate jarsigner shell script.
	* tools/jarsigner.sh.in: New template.
	* tools/.cvsignore: Added jarsigner.sh.

2006-04-02  Raif S. Naffah  <raif@swiftdsl.com.au>

	* tools/gnu/classpath/tools/jarsigner/HashUtils.java: Use GPL.
	* tools/gnu/classpath/tools/jarsigner/SFHelper.java: Likewise.
	* tools/gnu/classpath/tools/jarsigner/JarVerifier.java: Likewise.
	* tools/gnu/classpath/tools/jarsigner/JarSigner.java: Likewise.
	* tools/gnu/classpath/tools/jarsigner/Main.java: Likewise.
	Re-organised imports.

2006-04-01  Bernhard Rosenkraenzer  <bero@arklinux.org>

	PR classpath/25924:
	* java/awt/image/DirectColorModel.java (extractAndNormalizeSample):
	Handle case where alpha==0.

2006-04-02  Robert Schuster  <robertschuster@fsfe.org>

	PR #26676
	* javax/swing/text/Utilities.java:
	(getTabbedTextOffset): Added check to decrement pos not below zero,
	changed	'>' comparison to '>='.
	* javax/swing/text/WrappedPlainView.java:
	(lineHeight): New field.
	(calculateBreakPosition): Throw InternalError in catch block, removed
	unneeded brackets, use specific version of
	Utilities.getTabbedTextOffset.
	(paint): Set various properties neccessary for drawing.
	(WrappedLine.paint): Removed code to set field of outer class.
	(WrappedLine.modelToView): Removed unneeded expression from
	if-statement.
	(WrappedLine.viewToModel): Initialize end with endOffset - 1, removed
	-1 from return statement, copy only a subset into the Segment, removed
	special	handling of mark value - just return it, simplified
	incrementation of currLineStart.
	(WrappedLine.insertUpdate): Recalculate numLines, report preference
	change to parent view.
	(WrappedLine.removeUpdate): Dito.

2006-04-02  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/text/Segment.java:
	(toString): Return empty string when array is null.

2006-04-02  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/plaf/basic/BasicTextUI.java:
	(damageRange): Use SwingUtilities.computeUnion to avoid
	unneccessary Rectangle instantiation.

2006-04-01  Tom Tromey  <tromey@redhat.com>

	* java/security/cert/Certificate.java (serialVersionUID): Fixed.

2006-04-01  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/text/CompositeView.java: Fixed copyright header.
	* javax/swing/text/BoxView.java: Fixed copyright header.
	* javax/swing/text/WrappedPlainView.java: Fixed copyright header.
	* javax/swing/text/Utilities.java: Fixed copyright header.

2006-04-01  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/text/CompositeView.java:
	(modelToView): Throw BadLocationException when no child
	view can be found, restructed to throw exception as early
	as possible.
	(viewToModel): Use mutable allocation as argument for viewToModel
	call on child view.
	* javax/swing/text/BoxView.java:
	(getViewAtPoint): Call setBounds() r before method returns with
	suitable child view.
	* javax/swing/text/Utilities.java:
	(getPositionBelow): Added try-catch-block around modelToView call,
	added method return when BadLocationException was thrown.
	* javax/swing/text/WrappedPlainView.java:
	(WrappedLine.viewToModel): Changed '<=' to '<' in if-expression,
	added note about meaning of rect.x and rect.width, removed unneeded
	checks, added code to not return the last possible document offset.

2006-04-01  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/text/WrappedPlainView.java:
	(WrappedLine.viewToModel): Change < to <= in if-statement,
	removed addition of currLineStart to return value.
	* javax/swing/text/BoxView.java:
	(getViewAtPoint): Use copy instead of r for method call
	which modifies the second argument.

2006-04-01  Mark Wielaard  <mark@klomp.org>

	Fixes PR26973
	* java/util/jar/Attributes.java: Fully qualify java.util.Map.

2006-03-31  Tom Tromey  <tromey@redhat.com>

	* lib/split-for-gcj.sh: Updated for multi-field format.
	* lib/Makefile.am (CLEANFILES): Added classes.2.
	* lib/gen-classlist.sh.in (GCJ): Removed.  Create classes.1 and
	classes.2 using multiple fields.

2006-03-31  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/JTable.java (columnSelectionChanged):
	Removed print statement.
	* javax/swing/DefaultListSelectionModel.java
	(addSelectionInterval, removeSelectionInterval):
	Fire the difference between selection. (setLeadSelectionIndex):
	Fire the difference and mark current and previous lead
	selection indexes for repaint.

2006-03-31  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* javax/imageio/plugins/jpeg/JPEGHuffmanTable.java: Eliminate
	unnecessary copying.
	* javax/imageio/plugins/jpeg/JPEGQTable.java: Likewise.

2006-03-31  Lillian Angel  <langel@redhat.com>

	* java/awt/Component.java
	(translateEvent): oldKey should be the value of the
	key char.

2006-03-31  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/JTable.java (columnSelectionChanged):
	Treat second repaint parameter as width.

2006-03-31  Lillian Angel  <langel@redhat.com>
	
	PR classpath/26924
	* gnu/java/awt/peer/gtk/GtkCanvasPeer.java
	(realize): New native function.
	* include/gnu_java_awt_peer_gtk_GtkCanvasPeer.h:
	Added new function declaration.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCanvasPeer.c
	(realize): New function.

2006-03-31  Robert Schuster  <robertschuster@fsfe.org>
	
	* javax/swing/text/GapContent.java:
	(replace): Move all Position instances from gap's end to
	it's start before increasing the gap start.
	* javax/swing/plaf/basic/BasicTextAreaUI.java:
	(propertyChanged): Update the view only instead of
	indicating a document change.

2006-03-31  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JTextField.java
	(fireActionPerformed): Put the textfields text in the action
	instead of the action name.

2006-04-01  Raif S. Naffah  <raif@swiftdsl.com.au>

	* tools/gnu/classpath/tools/jarsigner/Main.java (setupCommonParams):
	Check for null jar-file argument.
	(setupSigningParams): Check for null alias argument.

2006-03-31  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JComponent.java
	(paintChildren): Split up in two cases, depending on the
	optimizedDrawingEnabled flag.
	(paintChildrenWithOverlap): New method. Paints children when
	not optimizedDrawingEnabled. This implements better painting
	algorithm for overlapping components, so that the painted
	regions are minimized.
	(paintChildrenOptimized): New method. Paints children when
	when optimizedDrawingEnabled. This implements a painting
	algorithm that is optimized for the case when all children
	are guaranteed to be tiled.

2006-03-31  Raif S. Naffah  <raif@swiftdsl.com.au>

	* tools/gnu/classpath/tools/jarsigner/SFHelper.java (updateEntry): Use
	Attributes.putValue(String,String).
	(finishSigning): Likewise.
	* gnu/java/util/jar/JarUtils.java (MANIFEST_VERSION): New constant.
	(SIGNATURE_VERSION): Likewise.
	(readSFManifest): Use local string constant.
	(readMainSection): Likewise.
	(readVersionInfo): Likewise.
	* java/util/jar/Attributes.java (MANIFEST_VERSION):
	Redefined using JarUtils constant.
	(SIGNATURE_VERSION): Likewise.
	(putValue(Name,String)): Made it private.

2006-03-31  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/DefaultListSelectionModel.java (fireDifference):
	New method. (clearSelection): Rewritten. (setSelectionInterval):
	Fire the difference between current and new selection.
	* javax/swing/JTable.java (columnSelectionChanged, valueChanged):
	Only repaint the region, where selection has been changed.
	* javax/swing/plaf/basic/BasicTableUI.java 
	(TableAction.actionPerformed): Do not change the column selection
	when only row selection change is wanted (and in reverse) and 
	do not call the repaint() here.

2006-03-31  David Gilbert  <david.gilbert@object-refinery.com>

	Fixes bug #26951
	* javax/swing/DefaultComboBoxModel.java
	(DefaultComboBoxModel(Vector)): Call getSize() instead of 
	vector.size(),
	(addElement): Call list.addElement() rather than list.add(), and only
	update selected item if it is currently null,
	(removeElementAt): Update selected item, then remove the element.

2006-03-31  David Gilbert  <david.gilbert@object-refinery.com>

	Fixes bug #26955
	* java/awt/geom/Point2D.java
	(distanceSq(double, double)): Fixed order of arguments,
	(distanceSq(Point2D)): Likewise,
	(distance(double, double)): Likewise,
	(distance(Point2D)): Likewise.

2006-03-30  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* javax/imageio/plugins/jpeg/JPEGQTable.java: New file.
	* javax/imageio/plugins/jpeg/JPEGHuffmanTable.java
	(ACChrominanceLengths, ACChrominanceValues, ACLuminanceLengths,
	ACLuminanceValues, DCChrominanceLengths, DCChrominanceValues,
	DCLuminanceLengths, DCLuminanceValues): Remove fields.

2006-03-30  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax.swing.JTable (constructor): Initialize column
	model column margin and table row margin before setting the
	table column model. (initialiseLocalVars): Do not call 
	setIntercellSpacing.

2006-03-30  Chris Burdess  <dog@gnu.org>

	* javax/xml/datatype/DatatypeFactory.java (newDurationDayTime): Fix
	  method signature.
	* javax/xml/validation/SchemaFactoryLoader.java: New file.

2006-03-30  Mark Wielaard  <mark@klomp.org>

	PR 26848
	* java/awt/Window.java (dispatchEventImpl): On ComponentEvents
	adjust bounds. On resize invalidate and validate container.
	Always pass on ComponentEvents to Container super class.
	* gnu/java/awt/peer/gtk/GtkFramePeer.java (setBounds): Adjust for
	menuBar and pass to GtkWindowPeer super class.
	(postConfigureEvent): Adjust menu bar width. Adjust y and height
	bounds and pass to GtkWindowPeer super class.
	* gnu/java/awt/peer/gtk/GtkWindowPeer.java (x, y, width, height):
	New fields for local bounds.
	(getX, getY): New methods.
	(getWidth): Don't call into awtComponent.
	(getHeight): Likewise.
	(create): Cache local bounds.
	(setLocation): Documented, made protected and just call
	nativeSetLocation.
	(setLocationUnlocked): Removed unused method.
	(setBoundsUnlocked): Likewise.
	(setBounds): Check whether bounds actually changed and cache local
	bounds.
	(setSize): Documented and made protected.
	(setResizable): Documented and cache local bounds.
	(postConfigureEvent): Update local bounds. Don't call awtComponent
	directly but post ComponentEvents.
	(show): Cache local bounds.
	(getBounds): Override to return cached bounds.

2006-03-30  Lillian Angel  <langel@redhat.com>

	* gnu/java/awt/peer/gtk/GdkGraphics.java
	(drawImage): Added check to prevent NPE.
	(drawImage): Likewise.
	(drawImage): Likewise.
	* java/awt/Choice.java
	(dispatchEventImpl): New function. selectedIndex was
	not being updated properly otherwise.

2006-03-30  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JTabbedPane.java
	(removeTabAt): Removed debug code.

2006-03-30  Roman Kennke  <kennke@aicas.com>

	PR 26045
	* javax/swing/plaf/basic/BasicTextUI.java
	(installKeyboardActions): Simply call getKeymap() and install this.
	(createKeymap): Reimplemented to fetch a keymap from the UIManager.

2006-03-30  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JTabbedPane.java
	(removeTabAt): Adjust selection correctly when removing a tab
	before the selected tab. Also remove the component from the
	container, not only the tab object. Repaint and revalidate the
	component after the removal.
	(removeAll): Set selection to -1 before removing the tabs.

2006-03-29  Lillian Angel  <langel@redhat.com>

	Partial fix for bug #26929
	* gnu/java/awt/peer/gtk/GtkPanelPeer.java
	(updateComponent): Removed. We want to clear the panel
	before painting.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c
	(Java_gnu_java_awt_peer_gtk_GdkGraphics_clearRect): Fixed typo.
	Should set the background to the saved background color.

2006-03-29  Mark Wielaard  <mark@klomp.org>

	Partial fix for bug #26848 (pack).
	* gnu/java/awt/peer/gtk/GtkComponentPeer.java (setVisible):
	Always show instances of Window.

2006-03-29  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JSlider.java
	(setPaintLabels): Only create standard labels if labelTable is null,
	* javax/swing/plaf/basic/BasicSliderUI.java
	(PropertyChangeHandler.propertyChange): Recalculate geometry for 
	"paintTicks" property change,
	(calculateThumbSize): Updated API docs,
	(calculateContentRect): Likewise,
	(calculateTrackBuffer): Take into account the lowest and highest 
	labels when calculating buffer space,
	(calculateTrackRect): Include labels, if visible, in the calculation of
	the trackRect position,
	(calculateTickRect): Height is zero if ticks are not painted,
	(calculateLabelRect): Use max dimensions of actual labels,
	(getWidthOfHighValueLabel): Use preferred size,
	(getWidthOfLowValueLabel): Likewise,
	(getHeightOfHighValueLabel): Likewise,
	(getHeightOfLowValueLabel): Likewise,
	(drawInverted): Just return slider setting,
	(getHighestValueLabel): Updated API docs,
	(paintTicks): Removed redundant (and buggy) code, replaced with calls 
	to xPositionForValue() and yPositionForValue(),
	(paintHorizontalLabel): Removed full qualification of class name,
	(paintVerticalLabel): Likewise,
	(xPositionForValue): Reimplemented,
	(yPositionForValue): Reimplemented,
	* javax/swing/plaf/metal/MetalSliderUI.java
	(paintTrack): Made track one pixel longer.

2006-03-29  Tom Tromey  <tromey@redhat.com>

	PR gcc/26901:
	* tools/Makefile.am (JCOMPILER): Added encoding options.
	* examples/Makefile.am (JCOMPILER): Added encoding options.

2006-03-29  Gary Benson  <gbenson@redhat.com>

	Partial fix for PR classpath/24895
	* java/io/FilePermission.java (implies): Canonicalize paths.

2006-03-29  Robert Schuster  <robertschuster@fsfe.org>

	PR 26888
	* javax/swing/text/GapContent.java:
	(replace): Added call to resetMarksAtZero.

2006-03-29  Roman Kennke  <kennke@aicas.com>

	PR 23527
	* javax/swing/plaf/basic/BasicMenuItemUI.java
	(cachedRect): New field.
	(BasicMenuItemUI): Initialize cachedRect field.
	(getPreferredMenuItemSize): Use layoutMenuItem() helper method
	to determine layout. Store maximum accelerator and text width
	in client properties of parent to allow correct alignment
	of accelerators among menu items of one menu.
	(paintMenuItem): Outsourced menu item layout into layoutMenuItem
	method. Align accelerators according to the values calculated
	in getPreferredMenuItemSize.
	(getAcceleratorString) New helper method.
	(layoutMenuItem): New helper method.

2006-03-29  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/java/rmi/activation/ActivationSystemTransient.java: Rewritten.
	* gnu/java/rmi/activation/BidiTable.java: Rewritten.
	* gnu/java/rmi/dgc/LeaseRenewingTask.java (constructor, sheduleLeases):
	Avoid NPEs.
	* gnu/java/rmi/server/ActivatableServerRef.java (getRefClass, 
	readExternal, writeExternal): New methods.
	* gnu/java/rmi/server/UnicastRef.java (invokeCommon): Splitten into
	two stages, invokeCommon(Remote, ...) and 
	invokeCommen(UnicastConnection, ...).
	* java/rmi/server/RemoteObject.java (readObject, writeObject): Expect
	also the ActivatableRef. toString(): Documented.
	* gnu/java/rmi/server/ActivatableRef.java,
	tools/gnu/classpath/tools/rmi/Persistent.java,
	tools/gnu/classpath/tools/rmi/PersistentBidiHashTable.java,
	tools/gnu/classpath/tools/rmi/PersistentHashTable.java,
	tools/gnu/classpath/tools/rmi/REGISTRY.java,
	tools/gnu/classpath/tools/rmi/REGISTRY.txt,
	tools/gnu/classpath/tools/rmi/RMID.java,
	tools/gnu/classpath/tools/rmi/RMID.txt,
	tools/gnu/classpath/tools/rmi/registry/RegistryImpl.java,
	tools/gnu/classpath/tools/rmi/registry/RegistryImpl_Skel.java,
	tools/gnu/classpath/tools/rmi/registry/RegistryImpl_Stub.java,
	tools/gnu/classpath/tools/rmi/registry/package.html,
	tools/gnu/classpath/tools/rmi/rmid/ActivationSystemImpl.java,
	tools/gnu/classpath/tools/rmi/rmid/ActivationSystemImpl_Stub.java: 
	New files.
	* tools/README: Documented.
	* NEWS: Added entry about the activation.

2006-03-29  Roman Kennke  <kennke@aicas.com>

	PR 23527
	* javax/swing/plaf/basic/BasicMenuItemUI.java
	(viewRect): New field.
	(textRect): New field.
	(accelRect): New field.
	(iconRect): New field.
	(arrowIconRect): New field.
	(checkIconRect): New field.
	(BasicMenuItemUI): Initialize new fields.
	(paintMenuItem): Rewritten to correctly layout and paint
	the menu item in a more straightforward way. Use cached rectangle
	objects for layout.
	(paintAccelerator): Pulled inside the paintMenuItem method.

2006-03-29  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* tools/gnu/classpath/tools/rmi/rmic/templates/Stub_12Method.jav:
	Do not use initCause with UnexpectedException.
	* tools/gnu/classpath/tools/rmi/rmic/templates/Stub_12MethodVoid.jav:
	Likewise. 

2006-03-29  Mark Wielaard  <mark@klomp.org>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c
	(setCursorID): Removed unused static variable.

2006-03-29  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/plaf/basic/BasicSliderUI.java: Reformatted.

2006-03-29  Mark Wielaard  <mark@klomp.org>

	Fixes bug #26527
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c
	(gtkWidgetSetCursorUnlocked): Call gdk_flush().

2006-03-28  Roman Kennke  <kennke@aicas.com>

	* javax/swing/UIManager.java
	(installLookAndFeel): Implemented.
	(setInstalledLookAndFeels): Implemented.

2006-03-28  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalButtonUI.java
	(update): Paint gradient only when the background color
	is not a UIResource and if the button is neither armed nor
	pressed and if the button is contentAreaFilled.

2006-03-28  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JLayeredPane.java
	(addImpl): Repaint added component.

2006-03-28  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* java/util/regex/Matcher.java: Reverted.

2006-03-28  Roman Kennke  <kennke@aicas.com>

	* javax/swing/text/AsyncBoxView.java
	(setEstimatedMajorSpan): Made method protected.
	(getEstimatedMajorSpan): Made method protected.
	* javax/swing/text/BoxView.java
	(flipEastAndWestAtEnds): Fixed typo.
	* javax/swing/text/InternationalFormatter.java
	(getActions): Made method protected.
	* javax/swing/text/Position.java
	(Bias): Made class final.
	* javax/swing/text/html/HTML.java
	(MEDIA): Made field package private. Not specified.
	(NOBR): Made field package private. Not specified.
	* javax/swing/text/html/NullView.java
	Made class package private.
	* javax/swing/text/html/parser/Entity.java
	Made class non-serializable as specified.

2006-03-28  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalButtonUI.java
	(update): Don't paint gradient if the background color is
	no UIResource. Removed double getModel() call. Don't check for
	OceanTheme.

2006-03-28  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicMenuItemUI.java
	(paint): Call paintMenuItem with the selectionBackground as
	parameter.
	(paintBackground): Fixed the condition and color for the background
	painting.

2006-03-28  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalTabbedPaneUI.java
	(tabsOpaque): New field.
	(paintLeftTabBorder): Paint some parts only when the tabs are
	opaque. Determine the tab background using the paintLeftTabBorder()
	helper method.
	(paintRightTabBorder): Likewise.
	(installDefaults): Fetch tabsOpaque property from the UIDefaults.

2006-03-27  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/rmi/activation/ActivationGroup_Stub.java:
	Made final.
	
2006-03-27  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/io/CharArrayWriter.java:
	(append(char)): Documented.
	(append(CharSequence)): Likewise.
	(append(CharSequence,int,int)): Likewise.

2006-03-27  Tom Tromey  <tromey@redhat.com>
       
	* java/io/CharArrayWriter.java (append): New overloads.
	
2006-03-27  Lillian Angel  <langel@redhat.com>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c
	(Java_gnu_java_awt_peer_gtk_GdkGraphics_nativeDispose):
	Added check for colormap. Prevents assertion error.
	(Java_gnu_java_awt_peer_gtk_GdkGraphics_setFGColor):
	Likewise.
	(Java_gnu_java_awt_peer_gtk_GdkGraphics_nativeCopyState):
	Likewise.
	(Java_gnu_java_awt_peer_gtk_GdkGraphics_initState__II):
	Likewise.
	(Java_gnu_java_awt_peer_gtk_GdkGraphics_initFromImage):
	Likewise.
	(Java_gnu_java_awt_peer_gtk_GdkGraphics_initStateUnlocked):
	Likewise.

2006-03-27  Dalibor Topic  <robilad@kaffe.org>

	* m4/acinclude.m4 (CLASSPATH_FIND_JAVAC): Use 
	AC_MSG_ERROR instead of echoing the error message 
	that no compiler has been found manually.

2006-03-27  Roman Kennke  <kennke@aicas.com>

	* javax/swing/RepaintManager.java
	(commitBuffer): Use simple drawImage() method instead of the
	scaling version.

2006-03-27  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/text/PlainView.java:
	(drawLine): Use 'endOffset' instead of 'selectionEnd'
	for painting the selected line.

2006-03-27  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/plaf/basic/BasicSliderUI.java
	(getThumbSize): Removed TODO and updated API docs.

2006-03-27  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/text/DefaultCaret.java:
	(mouseClicked): Word selection rewritten.
	(paint): Draw line inside the bounding rectangle.
	(damage): Retrieve caret height from line height.

2006-03-28  Raif S. Naffah  <raif@swiftdsl.com.au>

	* tools/gnu/classpath/tools/jarsigner/Main.java (processArgs): Check
	for null args.
	Check for -help option.
	* tools/gnu/classpath/tools/jarsigner/jarsigner.txt: Added -help option.

2006-03-27  Roman Kennke  <kennke@aicas.com>

	* javax/swing/text/FieldView.java
	(getPreferredSpan): Don't include trailing newline in
	calculations.
	* javax/swing/text/PlainView.java
	(drawLine): Don't include trailing newline.
	(determineMaxLineLength): Don't include trailing newline.
	(getLineBuffer): Made method final.

2006-03-27  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JSlider.java
	(AccessibleJSlider.AccessibleJSlider): Minor API doc edit,
	(AccessibleJSlider.getAccessibleRole): Removed declaration of 
	NotImplementedException,
	(AccessibleJSlider.getAccessibleValue): Updated API docs.

2006-03-26  Tom Tromey  <tromey@redhat.com>

	* NEWS: Updated.
	* vm/reference/java/lang/reflect/Method.java (METHOD_MODIFIERS):
	New constant.
	(getModifiersInternal): Renamed from getModifiers.
	(getModifiers): New method.
	(isBridge): Likewise.
	(isSynthetic): Likewise.
	(isVarArgs): Likewise.
	* vm/reference/java/lang/reflect/Field.java (FIELD_MODIFIERS):
	New constant.
	(getModifiersInternal): Renamed from getModifiers.
	(getModifiers): New method.
	(isSynthetic): Likewise.
	(isEnumConstant): Likewise.
	* vm/reference/java/lang/reflect/Constructor.java
	(getModifiersInternal): Renamed from getModifiers.
	(getModifiers): New method
	(CONSTRUCTOR_MODIFIERS): New constant.
	(isSynthetic): New method.
	(isVarArgs): Likewise.
	* java/lang/reflect/Member.java (isSynthetic): New method.

2006-03-26  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* gnu/java/security/jce/hash/HavalSpi.java,
	* gnu/java/security/jce/hash/MD2Spi.java,
	* gnu/java/security/jce/hash/MD4Spi.java,
	* gnu/java/security/jce/hash/MD5Spi.java,
	* gnu/java/security/jce/hash/MessageDigestAdapter.java,
	* gnu/java/security/jce/hash/RipeMD128Spi.java,
	* gnu/java/security/jce/hash/RipeMD160Spi.java,
	* gnu/java/security/jce/hash/Sha160Spi.java,
	* gnu/java/security/jce/hash/Sha256Spi.java,
	* gnu/java/security/jce/hash/Sha384Spi.java,
	* gnu/java/security/jce/hash/Sha512Spi.java,
	* gnu/java/security/jce/hash/TigerSpi.java,
	* gnu/java/security/jce/hash/WhirlpoolSpi.java,
	* gnu/java/security/jce/sig/DSSKeyPairGeneratorSpi.java,
	* gnu/java/security/jce/sig/DSSRawSignatureSpi.java,
	* gnu/java/security/jce/sig/KeyPairGeneratorAdapter.java,
	* gnu/java/security/jce/sig/RSAPSSRawSignatureSpi.java,
	* gnu/java/security/jce/sig/SignatureAdapter.java,
	* gnu/java/security/key/IKeyPairCodec.java,
	* gnu/java/security/key/IKeyPairGenerator.java,
	* gnu/java/security/key/KeyPairGeneratorFactory.java,
	* gnu/java/security/key/dss/DSSKey.java,
	* gnu/java/security/key/dss/DSSKeyPairRawCodec.java,
	* gnu/java/security/key/dss/DSSPrivateKey.java,
	* gnu/java/security/key/dss/DSSPublicKey.java,
	* gnu/java/security/key/dss/FIPS186.java,
	* gnu/java/security/key/rsa/GnuRSAKey.java,
	* gnu/java/security/key/rsa/GnuRSAPrivateKey.java,
	* gnu/java/security/key/rsa/GnuRSAPublicKey.java,
	* gnu/java/security/sig/ISignature.java,
	* gnu/java/security/sig/ISignatureCodec.java,
	* gnu/java/security/sig/dss/DSSSignature.java,
	* gnu/java/security/sig/dss/DSSSignatureRawCodec.java,
	* gnu/java/security/sig/rsa/RSAPSSSignature.java,
	* gnu/java/security/sig/rsa/RSAPSSSignatureRawCodec.java,
	* gnu/java/security/util/Util.java:
	Remove CVS revision tags.

2006-03-26  Tom Tromey  <tromey@redhat.com>

	* java/io/InputStream.java (InputStream): Implements Closeable.
	
2006-03-26  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* gnu/regexp/CharIndexed.java(setLastMatch, getLastMatch, getAnchor):
	New methods.
	* gnu/regexp/CharIndexedCharArray.java(setLastMatch, getLastMatch,
	getAnchor): New methods.
	* gnu/regexp/CharIndexedInputStream.java(setLastMatch, getLastMatch,
	getAnchor): New methods.
	* gnu/regexp/CharIndexedString.java(setLastMatch, getLastMatch,
	getAnchor): New methods.
	* gnu/regexp/CharIndexedStringBuffer.java(setLastMatch, getLastMatch,
	getAnchor): New methods.
	* gnu/regexp/REMatch.java(start1): New field.
	* gnu/regexp/RE.java(initialize): Added support for \z and \G,
	(match): set the starting position to start1[] instead of start[],
	(getMatchImpl): Set the found REMatch to the input,
	(makeCharIndexed): Made public.
	* gnu/regexp/RETokenEndOfPreviousMatch.java: New file.
	* gnu/regexp/RETokenEndSub.java(matchThis, findMatch):
	set the value of start[] copying from start1[].
	* gnu/regexp/RETokenLookBehind.java(matchThis): Added the settings of
	offset.
	* java/util/regex/Matcher.java(inputCharIndexed): New field
	to be used as a parameter of the RE#getMatch.

2006-03-26  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/java/rmi/activation/DefaultActivationGroup.java: 
	Documented the default jre spawning strategy (none).
	* java/rmi/activation/ActivationGroup.java (currentGroupId,
	getSystem): Obtain the acticivation system from the 
	DefaultActivationSystem.

2006-03-26  Raif S. Naffah  <raif@swiftdsl.com.au>

	* tools/gnu/classpath/tools/jarsigner/Main.java (setupSigningParams):
	Ask user for keystore password if one was not provided.

2006-03-26  Raif S. Naffah  <raif@swiftdsl.com.au>

	* tools/README: Added Security tools section.
	Documented the jarsigner tool.

2006-03-25  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JScrollBar.java
	(AccessibleJScrollBar.getAccessibleStateSet): Implemented,
	(AccessibleJScrollBar.getAccessibleRole): Likewise,
	(AccessibleJScrollBar.getAccessibleValue): Likewise,
	(AccessibleJScrollBar.getCurrentAccessibleValue): Likewise,
	(AccessibleJScrollBar.setCurrentAccessibleValue): Likewise,
	(AccessibleJScrollBar.getMinimumAccessibleValue): Likewise,
	(AccessibleJScrollBar.getMaximumAccessibleValue): Likewise,
	(getAccessibleContext): Updated API docs.

2006-03-25  Tom Tromey  <tromey@redhat.com>

	* .externalToolBuilders/CreateLocaleData.launch: Run if resource files
	change or if generator script changes.

2006-03-25  Tom Tromey  <tromey@redhat.com>

	* javax/naming/ldap/StartTlsRequest.java: New file.
	* javax/naming/ldap/StartTlsResponse.java: New file.

2006-03-25  Olivier Jolly  <olivier.jolly@pcedev.com>

    * java/net/URLClassLoader.java (FileURLLoader.getResource): Added test
    to validate all components of a resource path.
    (FileURLLoader.walkPathComponents): Helper which ensures that we are
    allowed to walk through every component of a resource path.
    
2006-03-25  Michael Koch  <konqueror@gmx.de>

	* NEWS: Added item for CLDR 1.3 update.

2006-03-25  Michael Koch  <konqueror@gmx.de>

	* resource/gnu/java/locale/LocaleInformation_ar_IN.properties,
	resource/gnu/java/locale/LocaleInformation_ar_IQ.properties,
	resource/gnu/java/locale/LocaleInformation_ar_KW.properties,
	resource/gnu/java/locale/LocaleInformation_ar_LY.properties,
	resource/gnu/java/locale/LocaleInformation_mn_MN.properties,
	resource/gnu/java/locale/LocaleInformation_uz_AF.properties:
	Removed locales.

2006-03-25  Michael Koch  <konqueror@gmx.de>

	* resource/gnu/java/locale/LocaleInformation_az.properties,
	resource/gnu/java/locale/LocaleInformation_bs.properties,
	resource/gnu/java/locale/LocaleInformation_byn.properties,
	resource/gnu/java/locale/LocaleInformation_byn_ER.properties,
	resource/gnu/java/locale/LocaleInformation_el_CY.properties,
	resource/gnu/java/locale/LocaleInformation_gez.properties,
	resource/gnu/java/locale/LocaleInformation_gez_ER.properties,
	resource/gnu/java/locale/LocaleInformation_gez_ET.properties,
	resource/gnu/java/locale/LocaleInformation_haw.properties,
	resource/gnu/java/locale/LocaleInformation_haw_US.properties,
	resource/gnu/java/locale/LocaleInformation_kok.properties,
	resource/gnu/java/locale/LocaleInformation_kok_IN.properties,
	resource/gnu/java/locale/LocaleInformation_sid.properties,
	resource/gnu/java/locale/LocaleInformation_sid_ET.properties,
	resource/gnu/java/locale/LocaleInformation_sl_SI.properties,
	resource/gnu/java/locale/LocaleInformation_sr_BA_Cyrl.properties,
	resource/gnu/java/locale/LocaleInformation_sr_BA_Latn.properties,
	resource/gnu/java/locale/LocaleInformation_sr_Cyrl.properties,
	resource/gnu/java/locale/LocaleInformation_syr.properties,
	resource/gnu/java/locale/LocaleInformation_syr_SY.properties,
	resource/gnu/java/locale/LocaleInformation_tig.properties,
	resource/gnu/java/locale/LocaleInformation_tig_ER.properties,
	resource/gnu/java/locale/LocaleInformation_uz_AF_Arab.properties,
	resource/gnu/java/locale/LocaleInformation_uz_Arab.properties,
	resource/gnu/java/locale/LocaleInformation_uz_Latn.properties,
	resource/gnu/java/locale/LocaleInformation_wal.properties,
	resource/gnu/java/locale/LocaleInformation_wal_ET.properties:
	New locales.

2006-03-25  Michael Koch  <konqueror@gmx.de>

	* resource/gnu/java/locale/LocaleInformation_fa.properties,
	resource/gnu/java/locale/LocaleInformation_kn.properties,
	resource/gnu/java/locale/LocaleInformation_kn_IN.properties,
	resource/gnu/java/locale/LocaleInformation_ko.properties,
	resource/gnu/java/locale/LocaleInformation_sl.properties,
	resource/gnu/java/locale/LocaleInformation_so.properties,
	resource/gnu/java/locale/LocaleInformation_so_DJ.properties,
	resource/gnu/java/locale/LocaleInformation_so_ET.properties,
	resource/gnu/java/locale/LocaleInformation_so_SO.properties,
	resource/gnu/java/locale/LocaleInformation_sr.properties:
	Random fixes I forgot to commit before.

2006-03-25  Michael Koch  <konqueror@gmx.de>

	* resource/gnu/java/locale/LocaleInformation_ar_JO.properties,
	resource/gnu/java/locale/LocaleInformation_ar_QA.properties,
	resource/gnu/java/locale/LocaleInformation_ar_SA.properties,
	resource/gnu/java/locale/LocaleInformation_ar_SY.properties,
	resource/gnu/java/locale/LocaleInformation_ar_TN.properties,
	resource/gnu/java/locale/LocaleInformation_ar_YE.properties,
	resource/gnu/java/locale/LocaleInformation_as_IN.properties,
	resource/gnu/java/locale/LocaleInformation_be_BY.properties,
	resource/gnu/java/locale/LocaleInformation_bn_IN.properties,
	resource/gnu/java/locale/LocaleInformation_en.properties,
	resource/gnu/java/locale/LocaleInformation_en_IN.properties,
	resource/gnu/java/locale/LocaleInformation_en_PK.properties,
	resource/gnu/java/locale/LocaleInformation_en_US_POSIX.properties,
	resource/gnu/java/locale/LocaleInformation_es_PY.properties,
	resource/gnu/java/locale/LocaleInformation_fa.properties,
	resource/gnu/java/locale/LocaleInformation_fa_AF.properties,
	resource/gnu/java/locale/LocaleInformation_fa_IR.properties,
	resource/gnu/java/locale/LocaleInformation_gu_IN.properties,
	resource/gnu/java/locale/LocaleInformation_hi_IN.properties,
	resource/gnu/java/locale/LocaleInformation_ja_JP.properties,
	resource/gnu/java/locale/LocaleInformation_kn_IN.properties,
	resource/gnu/java/locale/LocaleInformation_mr_IN.properties,
	resource/gnu/java/locale/LocaleInformation_or_IN.properties,
	resource/gnu/java/locale/LocaleInformation_pa.properties,
	resource/gnu/java/locale/LocaleInformation_pa_IN.properties,
	resource/gnu/java/locale/LocaleInformation_ps_AF.properties,
	resource/gnu/java/locale/LocaleInformation_ru_RU.properties,
	resource/gnu/java/locale/LocaleInformation_sa.properties,
	resource/gnu/java/locale/LocaleInformation_sa_IN.properties,
	resource/gnu/java/locale/LocaleInformation_ta_IN.properties,
	resource/gnu/java/locale/LocaleInformation_te_IN.properties:
	Updated currency formats.

2006-03-25  Roman Kennke  <kennke@aicas.com>

	* javax/swing/text/AbstractDocument.java
	(getAttributeContext): Made method final.
	(getCurrentWriter): Likewise.
	(getEndPosition): Likewise.
	(getProperty): Likewise.
	(getStartPosition): Likewise.
	(putProperty): Likewise.
	(readLock): Likewise.
	(readUnlock): Likewise.
	(writeLock): Likewise.
	(writeUnlock): Likewise.

2006-03-25  Roman Kennke  <kennke@aicas.com>

	* javax/swing/InputMap.java
	(allKeys): Check if parent keys is null.
	* javax/swing/KeyboardManager.java
	(registerEntireMap): Also register map's parent keys.
	* javax/swing/plaf/metal/MetalRootPaneUI.java
	(propertyChange): Also call super.propertyChange().

2006-03-25  Raif S. Naffah  <raif@swiftdsl.com.au>

	* tools/gnu/classpath/tools/jarsigner/HashUtils.java: New file.
	* tools/gnu/classpath/tools/jarsigner/JarSigner.java: Likewise.
	* tools/gnu/classpath/tools/jarsigner/JarVerifier.java: Likewise.
	* tools/gnu/classpath/tools/jarsigner/Main.java (Main): Likewise.
	* tools/gnu/classpath/tools/jarsigner/SFHelper.java: Likewise.
	* tools/gnu/classpath/tools/jarsigner/jarsigner.txt: Likewise.

2006-03-25  Raif S. Naffah  <raif@swiftdsl.com.au>

	* gnu/java/util/jar/JarUtils.java: New file.
	* java/util/jar/Manifest.java (CRLF): Removed.
	(read_main_section): Likewise.
	(read_version_info): Likewise.
	(expect_header(String,BufferedReader)): Likewise.
	(expect_header(String,BufferedReader,String)): Likewise.
	(read_header_value): Likewise.
	(read_attributes): Likewise.
	(read_attribute): Likewise.
	(read_individual_sections): Likewise.
	(read_section_name): Likewise.
	(write_main_section): Likewise.
	(write_version_info): Likewise.
	(write_header): Likewise.
	(write_main_attributes): Likewise.
	(write_attribute_entry): Likewise.
	(write_individual_sections): Likewise.
	(write_entry_attributes): Likewise.
	(read): use JarUtils.
	(write): Likewise.

2006-03-25  Raif S. Naffah  <raif@swiftdsl.com.au>

	* gnu/java/security/pkcs/SignerInfo.java (log): New field.
	(DEBUG): Removed.
	(debug): Likewise.
	(SignerInfo(BERReader)): Updated javadoc.
	Use JDK logging.
	(SignerInfo(X500Principal,BigInteger,OID,byte[],OID,byte[],byte[])):
	New constructor.
	(encode): New method.
	* gnu/java/security/pkcs/PKCS7SignedData.java (log): New field.
	(PKCS7_DATA): Removed.
	(DEBUG): Likewise.
	(debug): Likewise.
	(PKCS7SignedData(BERReader)): Updated javadoc.
	Use JDK logging.
	(PKCS7SignedData(Set,PKCS7Data,Certificate[],X509CRL[],Set)): New
	constructor.
	(encode): New method.
	* gnu/java/security/pkcs/PKCS7Data.java: New file.
	* gnu/java/security/key/dss/DSSKeyPairPKCS8Codec.java (log): New field.
	(encodePrivateKey): Encode x (private MPN) as an OCTET STRING.
	(decodePrivateKey): Decode x from an OCTET STRING.
	* gnu/java/security/key/dss/DSSPublicKey.java (str): New field.
	(toString): New method.
	* gnu/java/security/key/dss/DSSPrivateKey.java (DEBUG): New field.
	(str): Likewise.
	(toString): New method.
	* gnu/java/security/key/dss/DSSKey.java (str): New Field.
	(toString): New method.
	* gnu/java/security/provider/DSAParameterGenerator.java: Removed.

2006-03-25  Roman Kennke  <kennke@aicas.com>

	* java/util/GregorianCalender.java
	(computeTime): Fix comparison to correctly calculate the
	calendar.

2006-03-25  Wolfgang Baer  <WBaer@gmx.de>

	Fixes bug #26837
	* java/awt/Window.java:         
	(setFocusCycleRoot): New overriden method.
	(isFocusCycleRoot): Likewise.
	(getFocusCycleRootAncestor): Likewise.
	* java/awt/Container.java:
	(getFocusTraversalPolicy): Check also for anchestor == null.

2006-03-25  Mark Wielaard  <mark@klomp.org>

	Fixes bug #26863 reported by John K Peterson <johnandtina@byu.net>
	* gnu/java/util/prefs/NodeWriter.java (writeRoot): Don't immediately
	close root tag.

2006-03-24  Tom Tromey  <tromey@redhat.com>

	* javax/imageio/stream/ImageOutputStreamImpl.java (writeBytes):
	Rewrote.
	(writeChar): Removed useless cast.
	(writeChars(String)): Implemented.
	(writeDouble): Rewrote.
	(writeFloat): Likewise.
	(writeUTF): Implemented.
	* javax/imageio/stream/ImageInputStreamImpl.java (byteOrder): Default
	to big endian.

2006-03-24  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JButton.java
	(def): Replaced field with defaultCapable field.
	(is_def): Removed field.
	(JButton): Initialize defaultCapable with true.
	(isDefaultButton): Documented and implemented method by querying
	the button's root pane if present.
	(isDefaultCapable): Changed def field to defaultCapable.
	Added documentation.
	(paramString): Call isDefaultButton() instead of accessing field,
	which got removed.
	(setDefaultCapable): Changed def field to defaultCapable.
	Added documentation.
	* javax/swing/JRootPane.java
	(setDefaultButton): Only change the default button if the
	new button is defaultCapable.
	* javax/swing/plaf/basic/BasicRootPaneUI.java
	(DefaultPressAction): New class.
	(DefaultReleaseAction): New class.
	(installKeyboardActions): Implemented.
	(uninstallKeyboardActions): Implemented.
	(propertyChange): Implemented.
	* javax/swing/plaf/metal/MetalBorders.java
	(ButtonBorder.paintBorder): 'Outsourced' default theme
	painting to paintDefaultButtonBorder().
	(ButtonBorder.paintDefaultButtonBorder): New helper method
	to paint the border in the default theme. This also fixes
	painting of the border for default buttons.
	(ButtonBorder.paintOceanButtonBorder): Added support for
	default button painting. Fixed border for pressed/default state.
	* javax/swing/plaf/metal/MetalButtonUI.java
	(update): Only paint gradient when in OceanTheme and when the
	button is not armed.

2006-03-24  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/java/rmi/activation/ActivationSystemTransient.java:
	Inherit from Activator.

2006-03-24  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/java/rmi/activation/DefaultActivationGroup.java (newInstance):
	Print debug message if debug flag is set.
	* gnu/java/rmi/activation/DefaultActivationSystem.java: Rewritten.
	* gnu/java/rmi/server/ActivatableServerRef.java (activate): assign
	detail, do not call iniCause(). (exportClass): New method.
	* gnu/java/rmi/server/CombinedClassLoader.java (constructor):
	Ignore null (bootstrap) class loader.
	* gnu/java/rmi/server/UnicastServerRef.java (methods, skel, stub,
	buildMethodHash, findStubSkelClass, getHelperClass): Changed 
	visibility to protected.
	* java/rmi/activation/Activatable.java (export, register): Rewritten.
	(toStub): New method.
	* java/rmi/activation/ActivationGroup.java (getSystem): Rewritten.
	* java/rmi/activation/ActivationSystem.java (SYSTEM_PORT): 
	Explained property java.rmi.activation.port.

2006-03-24  Tom Tromey  <tromey@redhat.com>

	* .externalToolBuilders/CreateLocaleData.launch: Updated.
	* gnu/java/locale/.cvsignore: New file.
	* lib/Makefile.am (LocaleData.java): Put in gnu/java/locale.
	* java/util/Locale.java (getAvailableLocales): Clone result.
	(getISOCountries): Likewise.
	(getISOLanguages): Likewise.
	* scripts/generate-locale-list.sh: Make class public.  Added new
	array.
	* gnu/java/locale/LocaleHelper.java (getCollatorLocales): New method.
	(getLocaleCount): Likewise.
	* java/text/Collator.java (getInstance): Javadoc typo fix.
	(getAvailableLocales): Wrote.

2006-03-24  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JTabbedPane.java
	(getSelectedComponent): Return null when no component is
	selected.

2006-03-24  Mark Wielaard  <mark@klomp.org>

	* NEWS: Add cursor and selection improvements.

2006-03-23  David Gilbert  <david.gilbert@object-refinery.com>

	* java/awt/Component.java
	(getAccessibleName): Just return accessibleName,
	* javax/swing/AbstractButton.java
	(getAccessibleStateSet): Mark as stub,
	(getAccessibleName): Implemented,
	(getAcessibleIcon): Mark as stub,
	(getAccessibleRelationSet): Likewise,
	(getAccessibleAction): Likewise,
	(getAccessibleValue): Likewise,
	(getAccessibleActionCount): Likewise,
	(getAccessibleActionDescription): Likewise,
	(doAccessibleAction): Likewise,
	(getCurrentAccessibleValue): Likewise,
	(setCurrentAccessibleValue): Likewise,
	(getMinimumAccessibleValue): Likewise,
	(getMaximumAccessibleValue): Likewise,
	(getAccessibleText): Likewise,
	(getIndexAtPoint): Likewise,
	(getCharacterBounds): Likewise,
	(getCharCount): Likewise,
	(getCaretPosition): Likewise,
	(getAtIndex): Likewise,
	(getAfterIndex): Likewise,
	(getBeforeIndex): Likewise,
	(getCharacterAttribute): Likewise,
	(getSelectionStart): Likewise,
	(getSelectionEnd): Likewise,
	(getSelectedText): Likewise,
	(getTextRectangle): Likewise,
	(setIconTextGap): Fire PropertyChangeEvent, not state changed,
	(getIconTextGap): Added @since 1.4,
	(setContentAreaFilled): Reordered code to make event sequence match
	reference implementation,
	* javax/swing/JButton.java
	(getSelectedObjects): Removed,
	*javax/swing/JComponent.java
	(getAccessibleName): Call super.

2006-03-23  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JProgressBar.java
	(AccessibleJProgressBar.getAccessibleStateSet): Implemented,
	(AccessibleJProgressBar.getAccessibleRole): Added API docs,
	(AccessibleJProgressBar.getAccessibleValue): Implemented,
	(AccessibleJProgressBar.getCurrentAccessibleValue): Likewise,
	(AccessibleJProgressBar.setCurrentAccessibleValue): Likewise,
	(AccessibleJProgressBar.getMinimumAccessibleValue): Likewise,
	(AccessibleJProgressBar.getMaximumAccessibleValue): Likewise,
	(getAccessibleContext): Added API docs.

2006-03-23  Robert Schuster  <robertschuster@fsfe.org>

        * javax/swing/plaf/basic/BasicTextUI.java:
        (FocusListener.focusLost): Put current selection into the system
        clipboard.

2006-03-23  Robert Schuster  <robertschuster@fsfe.org>

        * java/awt/Component.java:
        (processMouseEvent): Remove call to consume event.
        (dispatchEventImpl): Handle specific events first, do focus request
        only when mouse event was not yet consumed.
        * javax/swing/text/DefaultCaret.java:
	(mousePressed): Rewritten.
	(setDot): Changed order of operations.
	(moveDot): Dito.

2006-03-23  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JComponent.java
	(AccessibleJComponent.changeSupport): Removed field,
	(AccessibleJComponent.AccessibleJComponent): Updated for removed field,
	(AccessibleJComponent.addPropertyChangeListener): Call super,
	(AccessibleJComponent.removePropertyChangeListener): Likewise,
	* javax/swing/JSlider.java
	(AccessibleJSlider.getAccessibleStateSet): Implemented,
	(AccessibleJSlider.getAccessibleRole): Likewise,
	(AccessibleJSlider.getAccessibleValue): Likewise,
	(AccessibleJSlider.getCurrentAccessibleValue): Likewise,
	(AccessibleJSlider.setCurrentAccessibleValue): Likewise,
	(AccessibleJSlider.getMinimumAccessibleValue): Likewise,
	(AccessibleJSlider.getMaximumAccessibleValue): Likewise,
	(getAccessibleContext): Added API docs.

2006-03-23  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/java/rmi/activation/ActivationSystemTransient.java
	(debug): Made public. (constructor): Made protected.
	(activate, getActivationDesc): Throw more informative exceptions.
	* gnu/java/rmi/server/UnicastConnectionManager.java (toString):
	New method.
	* gnu/java/rmi/server/UnicastRef.java (remoteToString): 
	Stub, implemented.
	* gnu/java/rmi/server/UnicastServer.java (incomingMessageCall):
	Documented.
	* gnu/java/rmi/server/UnicastServerRef.java (incomingMessageCall):
	Better exception.
	* java/rmi/activation/Activatable.java (obtainId): Use the activation
	system, passed in the activation descriptor field.
	* java/rmi/activation/ActivationGroup.java (createGroup): Likewise.
	* java/rmi/activation/ActivationGroupID.java (system, uid): Changed
	to package private final. (equals): Compare uid, not the system. 
	(hashCode): Forward to uid.hashCode(). toString(): New method.
	* java/rmi/activation/ActivationID.java (readObject, writeObject):
	Rewritten. (equals): Compare UID only. toString(): New method.
	* java/rmi/server/ObjID.java (eq): New method. (equals): Compare also
	UID (space). (hashCode, toString): Rewritten.
	* java/rmi/server/RemoteObjectInvocationHandler.java (noArgs): 
	New method. (invoke): Treat null as an empty array for parameters.
	* java/rmi/server/UID.java (toString): Rewritten. (hashCode):
	Include count, do not include the static machineId.

2006-03-23  Tom Tromey  <tromey@redhat.com>

	* java/net/URLConnection.java (getContent(Class[])): Implemented.

2006-03-23  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* tools/gnu/classpath/tools/giop/GRMIC.java (main): Accept -force.
	* tools/gnu/classpath/tools/giop/GRMIC.txt: Explain -force.
	* tools/gnu/classpath/tools/giop/grmic/GiopRmicCompiler.java
	(force): New field. (setForce): New method. (compile): Handle -force.
	* tools/gnu/classpath/tools/rmi/RMIC.java (main): Accept -force.
	* tools/gnu/classpath/tools/rmi/RMIC.txt: Explain -force.

2006-03-23  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JTabbedPane.java
	(Page.getBackground): Return the JTabbedPane's background,
	rather than the page's component background.
	(Page.getForeground): Return the JTabbedPane's foreground,
	rather than the page's component foreground.
	* javax/swing/plaf/basic/BasicTabbedPaneUI.java
	(uninstallUI): Don't set colors to null.
	* javax/swing/plaf/metal/MetalTabbedPaneUI.java
	(paintTabBackground): Correctly determine the tab background.
	(getUnselectedBackground): New helper method to
	handle the UI property 'TabbedPane.unselectedBackground'
	correctly.

2006-03-23  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/plaf/basic/BasicInternalFrameUI.java
	(BorderListener.showingResizeCursor): New field.
	(BorderListener.mouseMoved, BorderListner.mouseExited):
	Implemented.

2006-03-23  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JComboBox.java
	(selectWithKeyChar): Mark as stub,
	* javax/swing/JFileChooser.java
	(setDragEnabled): Mark as stub,
	(getDragEnabled): Likewise,
	* javax/swing/JSlider.java
	(AccessibleJSlider.getAccessibleStateSet): Mark as stub,
	(AccessibleJSlider.getAccessibleRole): Likewise,
	(AccessibleJSlider.getAccessibleValue): Likewise,
	(AccessibleJSlider.getCurrentAccessibleValue): Likewise,
	(AccessibleJSlider.setCurrentAccessibleValue): Likewise,
	(AccessibleJSlider.getMinimumAccessibleValue): Likewise,
	(AccessibleJSlider.getMaximumAccessibleValue): Likewise,
	* javax/swing/UIManager.java
	(installLookAndFeel): Mark as stub,
	(setInstalledLookAndFeels): Likewise.

2006-03-23  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/filechooser/UnixFileSystemView.java
	(getSystemDisplayName): Mark as stub,
	(getSystemIcon): Likewise,
	(getSystemTypeDescription): Likewise.

2006-03-23  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/tree/AbstractLayoutCache.java
	(getNodeDimensions): Mark as stub,
	(getPreferredHeight): Likewise,
	(getPreferredWidth): Likewise,
	(getRowsForPaths): Likewise,
	(isFixedRowHeight): Likewise,
	* javax/swing/tree/DefaultTreeModel.java
	(reload()): Mark as stub,
	(reload(TreeNode)): Likewise,
	(nodeStructureChanged): Likewise,
	* javax/swing/tree/DefaultTreeSelectionModel.java
	(clone): Mark as stub,
	(setRowMapper): Likewise,
	(setSelectionPaths): Likewise,
	(isRowSelected): Likewise,
	(resetRowSelection): Likewise,
	(insureRowContinuity): Likewise,
	(arePathsContiguous): Likewise,
	(canPathsBeAdded): Likewise,
	(canPathsBeRemoved): Likewise,
	(notifyPathChange): Likewise,
	(updateLeadIndex): Likewise,
	(insureUniqueness): Likewise,
	* javax/swing/tree/FixedHeightLayoutCache.java: Marked all methods as
	stubs,
	* javax/swing/tree/VariableHeightLayoutCache.java: Likewise.

2006-03-22  Tom Tromey  <tromey@redhat.com>

	* javax/swing/text/StyleContext.java (getStaticAttribute): Mark as
	stub.
	(getStaticAttributeKey): Likewise.
	(readAttributeSet): Likewise.
	(writeAttributeSet): Likewise.
	(readAttributes): Likewise.
	(writeAttributes): Likewise.
	* javax/swing/text/html/HTMLEditorKit.java (insertAtBoundary): Mark
	as stub.
	* javax/swing/text/html/HTMLDocument.java (setParagraphAttributes):
	Mark as stub.
	(fireChangedUpdate): Likewise.
	(start): Likewise.
	(end): Likewise.
	(handleEndOfLineString): Likewise.
	(textAreaContent): Likewise.
	(preContent): Likewise.
	(addSpecialElement): Likewise.
	(setInnerHTML): Likewise.
	(setOuterHTML): Likewise.
	(insertBeforeStart): Likewise.
	(insertBeforeEnd): Likewise.
	(insertAfterEnd): Likewise.
	(insertAfterStart): Likewise.
	* javax/swing/table/JTableHeader.java (AccessibleJTableHeaderEntry):
	Mark all methods as stub.s
	* javax/swing/plaf/metal/MetalTreeUI.java (decodeLineStyle): Mark
	as stub.
	(paintHorizontalSeparators): Likewise.
	* javax/swing/plaf/basic/BasicLookAndFeel.java (loadSystemColors):
	Mark as stub.
	* javax/swing/MenuSelectionManager.java (processKeyEvent): Mark as
	stub.
	* java/beans/beancontext/BeanContextSupport.java: Mark most methods
	as stubs.
	* java/beans/beancontext/BeanContextServicesSupport.java: Mark most
	methods as stubs.

2006-03-22  Mark Wielaard  <mark@klomp.org>

	* gnu/java/awt/peer/gtk/GtkCursor.java: New class.

2006-03-22  Mark Wielaard  <mark@klomp.org>

	Fixes bug #26527
	* gnu/java/awt/peer/gtk/GtkComponentPeer.java (gtkWidgetSetCursor):
	Takes GtkImage, x and y coordinates.
	(gtkWidgetSetCursorUnlocked): Likewise.
	(GtkComponentPeer): Set cursor when set.
	(setCursor): Handle GtkCursor.
	* gnu/java/awt/peer/gtk/GtkToolkit.java (createCustomCursor):
	New method.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c
	(gtkWidgetSetCursor): Takes GtkImage, x and y coordinates.
	(gtkWidgetSetCursorUnlocked): Likewise. Handle custom image.
	* include/gnu_java_awt_peer_gtk_GtkComponentPeer.h: Regenerated.

2006-03-23  Roman Kennke  <kennke@aicas.com>

	PR 26805
	* gnu/java/security/Registry.java
	(PKCS5_PAD): Added pad PKCS#5 algorithm.
	* gnu/javax/crypto/pad/PadFactory.java
	(getInstance): For PKCS#5, also return PKCS#7 pad
	algorithm.
	(getNames): Added PKCS#5.
	* javax/crypto/KeyGenerator.java
	(getInstance): Initialize key generator before returning
	it.

2006-03-23  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* gnu/regexp/RE.java(REG_X_COMMENTS): New copilation flag,
	(initialize): Ignore whiltespaces and comments if REG_X_COMMENTS is set.
	* java/util/regex/Pattern.java(constructor): Set RE.REG_X_COMMENTS
	if COMMENTS is set.

2006-03-22  Tom Tromey  <tromey@redhat.com>

	* javax/swing/plaf/synth/SynthStyle.java (getInt): Implemented.
	(getBoolean): Likewise.
	(getString): Likewise.
	(getIcon): Likewise.

2006-03-22  Mark Wielaard  <mark@klomp.org>

	Fixes bug #26301
	* gnu/java/awt/peer/GLightweightPeer.java: Extend MouseAdapter.
	(GLightweightPeer(Component)): Install MouseListener.
	(setCursor): Implement.
	(mouseEntered): New method.

2006-03-22  Tom Tromey  <tromey@redhat.com>

	* javax/swing/plaf/synth/ColorType.java (MAX_COUNT): No longer
	constant.
	* javax/swing/plaf/synth/SynthStyle.java (getColorForState): Now
	protected.
	(getFontForState): Likewise.
	(getInsets): Added 'result' argument.
	(getPainter): Renamed.

2006-03-22  Tom Tromey  <tromey@redhat.com>

	* javax/swing/plaf/synth/SynthPainter.java
	(paintScrollBarThumbBackground): Added 'orientation' argument.
	(paintScrollBarThumbBorder): Likewise.
	(paintSliderThumbBackground): Likewise.
	(paintSliderThumbBorder): Likewise.
	(paintTabbedPaneTabBackground): Added 'index' argument.
	(paintTabbedPaneTabBorder): Likewise.

2006-03-22  Tom Tromey  <tromey@redhat.com>

	* java/awt/ScrollPaneAdjustable.java (paramString): Implemented.
	(toString): New method.

2006-03-22  Tom Tromey  <tromey@redhat.com>

	* doc/hacking.texinfo (Source Code Style Guide): Mention
	NotImplementedException.
	* javax/imageio/stream/MemoryCacheImageOutputStream.java
	(flushBefore): Mark as stub.
	(read): Likewise.
	* javax/imageio/stream/MemoryCacheImageInputStream.java (flushBefore):
	Mark as stub.
	* javax/imageio/stream/ImageOutputStreamImpl.java (flushBits): Mark
	as stub.
	(write): Likewise.
	(writeBit): Likewise.
	(writeChars): Likewise.
	(writeUTF): Likewise.
	* javax/imageio/stream/FileCacheImageOutputStream.java (read): Mark
	as stub.
	(read): Likewise.
	* java/net/URLConnection.java (getContent): Mark as stub.
	* java/awt/Window.java (applyResourceBundle): Mark as stub.
	* java/awt/TexturePaint.java (createContext): Mark as stub.
	(getTransparency): Mark as stub.
	* java/awt/ScrollPaneAdjustable.java (paramString): Mark as stub.
	* java/awt/GridBagLayout.java (AdjustForGravity): Mark as stub.
	* java/awt/GraphicsConfiguration.java (getBufferCapabilities): Mark as
	stub.
	(getImageCapabilities): Likewise.
	* java/awt/BasicStroke.java (createStrokedShape): Mark as stub.
	* java/awt/AlphaComposite.java (createContext): Mark as stub.
	* java/awt/image/renderable/RenderableImageProducer.java: Mark all
	methods as stubs.
	* java/awt/font/TextMeasurer.java (deleteChar): Mark as stub.
	(getAdvanceBetween): Likewise.
	(getLayout): Likewise.
	(insertChar): Likewise.
	(getLineBreakIndex): Likewise.
	* java/awt/font/ShapeGraphicAttribute.java (draw): Mark as stub.
	(getAdvance): Likewise.
	(getAscent): Likewise.
	(getDescent): Likewise.
	* java/awt/font/LineBreakMeasurer.java (deleteChar): Mark as stub.
	(insertChar): Likewise.
	(nextLayout): Likewise.
	(nextLayout): Likewise.
	(nextOffset): Likewise.
	(nextOffset): Likewise.
	* java/awt/font/ImageGraphicAttribute.java (draw): Mark as stub.
	(equals): Likewise.
	(getAdvance): Likewise.
	(getAscent): Likewise.
	(getBounds): Likewise.
	(getDescent): Likewise.
	(hashCode): Likewise.
	(ImageGraphicAttribute): Likewise.
	* java/awt/font/GraphicAttribute.java (getBounds): Mark as stub.
	(getJustificationInfo): Likewise.
	* java/awt/font/GlyphVector.java (getGlyphCharIndex): Mark as stub.
	(getGlyphCharIndices): Likewise.
	(getGlyphOutline): Likewise.
	(getGlyphPixelBounds): Likewise.
	(getLayoutFlags): Likewise.
	(getPixelBounds): Likewise.
	* java/awt/font/GlyphMetrics.java (getLSB): Mark as stub.
	(getRSB): Likewise.
	* java/nio/channels/Channels.java (newWriter): Mark as stub.
	* java/awt/dnd/DragSourceContext.java: Marked most methods as stubs.
	* java/awt/dnd/DragGestureRecognizer.java (fireDragGestureRecognized):
	Mark as stub.
	(resetRecognizer): Likewise.
	* java/awt/datatransfer/SystemFlavorMap.java (getFlavorsForNative):
	Mark as stub.
	(getNativesForFlavor): Likewise.
	* javax/swing/plaf/synth/SynthStyle.java: Mark all methods as stub.s
	* javax/swing/plaf/synth/SynthLookAndFeel.java (updateStyles): Mark
	as stub.
	(getRegion): Likewise.
	(createUI): Likewise.
	(initialize): Likewise.
	(uninitialize): Likewise.
	(getDefaults): Likewise.
	(load): Likewise.
	(shouldUpdateStyleOnAncestorChanged): Likewise.
	* javax/swing/plaf/synth/SynthGraphicsUtils.java (getMinimumSize):
	Mark as stub.
	(getPreferredSize): Likewise.
	(getMaximumSize): Likewise.
	(paintText): Likewise.
	* java/text/RuleBasedCollator.java (getCollationElementIterator): Mark
	as stub.
	* java/text/Collator.java (getAvailableLocales): Mark as stub.

2006-03-22  Wolfgang Baer  <WBaer@gmx.de>

	* java/io/ObjectStreamConstants.java: Added since tag.
	(PROTOCOL_VERSION_1): Added javadoc.
	(PROTOCOL_VERSION_2): Likewise.
	* java/io/ObjectOutputStream.java: 
	(setDefaultProtocolVersion): Removed.
	(useProtocolVersion): Fixed parameter tests. Updated javadoc.
	
2006-03-21  Lillian Angel  <langel@redhat.com>

	* gnu/javax/imageio/bmp/BMPInfoHeader.java
	(BMPInfoHeader): Removed debug lines.
	* gnu/javax/imageio/bmp/EncodeRLE4.java
	(encode): Implemented.
	(uncompress): New function implemented to
	uncompress the image before encoding.
	* gnu/javax/imageio/bmp/EncodeRLE8.java
	(encode): Implemented.
	(uncompress): New function implemented to
	uncompress the image before encoding.

2006-03-21  Roman Kennke  <kennke@aicas.com>

	* javax/swing/text/html/FormView.java
	(getImageData): New helper method.

2006-03-21  Tom Tromey  <tromey@redhat.com>

	* vm/reference/gnu/classpath/Unsafe.java (arrayBaseOffset): Javadoc
	fix.
	(Unsafe): Now final.

2006-03-21  Roman Kennke  <kennke@aicas.com>

	* javax/swing/text/html/FormView.java
	(MouseEventListener): New inner class.

2006-03-21  Roman Kennke  <kennke@aicas.com>

	* javax/swing/text/html/ListView.java: New file.

2006-03-21  Tom Tromey  <tromey@redhat.com>

	* java/text/Bidi.java: Completed.

2006-03-21  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/JTable.java:
	(columnAtPoint): Removed the null check, this method should throw a NPE
	if the argument is null.

2006-03-21  Robert Schuster  <robertschuster@fsfe.org>

        * javax/swing/text/DefaultHighlighter.java:
        (DefaultHighlighter.DefaultHighlightPainter.paint): Rewritten.

2006-03-21  Robert Schuster  <robertschuster@fsfe.org>

        * javax/swing/text/DefaultCaret.java: Added class variable denoting
        the textcomponent having a selection.
        (clearSelection): Clear 'componentWithSelection' variable.
        (handleSelection): Clear selection of current component having a
        selection before setting a new selection in another component.
	(mouseDragged): Only react on left mouse button.
	(mouseClicked): Only react on left mouse button.

2006-03-21  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalTabbedPaneUI.java
	(paintContentBorderTopEdge): Implemented.
	(paintContentBorderBottomEdge): Implemented.
	(paintContentBorderLeftEdge): Implemented.
	(paintContentBorderRightEdge): Implemented.
	(isLastTabInRun): New helper method.

2006-03-21  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JTabbedPane.java
	(Page.getForeground): Fall back to returning the tabbed pane's
	foreground if no foreground has been exclicitly set.

2006-03-21  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalComboBoxButton.java
	(setEnabled): Update colors of button correctly.
	* javax/swing/plaf/metal/MetalComboBoxUI.java
	(MetalPropertyChangeListener.propertyChange): Update the colors
	of the list and the button when any of the color properties
	of the ComboBox change.

2006-03-21  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicButtonUI.java
	(uninstallDefaults): Only nullify button colors if they are
	not UIResource instances.

2006-03-21  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JComponent.java
	(AccessibleJComponent.getAccessibleDescription): Call super,
	* javax/swing/JToolTip.java: API doc updates all over, plus
	(AccessibleJToolTip.getAccessibleDescription): Implemented,
	(AccessibleJToolTip.getAccessibleRole): Implemented,
	(getAccessibleContext): Implemented,
	(paramString): Reimplemented,
	(setComponent): Fire PropertyChangeEvent,
	(setTipText): Likewise.

2006-03-20  Tom Tromey  <tromey@redhat.com>

	* java/security/cert/PKIXCertPathChecker.java: Javadoc fix.
	* java/security/cert/CertStoreSpi.java: Added import for javadoc.
	(CertStoreSpi): Updated throws clause.
	* java/security/cert/CertPathValidatorSpi.java: Added import for
	javadoc.
	(engineValidate): Updated 'throws' clause.
	* java/security/cert/PKIXParameters.java: Javadoc fix.
	* java/security/cert/X509CertSelector.java
	(setAuthorityKeyIdentifier): Javadoc fix.

2006-03-20  Tom Tromey  <tromey@redhat.com>

	* .classpath: Build gnu.javax.swing.plaf.

2006-03-20  Lillian Angel  <langel@redhat.com>

	* gnu/javax/imageio/bmp/BMPDecoder.java:
	Removed unneeded import.
	* gnu/javax/imageio/bmp/BMPEncoder.java:
	New class.
	* gnu/javax/imageio/bmp/BMPFileHeader.java
	(BMPFileHeader): New constructor used to create info header
	for an output stream.
	(write): Fixed indexes.
	* gnu/javax/imageio/bmp/BMPImageReaderSpi.java:
	Initialized writerSpiNames field.
	* gnu/javax/imageio/bmp/BMPImageWriter.java:
	New class.
	* gnu/javax/imageio/bmp/BMPImageWriterSpi.java:
	New class.
	* gnu/javax/imageio/bmp/BMPInfoHeader.java:
	Change visibility for fields.
	(BMPInfoHeader): New constructor used to create
	file header for an output stream.
	(intToDWord): New method. Converts an int to a
	double word.
	(intToWord): New method. Converts an int to a word.
	* gnu/javax/imageio/bmp/DecodeBF32.java:
	Removed unneeded imports.
	* gnu/javax/imageio/bmp/EncodeRGB1.java:
	New class.
	* gnu/javax/imageio/bmp/EncodeRGB16.java:
	New class.
	* gnu/javax/imageio/bmp/EncodeRGB24.java:
	New class.
	* gnu/javax/imageio/bmp/EncodeRGB32.java:
	New class.
	* gnu/javax/imageio/bmp/EncodeRGB4.java:
	New class.
	* gnu/javax/imageio/bmp/EncodeRGB8.java:
	New class.
	* gnu/javax/imageio/bmp/EncodeRLE4.java:
	New class.
	* gnu/javax/imageio/bmp/EncodeRLE8.java:
	New class.
	* javax/imageio/ImageIO.java:
	Fixed comment.

2006-03-20  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalTabbedPaneUI.java
	(TabbedPaneLayout.normalizeTabRuns): New method.
	(createLayoutManager): Return the Metal TabbedPaneLayout, not super.
	(paintTabBorder): Replaced if-else chain with switch.
	(paintTopTabBorder): Rewritten to correctly paint tab. Also support
	Ocean theme.
	(paintBottomTabBorder): Rewritten to correctly paint tab. Also support
	Ocean theme.
	(paintLeftTabBorder): Rewritten to correctly paint tab. Also support
	Ocean theme.
	(paintRightTabBorder): Rewritten to correctly paint tab. Also support
	Ocean theme.
	(paintTabBackground): Fetch background color from the TabbedPane.
	Fixed painting and improved by not using fillPolygon, and instead
	using fillRectangle. Replaced if-else chain with switch.
	(calculateMaxTabHeight): Added overridden method with FIXME.
	(getTabRunOverlay): Overridden to provide overlay for LEFT or RIGHT
	placement.
	(paintContentBorderTopEdge): Added stub with FIXME.
	(paintContentBorderBottomEdge): Added stub with FIXME.
	(paintContentBorderLeftEdge): Added stub with FIXME.
	(paintContentBorderRightEdge): Added stub with FIXME.

2006-03-20  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicTabbedPaneUI.java
	(tabsOpaque): New field.
	(installDefaults): Fetch tabsOpaque property from UIManager.
	(paintTab): Fill tab background when tabsOpaque property is true.
	* javax/swing/plaf/basic/BasicLookAndFeel.java
	(initComponentDefaults): Added TabbedPane.tabsOpaque property.

2006-03-20  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JTabbedPane.java
	(Pane.getBackground): When no background was explicitly set, return
	the JTabbedPane's background.

2006-03-20  Wolfgang Baer  <WBaer@gmx.de>

	* org/omg/CORBA/ACTIVITY_COMPLETED.java,
	* org/omg/CORBA/ACTIVITY_REQUIRED.java,
	* org/omg/CORBA/BAD_INV_ORDER.java,
	* org/omg/CORBA/BAD_CONTEXT.java,
	* org/omg/CORBA/BAD_OPERATION.java,
	* org/omg/CORBA/BAD_PARAM.java,
	* org/omg/CORBA/BAD_QOS.java,
	* org/omg/CORBA/BAD_TYPECODE.java,
	* org/omg/CORBA/CODESET_INCOMPATIBLE.java,
	* org/omg/CORBA/COMM_FAILURE.java,
	* org/omg/CORBA/CurrentHolder.java,
	* org/omg/CORBA/DATA_CONVERSION.java,
	* org/omg/CORBA/FREE_MEM.java,
	* org/omg/CORBA/IMP_LIMIT.java,
	* org/omg/CORBA/INITIALIZE.java,
	* org/omg/CORBA/INTERNAL.java,
	* org/omg/CORBA/INTF_REPOS.java,
	* org/omg/CORBA/INVALID_ACTIVITY.java,
	* org/omg/CORBA/INVALID_TRANSACTION.java,
	* org/omg/CORBA/INV_FLAG.java,
	* org/omg/CORBA/INV_IDENT.java,
	* org/omg/CORBA/INV_OBJREF.java,
	* org/omg/CORBA/INV_POLICY.java,
	* org/omg/CORBA/MARSHAL.java,
	* org/omg/CORBA/NO_RESOURCES.java,
	* org/omg/CORBA/NO_MEMORY.java,
	* org/omg/CORBA/NO_IMPLEMENT.java,
	* org/omg/CORBA/NO_PERMISSION.java,
	* org/omg/CORBA/NO_RESPONSE.java,
	* org/omg/CORBA/OBJECT_NOT_EXIST.java,
	* org/omg/CORBA/OBJ_ADAPTER.java,
	* org/omg/CORBA/ParameterModeHolder.java,
	* org/omg/CORBA/PolicyError.java,
	* org/omg/CORBA/PolicyErrorHolder.java,
	* org/omg/CORBA/PolicyHolder.java,
	* org/omg/CORBA/PolicyListHolder.java,
	* org/omg/CORBA/REBIND.java,
	* org/omg/CORBA/TIMEOUT.java,
	* org/omg/CORBA/TRANSACTION_MODE.java,
	* org/omg/CORBA/TRANSACTION_REQUIRED.java,
	* org/omg/CORBA/TRANSACTION_ROLLEDBACK.java,
	* org/omg/CORBA/TRANSACTION_UNAVAILABLE.java,
	* org/omg/CORBA/TRANSIENT.java,
	* org/omg/CORBA/TypeCodeHolder.java,
	* org/omg/CORBA/UNKNOWN.java,
	* org/omg/CORBA/UnionMember.java,
	* org/omg/CORBA/UnknownUserException.java,
	* org/omg/CORBA/UnknownUserExceptionHolder.java,
	* org/omg/CORBA/WrongTransactionHolder.java,
	* org/omg/IOP/IOR.java,
	* org/omg/IOP/IORHolder.java,
	* org/omg/IOP/MultipleComponentProfileHolder.java,
	* org/omg/IOP/ServiceContextHolder.java,
	* org/omg/IOP/ServiceContextListHolder.java,
	* org/omg/IOP/TaggedComponentHolder.java,
	* org/omg/IOP/TaggedProfileHolder.java,
	* org/omg/PortableInterceptor/ObjectReferenceTemplateSeqHolder.java,
	* org/omg/PortableInterceptor/ObjectReferenceTemplateHolder.java,
	* org/omg/PortableInterceptor/IORInterceptor_3_0Holder.java,
	* org/omg/PortableInterceptor/ObjectReferenceFactoryHolder.java:
	Made class final, various javadoc fixlets.	
	* org/omg/CORBA/CompletionStatus.java, 
	* org/omg/CORBA/PERSIST_STORE.java,
	* org/omg/CORBA/ValueMember.java,
	* org/omg/PortableInterceptor/ForwardRequest.java,
	* org/omg/PortableInterceptor/InvalidSlot.java,
	* org/omg/IOP/CodecPackage/TypeMismatch.java,
	* org/omg/IOP/CodecPackage/InvalidTypeForEncoding.java,
	* org/omg/IOP/CodecPackage/FormatMismatch.java,
	* org/omg/IOP/CodecFactoryPackage/UnknownEncoding.java,
	* org/omg/IOP/Encoding.java,
	* org/omg/IOP/TaggedComponent.java,
	* org/omg/IOP/TaggedProfile.java: Made class final.
	* org/omg/CORBA/SystemException.java: Made class abstract.	
	* org/omg/CORBA/UserException.java: Made class abstract.
	(UserException): Now protected.
	(UserException(String)): Likewise.
	* org/omg/Messaging/SyncScopeHelper.java: Now abstract, javadoc fixes.
	(typecode): Removed unused private variable.

2006-03-20  Chris Burdess  <dog@gnu.org>

	Fixes PR 26761
	* gnu/xml/stream/XMLParser.java: Permit U+fffd as XML Char.

2006-03-20  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicTabbedPaneUI.java
	(paintTabArea): Look up tab run indices in tabRuns array instead
	of using the index directly.

2006-03-20  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicTabbedPaneUI.java
	(paintTab): Fixed painting.
	(paintText): Fixed text painting.
	(paintFocusIndicator): Fixed painting of the focus rectangle.
	(paintContentBorder): Fixed painting of the content area.

2006-03-20  Mark Wielaard  <mark@klomp.org>

	* gnu/java/awt/peer/gtk/GdkPixbufDecoder.java (pixbufLock): New
	static lock Object field.
	(produce): Synchronize on pixbufLock when calling initState(),
	pumpBytes() and pumpDone().
	(finalize): Likewise when calling finish().
	(GdkPixbufWriter.write): Likewise when calling streamImage().
	* gnu/java/awt/peer/gtk/GtkImage.java (GtkImage(String)): Likewise
	when calling loadPixbuf. Chain exception.
	(GtkImage(byte[])): Likewise when calling loadImageFromData.
	(GtkImage(URL)): Likewise.
	(GtkImage(int,int)): Likewise when calling createPixmap().
	(GtkImage(GtkImage,int,int,int)): Likewise when calling
	createScaledPixmap().
	(GtkImage(Pointer)): Likewise when calling createFromPixbuf().
	(setImage): Likewise when calling createPixmap() and setPixels().
	(getSource): Likewise when calling getPixels().
	(flush): Likewise when calling freePixmap().
	(finalize): Likewise.
	(drawImage): Likewise when calling drawPixelsScaledFlipped() and
	drawPixelsScaledFlipped().
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkPixbufDecoder.c
	(Java_gnu_java_awt_peer_gtk_GdkPixbufDecoder_initState): Remove
	gdk_threads_enter/leave().
	(Java_gnu_java_awt_peer_gtk_GdkPixbufDecoder_finish): Likewise.
	(Java_gnu_java_awt_peer_gtk_GdkPixbufDecoder_pumpDone): Likewise.
	(Java_gnu_java_awt_peer_gtk_GdkPixbufDecoder_streamImage): Likewise.
	(Java_gnu_java_awt_peer_gtk_GdkPixbufDecoder_pumpBytes): Likewise.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkImage.c
	(Java_gnu_java_awt_peer_gtk_GtkImage_loadPixbuf): Likewise.
	(Java_gnu_java_awt_peer_gtk_GtkImage_loadImageFromData): Likewise.
	(Java_gnu_java_awt_peer_gtk_GtkImage_createFromPixbuf): Likewise.
	(Java_gnu_java_awt_peer_gtk_GtkImage_getPixels): Likewise.
	(Java_gnu_java_awt_peer_gtk_GtkImage_setPixels): Likewise.
	(Java_gnu_java_awt_peer_gtk_GtkImage_createPixmap): Likewise.
	(Java_gnu_java_awt_peer_gtk_GtkImage_freePixmap): Likewise.
	(Java_gnu_java_awt_peer_gtk_GtkImage_createScaledPixmap): Likewise.

2006-03-20  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicTabbedPaneUI.java
	(calculateTabHeight): Not need to use SwingUtilities here.
	(getTabInsets): Do not rotate insets.

2006-03-20  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicTabbedPaneUI.java
	(paint): Make sure the layout is valid before painting.
	(paintTabArea): Made tab painting more straightforward and efficient.

2006-03-20  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/JTable.java (ROWS_PER_WHEEL_CLICK): Removed.
	(getScrollableUnitIncrement): Rewritten.
	* javax/swing/JTree.java (ROWS_PER_WHEEL_CLICK): Removed.
	(getScrollableUnitIncrement): Rewritten.
	* javax/swing/plaf/basic/BasicScrollPaneUI.java
	(ROWS_PER_WHEEL_CLICK): New field. 
	(MouseWheelHandler.mouseWheelMoved): Rewritten.

2006-03-20  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicTabbedPaneUI.java
	(paint): Make sure the layout is valid before painting.
	(paintTabArea): Made tab painting more straightforward and efficient.

2006-03-20  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicTabbedPaneUI.java
	(MouseHandler.mousePressed): Rewritten for clearer and simpler
	code.
	(MouseHandler.mouseEntered): Implemented to set the rollover tab.
	(MouseHandler.mouseMoved): Implemented to set the rollover tab.
	(MouseHandler.mouseExited): Implemented to unset the rollover tab.
	(TabbedPaneLayout.calculateLayoutInfo): Don't set the component's
	bounds here. That is moved into layoutContainer().
	(calculateSize): Correctly respect insets. Made code slightly more
	clear and efficient.
	(calculateTabRects): Rewritten completely. The old code was
	not quite right and unstable in some situations.
	(layoutContainer): Moved layout of tabbed pane's subcomponents
	here.
	(tabRunsDirty): New field.
	(rolloverTab): New field.
	(tabForCoordinate): Rewritten for simplicity and correctness.
	(setRolloverTab): New method.
	(getRolloverTab): New method.

2006-03-20  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/JTable.java (getScrollableUnitIncrement): Rewritten.
	* javax/swing/JTree.java (getScrollableUnitIncrement): Rewritten.
	(getScrollableUnitIncrement
	* javax/swing/Scrollable.java: Documented.
	* javax/swing/plaf/basic/BasicScrollPaneUI.java 
	(MouseWheelHandler):Rewritten.

2006-03-20  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* doc/vmintegration.texinfo:
	Updated with gnu.classpath.Unsafe
	
2006-03-20  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* NEWS:
	Updated with VMArray and Unsafe changes.
	
2006-03-20  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/JTable.java (ROWS_PER_WHEEL_CLICK): New field.
	(getScrollableUnitIncrement): Rewritten.
	* javax/swing/JTree.java (ROWS_PER_WHEEL_CLICK): New field.
	(getScrollableUnitIncrement): Rewritten. 
	(getScrollableBlockIncrement): Rewritten.
	* javax/swing/plaf/basic/BasicScrollPaneUI.java 
	(MouseWheelHandler): Implemented. (ViewportContainerListener): 
	New class. (containerListener): New field. (SCROLL_NON_SCROLABLES): 
	New field. (installListeners): Install wheel listeners. 
	(uninstallListeners): Uninstall wheel listeners.
	* javax/swing/plaf/basic/BasicTableUI.java: Remove the implementation
	of the MouseWheelListener. (installListeners): Do not install wheel
	listener. (ROWS_PER_WHEEL_CLICK): Removed.

2006-03-19  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* vm/reference/gnu/classpath/Unsafe.java:
	Documented.
	(getUnsafe()): Updated to handle security.

2006-03-19  Tom Tromey  <tromey@redhat.com>

	* vm/reference/gnu/classpath/Unsafe.java:
	New class to handle low-level facilities for concurrency.

2006-03-19  Michael Barker <mike@middlesoft.co.uk>
	
	* vm/reference/gnu/java/nio/VMChannel.java: Added, supports setting 
	non-blocking and scatter-gather io operations.
	* gnu/java/nio/PipeImpl.java: Retrofitted to use VMChannel
	* gnu/java/nio/SelectorImpl.java
	(register) Added condition for gnu.java.nio.SocketChannelSelectionKeyImpl
	* gnu/java/nio/SocketChannelSelectionKeyImpl.java Added.
	* gnu/java/nio/channels/FileChannelImpl.java: Retrofitted to use VMChannel
	* java/nio/FileChannel.java
	(read (ByteBuffer)) Changed to call abstract method.
	(write (ByteBuffer)) Changed to call abstract method.
	* include/gnu_java_nio_VMChannel.h: Added.
	* native/jni/java-nio/gnu_java_nio_VMChannel.c: Added.

2006-03-19  Mark Wielaard  <mark@klomp.org>

	* include/Makefile.am: Rename PlainDatagramSocketImpl to
	VMPlainDatagramSocketImpl and PlainSocketImpl to VMPlainSocketImpl.
	* include/gnu_java_net_VMPlainDatagramSocketImpl.h: Regenerated.
	* include/gnu_java_net_VMPlainSocketImpl.h: Likewise.

2006-03-19  Mark Wielaard  <mark@klomp.org>

	* gnu/java/awt/peer/gtk/GdkFontPeer.java (getPostScriptName): Return
	familyName.
	* gnu/java/awt/peer/gtk/GtkFontPeer.java: Removed unused file.

2006-03-19  Michael Koch  <konqueror@gmx.de>

	* resource/gnu/java/locale/LocaleInformation_aa_ET.properties,
	resource/gnu/java/locale/LocaleInformation_am.properties,
	resource/gnu/java/locale/LocaleInformation_am_ET.properties,
	resource/gnu/java/locale/LocaleInformation_as_IN.properties,
	resource/gnu/java/locale/LocaleInformation_az_Cyrl.properties,
	resource/gnu/java/locale/LocaleInformation_bg.properties,
	resource/gnu/java/locale/LocaleInformation_bn_IN.properties,
	resource/gnu/java/locale/LocaleInformation_ca.properties,
	resource/gnu/java/locale/LocaleInformation_cs.properties,
	resource/gnu/java/locale/LocaleInformation_cy.properties,
	resource/gnu/java/locale/LocaleInformation_da.properties,
	resource/gnu/java/locale/LocaleInformation_de.properties,
	resource/gnu/java/locale/LocaleInformation_dv.properties,
	resource/gnu/java/locale/LocaleInformation_el.properties,
	resource/gnu/java/locale/LocaleInformation_en.properties,
	resource/gnu/java/locale/LocaleInformation_en_GB.properties,
	resource/gnu/java/locale/LocaleInformation_en_IN.properties,
	resource/gnu/java/locale/LocaleInformation_en_PK.properties,
	resource/gnu/java/locale/LocaleInformation_en_SG.properties,
	resource/gnu/java/locale/LocaleInformation_en_US_POSIX.properties,
	resource/gnu/java/locale/LocaleInformation_es.properties,
	resource/gnu/java/locale/LocaleInformation_es_AR.properties,
	resource/gnu/java/locale/LocaleInformation_es_BO.properties,
	resource/gnu/java/locale/LocaleInformation_es_CL.properties,
	resource/gnu/java/locale/LocaleInformation_es_CO.properties,
	resource/gnu/java/locale/LocaleInformation_es_CR.properties,
	resource/gnu/java/locale/LocaleInformation_es_DO.properties,
	resource/gnu/java/locale/LocaleInformation_es_EC.properties,
	resource/gnu/java/locale/LocaleInformation_es_ES.properties,
	resource/gnu/java/locale/LocaleInformation_es_GT.properties,
	resource/gnu/java/locale/LocaleInformation_es_HN.properties,
	resource/gnu/java/locale/LocaleInformation_es_MX.properties,
	resource/gnu/java/locale/LocaleInformation_es_NI.properties,
	resource/gnu/java/locale/LocaleInformation_es_PA.properties,
	resource/gnu/java/locale/LocaleInformation_es_PE.properties,
	resource/gnu/java/locale/LocaleInformation_es_PR.properties,
	resource/gnu/java/locale/LocaleInformation_es_PY.properties,
	resource/gnu/java/locale/LocaleInformation_es_SV.properties,
	resource/gnu/java/locale/LocaleInformation_es_US.properties,
	resource/gnu/java/locale/LocaleInformation_es_UY.properties,
	resource/gnu/java/locale/LocaleInformation_es_VE.properties,
	resource/gnu/java/locale/LocaleInformation_fa.properties,
	resource/gnu/java/locale/LocaleInformation_fa_AF.properties,
	resource/gnu/java/locale/LocaleInformation_fa_IR.properties,
	resource/gnu/java/locale/LocaleInformation_fi.properties,
	resource/gnu/java/locale/LocaleInformation_fr.properties,
	resource/gnu/java/locale/LocaleInformation_fr_CA.properties,
	resource/gnu/java/locale/LocaleInformation_ga.properties,
	resource/gnu/java/locale/LocaleInformation_gu_IN.properties,
	resource/gnu/java/locale/LocaleInformation_hi_IN.properties,
	resource/gnu/java/locale/LocaleInformation_hr.properties,
	resource/gnu/java/locale/LocaleInformation_hu.properties,
	resource/gnu/java/locale/LocaleInformation_id.properties,
	resource/gnu/java/locale/LocaleInformation_is.properties,
	resource/gnu/java/locale/LocaleInformation_it.properties,
	resource/gnu/java/locale/LocaleInformation_ja.properties,
	resource/gnu/java/locale/LocaleInformation_kk.properties,
	resource/gnu/java/locale/LocaleInformation_kl.properties,
	resource/gnu/java/locale/LocaleInformation_km.properties,
	resource/gnu/java/locale/LocaleInformation_ky.properties,
	resource/gnu/java/locale/LocaleInformation_lo.properties,
	resource/gnu/java/locale/LocaleInformation_lo_LA.properties,
	resource/gnu/java/locale/LocaleInformation_lt.properties,
	resource/gnu/java/locale/LocaleInformation_lt_LT.properties,
	resource/gnu/java/locale/LocaleInformation_lv.properties,
	resource/gnu/java/locale/LocaleInformation_mk.properties,
	resource/gnu/java/locale/LocaleInformation_mn.properties,
	resource/gnu/java/locale/LocaleInformation_mr.properties,
	resource/gnu/java/locale/LocaleInformation_mr_IN.properties,
	resource/gnu/java/locale/LocaleInformation_ms.properties,
	resource/gnu/java/locale/LocaleInformation_ms_BN.properties,
	resource/gnu/java/locale/LocaleInformation_mt.properties,
	resource/gnu/java/locale/LocaleInformation_nb.properties,
	resource/gnu/java/locale/LocaleInformation_nl.properties,
	resource/gnu/java/locale/LocaleInformation_nn.properties,
	resource/gnu/java/locale/LocaleInformation_om_ET.properties,
	resource/gnu/java/locale/LocaleInformation_or_IN.properties,
	resource/gnu/java/locale/LocaleInformation_pa.properties,
	resource/gnu/java/locale/LocaleInformation_pl.properties,
	resource/gnu/java/locale/LocaleInformation_pt.properties,
	resource/gnu/java/locale/LocaleInformation_ru.properties,
	resource/gnu/java/locale/LocaleInformation_ru_RU.properties,
	resource/gnu/java/locale/LocaleInformation_ru_UA.properties,
	resource/gnu/java/locale/LocaleInformation_sa.properties,
	resource/gnu/java/locale/LocaleInformation_sa_IN.properties,
	resource/gnu/java/locale/LocaleInformation_sk.properties,
	resource/gnu/java/locale/LocaleInformation_sr_Latn.properties,
	resource/gnu/java/locale/LocaleInformation_sv.properties,
	resource/gnu/java/locale/LocaleInformation_sw.properties,
	resource/gnu/java/locale/LocaleInformation_sw_TZ.properties,
	resource/gnu/java/locale/LocaleInformation_ta_IN.properties,
	resource/gnu/java/locale/LocaleInformation_te.properties,
	resource/gnu/java/locale/LocaleInformation_te_IN.properties,
	resource/gnu/java/locale/LocaleInformation_th.properties,
	resource/gnu/java/locale/LocaleInformation_ti.properties,
	resource/gnu/java/locale/LocaleInformation_ti_ER.properties,
	resource/gnu/java/locale/LocaleInformation_ti_ET.properties,
	resource/gnu/java/locale/LocaleInformation_tr.properties,
	resource/gnu/java/locale/LocaleInformation_tt.properties,
	resource/gnu/java/locale/LocaleInformation_uk.properties,
	resource/gnu/java/locale/LocaleInformation_ur.properties,
	resource/gnu/java/locale/LocaleInformation_uz.properties,
	resource/gnu/java/locale/LocaleInformation_zh.properties,
	resource/gnu/java/locale/LocaleInformation_zh_Hant.properties:
	More updates for CLDR 1.3.
	
2006-03-19  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* doc/vmintegration.texinfo:
	Updated to include VMArray.
	* include/Makefile.am:
	Replace java_lang_reflect_Array.h with
	java_lang_reflect_VMArray.h
	* include/java_lang_reflect_VMArray.h:
	New autogenerated header.
	* include/java_lang_reflect_Array.h:
	Removed.
	* java/lang/reflect/Array.java:
	(newInstance(Class,int)): Calls VMArray.
	(createMultiArray(Class,int[],int)): Likewise.
	(createObjectArray(Class,int)): Removed.
	* native/jni/java-lang/Makefile.am:
	Replaced java_lang_reflect_Array.c with
	java_lang_reflect_VMArray.c
	* native/jni/java-lang/java_lang_reflect_VMArray.c:
	Renamed from java_lang_reflect_Array.c.
	* vm/reference/java/lang/reflect/VMArray.java:
	(createObjectArray(Class,int)): Native method moved
	from java.lang.reflect.Array.

2006-03-19  Roman Kennke  <kennke@aicas.com>

	* gnu/javax/swing/plaf/metal/CustomizableTheme.java: New class.
	* examples/gnu/classpath/examples/swing/MetalThemeEditor.java:
	New class.
	* examples/gnu/classpath/examples/swing/Demo.java
	(mkButtonBar): Hook up theme editor.
	(mkMenuBar): Hook up theme editor.

2006-03-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicFileChooserUI.java
	(ApproveSelectionAction.actionPerformed): Added case for when
	nothing has been selected but the user has typed a filename
	into the textfield.
	(getFileName): Return the value of the text field.

2006-03-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JColorChooser.java
	(createDialog): Create JDialog instead of ModalDialog. Make this
	dialog modal by calling setModal(true).
	(ModalDialog): Removed unnecessary inner class.

2006-03-19  Tom Tromey  <tromey@redhat.com>

	* java/awt/font/NumericShaper.java: Rewrote.

2006-03-19  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/plaf/basic/BasicTableUI.java:
	Implement MouseWheelListener. (ROWS_PER_WHEEL_CLICK):
	New field. MouseInputHandler.mouseWheelMoved): New method.
	(installListeners): Register MouseInputHandler as
	wheel listener also.
	
2006-03-19  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	PR 26746
	* javax/swing/ViewportLayout.java (layoutContainer):
	If Scrollable tracks dimension, set view size to the port size. 
	If port is larger than the view, move the view to the top/left.

2006-03-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/MenuSelectionManager.java
	(isComponentPartOfCurrentMenu): Also consider the first element
	in a menu selection list. Make a isDescendentFrom check instead
	of simple equals to also catch sub components.

2006-03-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JComboBox.java
	(actionPerformed): Fetch selected item directly from the editor
	instead of trying to get it from the event.

2006-03-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicComboBoxEditor.java
	(listener): Removed field.
	(BasicComboBoxEditor): Removed initialization of listener field.
	(addActionListener): Add listener directly to editor.
	(removeActionListener): Remove listener directly from editor.
	(ComboBoxEditorListener): Removed class.
	* javax/swing/plaf/basic/BasicComboBoxUI.java
	(getPreferredSize): Fixed to return the minimumSize.
	(getMinimumSize): Improved code for more clearness.
	(getMaximumSize): Return (32767,32767) as requested by the mauve test.
	(rectangleForCurrentValue): Correctly respect insets.
	(getDefaultSize): Return preferredSize here. Dont override height
	with 100.
	(getDisplaySize): Moved around code for more clearness. Added
	handling of prototype renderer.
	(ComboBoxLayoutManager.layoutContainer): Set editor bounds after
	arrowButton bounds since the former depends on the latter.
	* javax/swing/plaf/metal/MetalComboBoxButton.java:
	(MetalComboBoxButton): Make button rollover disabled.
	(isFocusTraversable): Return false unconditionally.
	* javax/swing/plaf/metal/MetalComboBoxEditor.java:
	(EditorTextField): New class. Fixes the size properties.
	(MetalComboBoxEditor): Create instance of EditorTextField.
	* javax/swing/plaf/metal/MetalComboBoxUI.java:
	(getMinimumSize): Fixed editable size.

2006-03-18  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/JTable.java (BooleanCellRenderer): Rewritten.

2006-03-18  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalToolBarUI.java
	(update): Added overridden method to support OceanTheme.

2006-03-18  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/plaf/basic/BasicTableUI.java (KeyHandler.keyTyped): 
	Activate the cell editing on character keystroke.

2006-03-18  Mark Wielaard  <mark@klomp.org>

	* java/awt/Component.java (eventTypeEnabled): Handle
	MouseEvent.MOUSE_WHEEL.
	* gnu/java/awt/peer/gtk/GtkComponentPeer.java (postMouseWheelEvent):
	New callback method.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c
	(AWT_MOUSE_WHEEL): New constant.
	(AWT_WHEEL_UNIT_SCROLL): Likewise.
	(postMouseWheelEventID): New static variable.
	(cp_gtk_component_init_jni): Record postMouseWheelEventID.
	(cp_gtk_component_connect_mouse_signals): Connect scroll-event.
	(button_number): Renamed to ...
	(button_number_direction): variable to hold button number or scroll
	direction.
	(component_button_press_cb): Use button_number_direction.
	(component_scroll_cb): New static callback function.

2006-03-18  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax.swing.JTable.java (TableTextField.scrollRectToVisible):
	Return without action.

2006-03-18  Mark Wielaard  <mark@klomp.org>

	* gnu/java/awt/peer/gtk/GtkComponentPeer.java (paintComponent):
	Don't cast graphics object to GdkGraphics.
	(updateComponent): Likewise.

2006-03-18  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* examples/gnu/classpath/examples/swing/TableDemo.java
	(TModel.getColumnClass): Set second column to Icon.
	(TModel.isCellEditable): Say icons are not editable.
	(createContent): Fill the in second column with some icons from 
	MetalIconFactory.

2006-03-18  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* examples/gnu/classpath/examples/swing/Demo.java
	(mkButtonBar): Set maximal button bar height to the preferred height.

2006-03-18  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicComboPopup.java
	(show): Substract insets from scroller width.
	(getPopupHeightForRowCount): If height==0, return a default of 100
	instead for empty ComboBoxes.

2006-03-18  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicLookAndFeel.java
	(PopupHelper.autoClosePopups): Removed field.
	(PopupHelper.mousePressed): Removed processing of registered
	autoclose popups.
	(registerForAutoClose): Removed unneeded method.
	(autoClosePopups): Removed unneeded method.
	(registerForAutoClose): Removed unneeded method.

2006-03-18  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax.swing.JTable.java (TableTextField): Set border.
	(moveToCellBeingEdited): Do not adjust the editor boundaries

2006-03-18  Michael Koch  <konqueror@gmx.de>

	* resource/gnu/java/locale/LocaleInformation_aa.properties,
	resource/gnu/java/locale/LocaleInformation_af.properties,
	resource/gnu/java/locale/LocaleInformation_am.properties,
	resource/gnu/java/locale/LocaleInformation_ar.properties,
	resource/gnu/java/locale/LocaleInformation_az_Cyrl.properties,
	resource/gnu/java/locale/LocaleInformation_be.properties,
	resource/gnu/java/locale/LocaleInformation_bg.properties,
	resource/gnu/java/locale/LocaleInformation_bn.properties,
	resource/gnu/java/locale/LocaleInformation_ca.properties,
	resource/gnu/java/locale/LocaleInformation_cs.properties,
	resource/gnu/java/locale/LocaleInformation_cy.properties,
	resource/gnu/java/locale/LocaleInformation_da.properties,
	resource/gnu/java/locale/LocaleInformation_de.properties,
	resource/gnu/java/locale/LocaleInformation_de_CH.properties,
	resource/gnu/java/locale/LocaleInformation_dz.properties,
	resource/gnu/java/locale/LocaleInformation_en.properties,
	resource/gnu/java/locale/LocaleInformation_eo.properties,
	resource/gnu/java/locale/LocaleInformation_es.properties,
	resource/gnu/java/locale/LocaleInformation_et.properties,
	resource/gnu/java/locale/LocaleInformation_eu.properties,
	resource/gnu/java/locale/LocaleInformation_fa.properties,
	resource/gnu/java/locale/LocaleInformation_fa_AF.properties,
	resource/gnu/java/locale/LocaleInformation_fi.properties,
	resource/gnu/java/locale/LocaleInformation_fo.properties,
	resource/gnu/java/locale/LocaleInformation_fr.properties,
	resource/gnu/java/locale/LocaleInformation_ga.properties,
	resource/gnu/java/locale/LocaleInformation_gl.properties,
	resource/gnu/java/locale/LocaleInformation_gu.properties,
	resource/gnu/java/locale/LocaleInformation_he.properties,
	resource/gnu/java/locale/LocaleInformation_hi.properties,
	resource/gnu/java/locale/LocaleInformation_hr.properties,
	resource/gnu/java/locale/LocaleInformation_hu.properties,
	resource/gnu/java/locale/LocaleInformation_hy.properties,
	resource/gnu/java/locale/LocaleInformation_id.properties,
	resource/gnu/java/locale/LocaleInformation_is.properties,
	resource/gnu/java/locale/LocaleInformation_it.properties,
	resource/gnu/java/locale/LocaleInformation_ja.properties,
	resource/gnu/java/locale/LocaleInformation_ka.properties,
	resource/gnu/java/locale/LocaleInformation_km.properties,
	resource/gnu/java/locale/LocaleInformation_ko.properties,
	resource/gnu/java/locale/LocaleInformation_lo.properties,
	resource/gnu/java/locale/LocaleInformation_lt.properties,
	resource/gnu/java/locale/LocaleInformation_lv.properties,
	resource/gnu/java/locale/LocaleInformation_mk.properties,
	resource/gnu/java/locale/LocaleInformation_mr.properties,
	resource/gnu/java/locale/LocaleInformation_ms.properties,
	resource/gnu/java/locale/LocaleInformation_mt.properties,
	resource/gnu/java/locale/LocaleInformation_nb.properties,
	resource/gnu/java/locale/LocaleInformation_nl.properties,
	resource/gnu/java/locale/LocaleInformation_nn.properties,
	resource/gnu/java/locale/LocaleInformation_om.properties,
	resource/gnu/java/locale/LocaleInformation_pl.properties,
	resource/gnu/java/locale/LocaleInformation_ps.properties,
	resource/gnu/java/locale/LocaleInformation_pt.properties,
	resource/gnu/java/locale/LocaleInformation_pt_PT.properties,
	resource/gnu/java/locale/LocaleInformation_ro.properties,
	resource/gnu/java/locale/LocaleInformation_ru.properties,
	resource/gnu/java/locale/LocaleInformation_sk.properties,
	resource/gnu/java/locale/LocaleInformation_sl.properties,
	resource/gnu/java/locale/LocaleInformation_so.properties,
	resource/gnu/java/locale/LocaleInformation_sq.properties,
	resource/gnu/java/locale/LocaleInformation_sr.properties,
	resource/gnu/java/locale/LocaleInformation_sr_Latn.properties,
	resource/gnu/java/locale/LocaleInformation_sv.properties,
	resource/gnu/java/locale/LocaleInformation_sw.properties,
	resource/gnu/java/locale/LocaleInformation_ta.properties,
	resource/gnu/java/locale/LocaleInformation_te.properties,
	resource/gnu/java/locale/LocaleInformation_th.properties,
	resource/gnu/java/locale/LocaleInformation_tr.properties,
	resource/gnu/java/locale/LocaleInformation_uk.properties,
	resource/gnu/java/locale/LocaleInformation_uz.properties,
	resource/gnu/java/locale/LocaleInformation_vi.properties,
	resource/gnu/java/locale/LocaleInformation_zh.properties,
	resource/gnu/java/locale/LocaleInformation_zh_Hant.properties:
	Updated to use the new localized strings for currencies, languages,
	variants, territories, etc.

2006-03-18  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* gnu/regexp/REMatch.java(matchedCharIndexed): New field,
	(start, end): Added comment about the negative values of them,
	(finish): Saves the input text in matchedCharIndexed,
	(toString): If the start or end index is out of bounds of the
	matched text, get the substring from matchedCharIndexed.
	Added special handlings in case start/end index < -1,
	(getSubStartIndex, getStartIndex, getSubEndIndex, getEndIndex):
	Added special handlings in case start/end index < -1,
	* gnu/regexp/RETokenLookAhead.java(matchThis): Return the newly
	found match, but keep the index as the original match.
	* gnu/regexp/RETokenLookBehind.java(matchThis): Return the newly
	found match, but keep the index as the original match.
	* gnu/regexp/RETokenBackRef.java(matchThis): Added special handlings
	in case start/end index < -1.
	
2006-03-17  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/java/rmi/activation/ActivationSystemTransient.java (debug):
	Set to false. 	

2006-03-17  Robert Schuster  <robertschuster@fsfe.org>
  	 
	* javax/swing/text/DefaultCaret.java:
	(mouseClicked) Use setDot() and moveDot() instead of
	JTextComponent.select().

2006-03-17  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalComboBoxEditor.java
	(MetalComboBoxEditorBorder.paintBorder): Implemented special
	border painting for the Ocean theme.
	(MetalComboBoxEditor): Create editor directly instead of going
	to super.
	
2006-03-17  Roman Kennke  <kennke@aicas.com>

	* javax/swing/text/JTextComponent.java
	(JTextComponent): Make text components opaque.

2006-03-17  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalComboBoxUI.java
	(MetalComboBoxLayoutManager.layoutContainer): Forward to
	layoutComboBox().
	(MetalPropertyChangeListener.propertyChange): Update focusable
	flag according to the enable and editable state.
	(editablePropertyChanged): Removed unnecessary code.
	(getMinimumSize): Rewritten to correctly compute the
	size, respecting the insets of the components and the icon,
	the visual properties of the combobox, etc.
	(configureEditor): Update listeners correctly.
	(unconfigureEditor): Update listeners correctly.
	(layoutComboBox): Implemented.

2006-03-17  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalComboBoxEditor.java
	(MetalComboBoxEditorBorder): Made this a subclass of AbstractBorder
	instead of Flush3DBorder.
	(paintBorder): Fixed border painting.
	(editorBorderInsets): Fixed border's insets.

2006-03-17  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalComboBoxButton.java
	(rendererPane): Documented.
	(MetalComboBoxButton): Set enabled flag from ComboBox.
	Set focusable flag from ComboBox's enabled flag.
	(isFocusTraversable): Make button focus traversable if
	ComboBox is not editable but enable.
	(paintComponent): Fixed painting to correctly adjust
	the boxes of the renderer and button.

2006-03-17  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicButtonUI.java
	(installDefaults): Only install UI margin if installed margin.
	is null or a UIResource. 	 
	(uninstallDefaults): Only uninstall margin if it's 	 
	a UIResource. 	 
  	 
 2006-03-17  Robert Schuster  <robertschuster@fsfe.org> 	 
  	 
         * javax/swing/text/DefaultCaret.java: 	 
         (mouseClicked) Use setDot() and moveDot() instead of 	 
         JTextComponent.select(). 	 
 
2006-03-17  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/text/DefaultEditorKit.java: Refactored anonymous
	inner classes into package-private inner classes, added actions
	for caret movement and selection to the next and previous word
	and an action which selects the whole text.

2006-03-17  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* javax/swing/Spring.java: Uncomment springdebug methods and
	rename them toString.
	* javax/swing/SpringLayout.java: Likewise.

2006-03-17  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/text/FieldView.java:
	(viewToModel): Added call to adjust allocation area.

2006-03-17  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicComboBoxUI.java
	(mouseListener): Removed field.
	(buttonBackground): Removed field.
	(buttonShadow): Removed field.
	(buttonDarkShadow): Removed field.
	(buttonHighlight): Removed field.
	(BasicComboBoxUI): Initialize currentValuePane and cachedMinimumSize.
	(installUI): Initialize and configure renderer and editor here.
	(uninstallUI): Close popup before uninitializing.
	Message popup that we are uninitializing. Clear layout.
	(installDefaults): Install UI border. Don't install colors.
	(installListeners): Install listeners fetched from the popup.
	Remove handling of mouseListener.
	(uninstallDefaults): Uninstall border. Don't handle colors.
	(uninstallListeners): Don't handle mouseListener. Uninstall
	listener from the popup.
	(createMouseListener): Removed method.
	(createRenderer): Create UIResource.
	(installComponents): Cleaned up.
	(uninstallComponents): Only remove renderer when it is
	a UIResource.
	(addEditor): Remove editor before adding new one.
	Fetch editor from comboBox.
	(removeEditor): Only do something when editor != null. Unconfigure
	editor before removing.
	(configureEditor): Add key listener. Call comboBox.configureEditor.
	(unconfigureEditor): Removed key listener.
	(configureArrowButton): Only handle when arrowButton != null.
	Add mouse listeners to arrow button.
	(unconfigureArrowButton): Remove listeners.
	(createArrowButton): Don't handle colors here.
	(setPopupVisible): Don't handle focus here.
	(paint): Only paint when comboBox is not editable. Update
	hasFocus flag.
	(getPreferredSize): Implemented to be minimumSize + 4 pixels width.
	(getMinimumSize): Respect insets here.
	(getMaximumSize): Return preferredSize with width of 32767.
	(getInsets): Return ComboBox insets.
	(paintCurrentValue): Paint using currentValuePane.
	Install correct colors. Don't revalidate.
	(paintCurrentValueBackground): Implemented.
	(getDefaultSize): Reimplemented using a default renderer.
	(getDisplaySize): Reimplemented to use renderer.
	(ComboBoxLayoutManager.preferredLayoutSize): Forward to component.
	(ComboBoxLayoutManager.minimumLayoutSize): Forward to component.
	(ComboBoxLayoutManager.layoutContainer): Fixed layout.
	(FocusHandler.focusGained): Don't invalidate minimumSize.
	(FocusHandler.focusLost): Don't invalidate minimumSize.
	Only close popup if focus change is not temporary.
	(ItemHandler.itemStateChanged): Don't invalidate minimumSize.
	Reconfigure editor if not null.
	(ListDataHandler.contentsChanged): Revalidate and reconfigure
	editor if necessary.
	(ListDataHandler.intervalAdded): Fixed updating of the display size.
	(ListDataHandler.intervalRemoved): Forward to contentsChanged.
	(MouseHandler): Removed unnecessary class.

2006-03-17  Robert Schuster  <robertschuster@fsfe.org>

	* examples/gnu/classpath/examples/swing/Demo.java:
	(Demo): Set default closing operation to shutdown the runtime.

2006-03-17  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicComboPopup.java
	(BasicComboPopup): Create listeners here.
	Configure components here.
	(show): Correctly calculate bounds using computePopupBounds().
	Make scroller fixed-size. Removed special autocloser handling.
	(hide): Rewritten to use MenuSelectionHandler.
	(createList): Don't set selection mode here.
	(configureList): Correctly install colors and fonts and selectionMode.
	(createScroller): Set scrollpane policies.
	(configureScroller): Make scroller and scrollbar not-focusable.
	(configurePopup): Make popup opaque and borderPainted.
	(installComboBoxListeners): Don't install mouse listener on ComboBox.
	(delegateFocus): Implemented.
	(convertMouseEvent): Implemented.
	(updateListBoxSelectionForEvent): Implemented to also handle
	autoscrolling.
	(InvocationMouseHandler.mousePressed): Delegate focus correctly.
	Only open popup on left mouse-click.
	(InvocationMouseHandler.mouseReleased): Rewritten.
	(InvocationMouseMotionHandler.mouseDragged): Rewritten to better
	support autoscrolling.
	(ItemHandler.itemStateChanged): Implemented to sync selection with
	the comboBox.
	(ListMouseHandler.mouseReleased): Fetch selected index directly
	from list.
	(ListMouseMotionHandler.mouseMoved): Only update when mouse is inside
	the list box.
	(PropertyChangeHandler.propertyChange): Don't revalidate/repaint here.
	When model changes, then update listeners correctly.
	(uninstallListeners): Don't uninstall list listeners.
	(uninstallComboBoxListeners): Don't uninstall mouse listeners
	from comboBox.
	(syncSelection): New helper method.

2006-03-17  Robert Schuster  <robertschuster@fsfe.org>

	* javax/swing/text/PlainView.java:
	(drawLine): Rewritten.
	(drawSelectedText): Corrected last argument for
	Utilities.drawTabbedText() call.
	(paint): Store start and end of selection in object variables,
	store constant values of for-loop in local variables.
	* javax/swing/text/Utilities.java:
	(drawTabbedText): Add 'pixelWidth' to the return value, store
	constant value of for-loop in local variable.

2006-03-17  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicComboPopup.java
	(BasicComboPopup): Create listeners here.
	Configure components here.
	(show): Correctly calculate bounds using computePopupBounds().
	Make scroller fixed-size. Removed special autocloser handling.
	(hide): Rewritten to use MenuSelectionHandler.
	(createList): Don't set selection mode here.
	(configureList): Correctly install colors and fonts and selectionMode.
	(createScroller): Set scrollpane policies.
	(configureScroller): Make scroller and scrollbar not-focusable.
	(configurePopup): Make popup opaque and borderPainted.
	(installComboBoxListeners): Don't install mouse listener on ComboBox.
	(delegateFocus): Implemented.
	(convertMouseEvent): Implemented.
	(updateListBoxSelectionForEvent): Implemented to also handle
	autoscrolling.
	(InvocationMouseHandler.mousePressed): Delegate focus correctly.
	Only open popup on left mouse-click.
	(InvocationMouseHandler.mouseReleased): Rewritten.
	(InvocationMouseMotionHandler.mouseDragged): Rewritten to better
	support autoscrolling.
	(ItemHandler.itemStateChanged): Implemented to sync selection with
	the comboBox.
	(ListMouseHandler.mouseReleased): Fetch selected index directly
	from list.
	(ListMouseMotionHandler.mouseMoved): Only update when mouse is inside
	the list box.
	(PropertyChangeHandler.propertyChange): Don't revalidate/repaint here.
	When model changes, then update listeners correctly.
	(uninstallListeners): Don't uninstall list listeners.
	(uninstallComboBoxListeners): Don't uninstall mouse listeners
	from comboBox.
	(syncSelection): New helper method.

2006-03-17  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicComboBoxRenderer.java
	(noFocusBorder): Make border with insets of (1,1,1,1).
	(BasicComboBoxRenderer): Make renderer opaque.
	No need to explicitly set alignment.
	(getListCellRendererComponent): Rewritten to correctly initialize
	color and font.

2006-03-17  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JPopupMenu.java
	(setVisible): Handle JPopupMenu opening and closing via
	the MenuSelectionHandler.

2006-03-17  Wolfgang Baer  <WBaer@gmx.de>

	* org/omg/DynamicAny/DynAnyPackage/InvalidValue.java: Now final.
	* org/omg/DynamicAny/DynAnyPackage/TypeMismatch.java: Likewise.
	* org/omg/DynamicAny/DynAnyFactoryPackage/InconsistentTypeCode.java: 
	Likewise.	
	* org/omg/CORBA/portable/RemarshalException.java: Likewise
	* org/omg/CORBA/TypeCodePackage/BadKind.java: Likewise.
	* org/omg/CORBA/TypeCodePackage/Bounds.java: Likewise.
	* org/omg/CORBA/ORBPackage/InvalidName.java: Likewise.
	* org/omg/CORBA/ORBPackage/InconsistentTypeCode.java: Likewise.
	* org/omg/CORBA/DynAnyPackage/TypeMismatch.java: Likewise.
	* org/omg/CORBA/DynAnyPackage/InvalidValue.java: Likewise.
	* org/omg/CORBA/DynAnyPackage/InvalidSeq.java: Likewise.
	* org/omg/CORBA/DynAnyPackage/Invalid.java: Likewise.
	* org/omg/Dynamic/Parameter.java: Now final, javadoc fixes.

2006-03-17  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* java/rmi/activation/Activatable.java: Implemented.
	java/rmi/activation/ActivationDesc.java: Implemented.
	java/rmi/activation/ActivationGroup.java: Implemented.
	java/rmi/activation/ActivationGroupDesc.java: Implemented.
	java/rmi/activation/ActivationID.java: Implemented.
	java/rmi/activation/ActivationSystem.java: Implemented.
	* gnu/java/rmi/server/UnicastServerRef.java 
	(exportObject, incommingMessageCall): Documented.
	* java/rmi/activation/package.html: Documented.
	* java/rmi/server/ObjID.java (objNum, space): Made package
	protected.
	* gnu/java/rmi/server/UnicastServer.java: Rewritten.
	* gnu/java/rmi/server/CombinedClassLoader.java (constructor):
	Iteration bug fix.
	* gnu/java/rmi/activation/ActivationSystemTransient.java: New file.
	gnu/java/rmi/activation/BidiTable.java: New file.
	gnu/java/rmi/activation/DefaultActivationGroup.java: New file.
	gnu/java/rmi/activation/DefaultActivationSystem.java: New file.
	gnu/java/rmi/server/ActivatableServerRef.java: New file.

2006-03-17  Mark Wielaard  <mark@klomp.org>

	* java/security/BasicPermission.java (BasicPermission): Check
	name equals empty string to force NullPointerException.

2006-03-16  Thomas Fitzsimmons  <fitzsim@redhat.com>

	PR classpath/26606
	Commit patch by Caolan McNamara  <caolanm@redhat.com>
	* javax/swing/Spring.java: Complete implementation
	* javax/swing/SpringLayout.java: Likewise.

2006-03-16  Keith Seitz  <keiths@redhat.com>

	* gnu/classpath/jdwp/Jdwp.java (_mainThread): Not needed. Removed
	all references.
	(run): Remove catch clause for InterruptedException. It is no
	longer necessary.

2006-03-16  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontPeer.c
	(getFontMetrics): Handle monospaced fonts specially.

2006-03-16  Keith Seitz  <keiths@redhat.com>

	* gnu/classpath/jdwp/Jdwp.java (getJdwpThreadGroup): New method.
	* vm/reference/gnu/classpath/jdwp/VMVirtualMachine.java
	(suspendAllThreads): Use Jdwp.getJdwpThreadGroup.
	Don't suspend the current thread unless it is not part of the JDWP
	thread group.

2006-03-16  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GdkFontMetrics.java (getLeading): Always
	return 0.
	* gnu/java/awt/peer/gtk/GdkFontPeer.java (getFontMetrics): Get
	font metrics through toolkit.
	* gnu/java/awt/peer/gtk/GdkGraphics.java (getFontMetrics):
	Likewise.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontPeer.c
	(getFontMetrics): To calculate Java logical ascent and descent
	values, average Pango ink and logical values.

2006-03-16  Anthony Balkissoon  <abalkiss@redhat.com>

	* java/lang/Character.java: Updated header comment.

2006-03-16  Tom Tromey  <tromey@redhat.com>

	* javax/sound/sampled/AudioSystem.java (getAudioFileFormat): New
	constructor.
	* javax/sound/sampled/FloatControl.java: Now abstract.
	* javax/sound/sampled/EnumControl.java: Now abstract.
	* javax/sound/sampled/CompoundControl.java: Now abstract.
	* javax/sound/sampled/BooleanControl.java: Now abstract.

2006-03-16  Tom Tromey  <tromey@redhat.com>

	* java/awt/image/ConvolveOp.java (getBounds2D): Now final.

2006-03-16  Roman Kennke  <kennke@aicas.com>

	* java/util/zip/ZipFile.java
	(openFile): New helper method.
	(ZipFile): Use new openFile method to ensure the proper
	exception is thrown. This applies for all overloaded constructors.

2006-03-16  Roman Kennke  <kennke@aicas.com>

	* java/text/DateFormatSymbols.java
	(setAmPmStrings): Added null check and throw NPE.
	(setEras): Likewise.
	(setLocalPatternChars): Likewise.
	(setMonths): Likewise.
	(setShortMonths): Likewise.
	(setShortWeekdays): Likewise.
	(setWeekdays): Likewise.
	(setZoneStrings): Likewise.

2006-03-16  Roman Kennke  <kennke@aicas.com>

	* javax/swing/DefaultDesktopManager.java
	(iconifyFrame): Repaint after removing the frame.
	(removeIconFor): Repaint after removing the icon.

2006-03-16  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JInternalFrame.java
	(remove): Respect the rootPaneCheckingEnabled flag here.

2006-03-16  Roman Kennke  <kennke@aicas.com>

	* gnu/javax/swing/plaf/gnu/GNULookAndFeel.java
	Moved from examples into gnu.javax.swing.. namespace.
	* examples/gnu/classpath/examples/swing/GNULookAndFeel.java
	Moved to gnu.javax.swing.. namespace.
	* examples/gnu/classpath/examples/swing/Demo.java:
	(themesMenu): New field. Used to disable theme switch in
	non-Metal-L&Fs.
	(mkMenuBar): Added L&F menu.
	(ChangeThemeAction.actionPerformed): Only switch theme when
	in Metal L&F.
	(ChangeLAFAction): New class used for changing themes.
	* javax/swing/UIManager.java
	(installed): Added GNU L&F as installed L&F.

2006-03-16  Mark Wielaard  <mark@klomp.org>

	* examples/gnu/classpath/examples/swing/badge.png: Removed.
	* examples/gnu/classpath/examples/icons/badge.png: Added.
	* examples/gnu/classpath/examples/swing/DemoDesktop.java: Use badge
	from icon directory.

2006-03-15  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* examples/gnu/classpath/examples/awt/AnimationApplet.java: New
	example.
	* examples/gnu/classpath/examples/swing/FillRect.java: Likewise.
	* examples/gnu/classpath/examples/awt/Demo.java: Add
	AnimationApplet demo.
	* examples/gnu/classpath/examples/swing/Demo.java: Add FillRect
	demo.

2006-03-15  Thomas Fitzsimmons  <fitzsim@redhat.com>

	PR classpath/26486
	* gnu/java/awt/peer/gtk/GtkCanvasPeer.java (getGraphics): Remove
	method.
	(handleEvent): Likewise.
	* gnu/java/awt/peer/gtk/GtkComponentPeer.java (isInRepaint):
	Remove field.
	(beginNativeRepaint): Remove method.
	(endNativeRepaint): Likewise.
	(handleEvent): Call paintComponent and updateComponent.
	(paintComponent): New method.
	(updateComponent): Likewise.
	(repaint): Return early if width or height is less than one.
	(postExposeEvent): Remove isInRepaint reference.
	* gnu/java/awt/peer/gtk/GtkContainerPeer.java: (getGraphics):
	Remove method.
	* gnu/java/awt/peer/gtk/GtkDialogPeer.java (getGraphics): Inherit
	from GtkWindowPeer.
	(postMouseEvent): Likewise.
	(postExposeEvent): Likewise.
	* gnu/java/awt/peer/gtk/GtkFileDialogPeer.java (updateComponent):
	Override to do nothing.
	* gnu/java/awt/peer/gtk/GtkFramePeer.java (getGraphics): Inherit
	from GtkWindowPeer.
	(postMouseEvent): Likewise.
	(postExposeEvent): Likewise.
	* gnu/java/awt/peer/gtk/GtkPanelPeer.java (handleEvent): Inherit
	paint and update handling from GtkComponentPeer.
	(updateComponent): Override to call paintComponent.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c: Replace
	gdk_flush calls with schedule_flush calls.
	(flush): New function.
	(schedule_flush): Likewise.

2006-03-15  Tom Tromey  <tromey@redhat.com>

	* java/beans/beancontext/BeanContextSupport.java (BCSChild): New
	constructor.
	(BCSIterator): Likewise.
	* java/beans/beancontext/BeanContextServicesSupport.java (BCSSChild):
	New constructor.
	(BCSSProxyServiceProvider): Likewise.
	(BCSSServiceProvider): Likewise.

2006-03-15  Tom Tromey  <tromey@redhat.com>

	* javax/sound/midi/Track.java (Track): New constructor.
	(events): Now package-private.
	* javax/sound/midi/MidiUnavailableException.java
	(MidiUnavailableException): Removed invalid constructors.
	* javax/sound/midi/MidiSystem.java (MidiSystem): New constructor.
	* javax/sound/midi/InvalidMidiDataException.java
	(InvalidMidiDataException): Removed invalid constructors.
	* javax/sound/midi/Sequencer.java (hashCode): Now final.
	* javax/sound/midi/SysexMessage.java (SysexMessage): Now protected.
	* javax/sound/midi/ShortMessage.java (ShortMessage): Now protected.
	(SYSTEM_EXCLUSIVE): Removed.
	(getDataLength): Updated.
	* javax/sound/midi/MidiDevice.java (Info): Now protected.
	(equals): Now final
	(getName): Now final.
	(getVendor): Now final.
	(getDescription): Likewise.
	(hashCode): Likewise.
	(getVersion): Likewise.
	(toString): Likewise.
	* javax/sound/midi/MetaMessage.java (MetaMessage): Now protected.
	* javax/sound/sampled/ReverbType.java (getDecayTime): Now final.
	(getEarlyReflectionDelay): Likewise.
	(getEarlyReflectionIntensity): Likewise.
	(getLateReflectionDelay): Likewise.
	(getLateReflectionIntensity): Likewise.
	(toString): Likewise.
	* javax/sound/sampled/Port.java (toString): Now final.
	* javax/sound/sampled/LineEvent.java (getFramePosition): Now final.
	(getLine): Likewise.
	(getType): Likewise.
	* javax/sound/sampled/Mixer.java (Info): Now protected.
	(getDescription): Now final.
	(getName): Likewise.
	(getVendor): Likewise.
	(getVersion): Likewise.
	(toString): Likewise.
	* javax/sound/sampled/Control.java: Now abstract.
	(Type.toString): Now final.

2006-03-15  Keith Seitz  <keiths@redhat.com>

	* gnu/classpath/jdwp/util/LineTable.java (lines): Remove all occurances
	of this redundant variable.
	(LineTable): Assert that the number of line numbers and the number of
	code indicies is the same.

2006-03-15  Tom Tromey  <tromey@redhat.com>

	* javax/imageio/stream/ImageOutputStreamImpl.java (flushBits): Now
	final.
	* javax/imageio/stream/ImageOutputStream.java (flushBefore): Javadoc
	fix.
	* java/util/zip/ZipFile.java (ENDNRD): New constant.
	* java/util/zip/ZipConstants.java (ENDNRD, ENDDCD): Removed.
	* java/util/zip/Inflater.java (end): Not deprecated.
	* java/util/zip/Deflater.java (end): Not deprecated.
	* java/text/Bidi.java (Bidi): Now final.
	* java/nio/MappedByteBuffer.java (finalize): Now protected.

2006-03-15  Keith Seitz  <keiths@redhat.com>

	* gnu/classpath/jdwp/util/Location.java: Rewrite using VMMethod.
	(Location): Index is a long, not an int.
	(getMethod): New method.
	(getIndex): New method.
	(toString): New method.

2006-03-15  Tom Tromey  <tromey@redhat.com>

	* java/awt/image/RescaleOp.java (getRenderingHints): Now final.
	* java/awt/image/LookupOp.java (filter): Now final.
	(getBounds2D): Likewise.
	(getPoint2D): Likewise.
	(getTable): Likewise.
	(getRenderingHints): Likewise.
	* java/awt/image/ConvolveOp.java (filter): Now final.
	(getBounds2D): Likewise.
	(getKernel): Likewise.
	(getPoint2D): Likewise.
	(getRenderingHints): Likewise.
	* java/awt/image/BandCombineOp.java (getPoint2D): Now final.
	(getMatrix): Likewise.
	(getBounds2D): Likewise.
	(getRenderingHints): Likewise.
	* java/awt/image/AffineTransformOp.java (getPoint2D): Now final.
	* java/awt/Button.java (AccessibleAWTButton.serialVersionUID): Now
	private.
	* java/awt/dnd/DropTargetContext.java (TransferableProxy): Now
	protected.
	* java/awt/dnd/DropTarget.java (DropTargetAutoScroller): Now
	protected.
	* java/awt/MenuItem.java (AccessibleAWTMenuItem): Now protected.

2006-03-15  Keith Seitz  <keiths@redhat.com>

	* gnu/classpath/jdwp/event/filters/LocationOnlyFilter.java:
	Update javadoc.
	(matches): Implement.

2006-03-15  Keith Seitz  <keiths@redhat.com>

	* gnu/classpath/jdwp/event/BreakpointEvent.java: New file.
	
	* gnu/classpath/jdwp/exception/NativeMethodException.java: New file.

2006-03-15  Tom Tromey  <tromey@redhat.com>

	* java/lang/StrictMath.java (signum): New methods.

2006-03-15  Tom Tromey  <tromey@redhat.com>

	* .settings/org.eclipse.jdt.core.prefs: Set tabs to 8 spaces.

2006-03-15  Lillian Angel  <langel@redhat.com>

	PR classpath/24211
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c
	(Java_gnu_java_awt_peer_gtk_GdkGraphics2D_cairoSurfaceSetFilterUnlocked):
	Added check to avoid segmentation fault.

2006-03-15  Lillian Angel  <langel@redhat.com>

	* java/awt/Container.java
	(getComponentAt): Fixed documentation.
	(getComponentAt): Likewise.

2006-03-15  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JComponent.java
	(dragBuffer): New field.
	(dragBufferInitialized): New field.
	(paint): Added facility for buffered dragging of components.
	(initializeDragBuffer): New method.
	(getConditionForKeyStroke): Removed deprecated flag. Adjusted
	API docs.
	* javax/swing/plaf/basic/BasicInternalFrameUI.java
	(BorderListener.mouseDragged): Turn on buffered dragging.
	(BorderListener.mouseReleased): Turn off buffered dragging.

2006-03-15  Lillian Angel  <langel@redhat.com>

	* java/awt/Container.java
	(getComponentAt): Fixed documentation.
	(getComponentAt): Likewise.
	(findComponentAt): Likewise.
	(findComponentAt): Likewise.

2006-03-15  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicInternalFrameTitlePane.java
	(PropertyChangeHandler.propertyChange): Call enableActions().
	Fixed 'iconable' property name.

2006-03-15  Chris Burdess  <dog@gnu.org>

	Fixes PR 26700
	* gnu/xml/stream/XMLParser.java: Fix for detectEncoding false positive.

2006-03-15  Roman Kennke  <kennke@aicas.com>

	* examples/gnu/classpath/examples/swing/Demo.java:
	(desktop): New field.
	(mkMenuBar): Added new subdemos.
	(mkButtonWorld): Removed.
	(CheckCellRenderer): Moved to ListDemo.
	(LabelCellRenderer): Moved to ListDemo.
	(mkTreeWorld): Moved to TreeDemo.
	(mkDesktopWorld): Removed.
	(mkTabWorld): Moved to TabbedPaneDemo.
	(mkTabbedPane): Removed.
	(Demo): Replaced 'worlds' tabbed pane with desktop.
	(PopupAction): Made class non-static.
	(PopupAction.actionPerformed): Bring up subdemos in internal
	frame.
	(mkButtonBar): Added new demos.
	(createDesktop): New method.
	* examples/gnu/classpath/examples/swing/DemoDesktop.java: New class.
	* examples/gnu/classpath/examples/swing/ListDemo.java: New demo.
	* examples/gnu/classpath/examples/swing/TreeDemo.java: New demo.
	* examples/gnu/classpath/examples/swing/TabbedPaneDemo.java: New demo.
	* examples/gnu/classpath/examples/swing/badge.png: New image file.

2006-03-15  Lillian Angel  <langel@redhat.com>
	
	* java/awt/Container.java
	(getComponentAt): Fixed mistake in comments.
	(getComponentAt): Likewise.
	(locate): Likewise. Also, handled lightweight components.
	Heavyweights take precedence over lightweights, so we should
	iterate through the heavyweights first.

2006-03-15  Lillian Angel  <langel@redhat.com>

	* java/awt/Container.java
	(getComponentAt): Added API documentation.
	(getComponentAt): Likewise.
	(locate): Likewise. Also, removed lines to ignore
	invisible components.
	(findComponentAt): Added API documentation.
	(findComponentAt): Added API documentation.
	(findComponentForMouseEvent): Removed, never used.

2006-03-15  Roman Kennke  <kennke@aicas.com>

	* javax/swing/Popup.java
	(LightweightPopup.show): Repaint the panel after showing it.

2006-03-15  Lillian Angel  <langel@redhat.com>

	* java/awt/Component.java
	(show): repaint should only be called if the component
	isShowing and isLightweight.

2006-03-15  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JInternalFrame.java
	(setClosable): Made this property bound.
	(setResizable): Made this property bound.
	(setIconifiable): Made this property bound.
	(setMaximizable): Made this property bound.

2006-03-15  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/table/TableColumn.java
	(sizeWidthToFit): Implemented.

2006-03-15  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/table/TableColumn.java: API docs updated all over, plus
	(setIdentifier): Fire required PropertyChangeEvent,
	(setCellEditor): Likewise.

2006-03-15  Roman Kennke  <kennke@aicas.com>

	* examples/gnu/classpath/examples/swing/ButtonDemo.java,
	* examples/gnu/classpath/examples/swing/ComboBoxDemo.java,
	* examples/gnu/classpath/examples/swing/FileChooserDemo.java,
	* examples/gnu/classpath/examples/swing/ProgressBarDemo.java,
	* examples/gnu/classpath/examples/swing/ScrollBarDemo.java,
	* examples/gnu/classpath/examples/swing/SliderDemo.java,
	* examples/gnu/classpath/examples/swing/SpinnerDemo.java,
	* examples/gnu/classpath/examples/swing/TableDemo.java,
	* examples/gnu/classpath/examples/swing/TextAreaDemo.java,
	* examples/gnu/classpath/examples/swing/TextFieldDemo.java:
	Reworked to implemented DemoFactory and lazy loading of Sub-demos.
	* examples/gnu/classpath/examples/swing/Demo.java:
	Cleaned up. Reworked handling of Sub-demos to load lazily.
	* examples/gnu/classpath/examples/swing/DemoFactory.java:
	New interface. Used for loading the subdemos lazily.

2006-03-15  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicToolBarUI.java
	(PropertyListener.propertyChange): Added null check to avoid NPE.

2006-03-14  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/table/TableColumn.java
	(COLUMN_WIDTH_PROPERTY): Updated API docs,
	(width): Likewise.
	(minWidth): Likewise,
	(preferredWidth): Likewise,
	(maxWidth): Likewise,
	(headerRenderer): Likewise,
	(cellRenderer): Likewise,
	(cellEditor): Likewise,
	(changeSupport): Likewise,
	(firePropertyChange(String, Object, Object)): Removed,
	(firePropertyChange(String, int. int)): Likewise,
	(firePropertyChange(String, boolean, boolean)): Likewise,
	(setModelIndex): Fire property change,
	(setHeaderValue): Call changeSupport directly to generate event,
	(setHeaderRenderer): Likewise,
	(setCellRenderer): Likewise,
	(setWidth): Likewise,
	(setPreferredWidth): Likewise,
	(setMinWidth): Likewise,
	(setMaxWidth): Likewise,
	(createDefaultHeaderRenderer): Added API docs.

2006-03-14  Roman Kennke  <kennke@aicas.com>

	* examples/gnu/classpath/examples/swing/Demo.java
	Removed static initializer.
	(mkMenuBar): Made method non-static. Added themes menu.
	(ChangeThemeAction): New inner class, used to change themes.

2006-03-14  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/table/TableColumn.java
	(setMaxWidth): Updated width and preferredWidth if necessary,
	(getMaxWidth): Updated API docs.

2006-03-14  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicSliderUI.java
	(TrackListener.mouseDragged): Only process event when slider is
	enabled.
	(TrackListener.mouseReleased): Only process event when slider is
	enabled.
	(TrackListener.mousePressed): Only process event when slider is
	enabled.

2006-03-14  Roman Kennke  <kennke@aicas.com>

	* NEWS: Added note about OceanTheme support.

2006-03-14  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalIconFactory.java
	(HorizontalSliderThumbIcon.gradientMask): New field
	(HorizontalSliderThumbIcon.paintIcon): Added support for the
	OceanTheme.
	(VerticalSliderThumbIcon.gradientMask): New field
	(VerticalSliderThumbIcon.paintIcon): Added support for the
	OceanTheme.
	* javax/swing/plaf/metal/MetalUtils.java
	(paintHorizontalGradient): Fixed painting of 'masked' gradients.
	(paintVerticalGradient): Fixed painting of 'masked' gradients.

2006-03-14  Mark Wielaard  <mark@klomp.org>

	Fixes bug #26641
	* java/awt/LightweightDispatcher.java (dispatchEvent): Return result
	of handleMouseEvent.
	(handleMouseEvent): Return boolean to indicate whether we handled the
	event by passing it to a lightweight.

2006-03-14  Wolfgang Baer  <WBaer@gmx.de>

	* org/omg/PortableInterceptor/ORBInitInfoPackage/ObjectIdHelper.java,
	* org/omg/PortableServer/ServantActivatorPOA.java,
	* org/omg/PortableServer/ServantLocatorPOA.java: 
	Make class abstract and minor api docs fixlets.
	* org/omg/PortableServer/ForwardRequest.java, 
	* org/omg/PortableServer/ServantLocatorPackage/CookieHolder.java, 
	* org/omg/PortableServer/POAPackage/AdapterAlreadyExists.java, 
	* org/omg/PortableServer/POAPackage/AdapterNonExistent.java, 
	* org/omg/PortableServer/POAPackage/InvalidPolicy.java, 
	* org/omg/PortableServer/POAPackage/NoServant.java, 
	* org/omg/PortableServer/POAPackage/ObjectAlreadyActive.java, 
	* org/omg/PortableServer/POAPackage/ObjectNotActive.java, 
	* org/omg/PortableServer/POAPackage/ServantAlreadyActive.java, 
	* org/omg/PortableServer/POAPackage/ServantNotActive.java, 
	* org/omg/PortableServer/POAPackage/WrongAdapter.java, 
	* org/omg/PortableServer/POAPackage/WrongPolicy.java, 
	* org/omg/PortableServer/POAManagerPackage/AdapterInactive.java, 
	* org/omg/PortableInterceptor/ORBInitInfoPackage/InvalidName.java,
	* org/omg/PortableInterceptor/ORBInitInfoPackage/DuplicateName.java,
	* org/omg/PortableServer/CurrentPackage/NoContext.java: Make class final.

2006-03-14  Wolfgang Baer  <WBaer@gmx.de>

	* NEWS: Added entry about printing support.

2006-03-14  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/table/TableColumn.java
	(COLUMN_WIDTH_PROPERTY): Updated API docs,
	(isResizable): Likewise,
	(setWidth): Likewise,
	(getWidth): Likewise,
	(setPreferredWidth): Likewise,
	(getPreferredWidth): Likewise,
	(setMinWidth): Check for negative argument and update width and 
	preferredWidth if necessary,
	(getMinWidth): Updated API docs.

2006-03-14  Lillian Angel  <langel@redhat.com>
	
	* java/awt/Container.java
	(addImpl): Removed call to repaint. No need to repaint here.

2006-03-14  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalSliderUI.java
	(paintTrack): Added OceanTheme support.

2006-03-14  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/table/TableColumn.java
	(setResizable): Fire PropertyChangeEvent if the flag value changes,
	(isResizable): Updated API docs.

2006-03-14  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/LookAndFeel.java: Updated API docs.

2006-03-14  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalUtils.java
	(paintGradient): Added support for 'masked' gradients.
	(paintHorizontalGradient): Likewise.
	(paintVerticalGradient): Likewise.
	* javax/swing/plaf/metal/MetalIconFactory.java
	(RadioButtonIcon.gradientMask): New field.
	(RadioButtonIcon.paintIcon): Added mask for gradient painting.

2006-03-14  Mark Wielaard  <mark@klomp.org>

	Fixes bug #26645.
	* javax/swing/plaf/basic/BasicComboBoxEditor.java (listener):
	New field.
	(removeActionListener): Add listener to ComboBoxEditorListener.
	(removeActionListener): Remove listener from ComboBoxEditorListener.
	(ComboBoxEditorListener): New static helper class.

2006-03-14  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalBorders.java
	(getToolBarButtonBorder): Don't create a UIResource border
	here.
	* javax/swing/plaf/metal/MetalToolBarUI.java
	(installUI): New overridden method. Installs the rollover property.
	(uninstallUI): New overridden method. Resets the rollover property.
	* javax/swing/plaf/metal/MetalUtils.java
	(paintGradient): Fetch Float values from the UIManager. Adjusted
	method signatures accordingly.
	(paintHorizontalGradient): Adjusted signature to accept float
	instead of double.
	(paintVerticalGradient): Adjusted signature to accept float
	instead of double.
	* javax/swing/plaf/metal/OceanTheme.java
	(addCustomEntriesToTable): Added missing UIDefaults entries,
	except of Icons. Fixed gradient entries to use Float instead
	of Double.

2006-03-14  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JInternalFrame.java
	(JInternalFrame): Make JInternalFrame opaque.
	* javax/swing/JToolBarFrame.java
	(JToolBar): Make JToolBar opaque.

2006-03-14  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/tree/TreeNode.java: Fixed bad API doc tags,
	* javax/swing/tree/TreePath.java: Likewise.

2006-03-13  Keith Seitz  <keiths@redhat.com>

	* gnu/classpath/jdwp/processor/ReferenceTypeCommandSet.java
	(executeMethods): Output number of methods.

2006-03-13  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicButtonUI.java
	(uninstallDefaults): Only uninstall border if it's a UIResource.
	* javax/swing/plaf/basic/BasicInternalFrameTitlePane.java
	(SystemMenuBar.isFocusTraversable): Fixed typo in signature.
	* javax/swing/plaf/basic/BasicInternalFrameUI.java
	(installUI): Don't touch the opaque flag of the glassPane and
	the frame. Don't invalidate.
	* javax/swing/plaf/basic/BasicInternalFrameUI.java
	(installUI): Don't touch the opaque flag of the glassPane.
	* javax/swing/plaf/basic/BasicMenuBarUI.java
	(properyChangeListener): Made field private.
	(ChangeHandler): Made class private.
	(ContainerHandler): Made class private.
	(PropertyChangeHandler): Made class private.
	* javax/swing/plaf/basic/BasicMenuUI.java
	(MenuHandler): Made class private.
	(PropertyChangeHandler): Removed unneeded class.
	(MenuDragMouseHandler): Made class private.
	(MenuKeyHandler): Made class private.
	* javax/swing/plaf/basic/BasicPanelUI.java
	(installDefaults): Made method protected. Don't set opaque
	flag.
	* javax/swing/plaf/basic/BasicScrollBarUI.java
	(TrackListener.shouldScroll): Made method private.
	* javax/swing/plaf/basic/BasicSplitPaneUI.java
	(BasicHorizontalLayoutManager.BasicHorizontalLayoutManager):
	Made constructor package private.
	* javax/swing/plaf/basic/BasicTableHeaderUI.java
	(cellBorder): Made field private.
	* javax/swing/plaf/basic/BasicTextUI.java
	(installDefaults): Don't make component opaque.
	* javax/swing/plaf/basic/BasicToolBarUI.java
	(createNonRollOverBorder): Don't create UIResource border.
	(createRollOverBorder): Don't create UIResource border.
	(installComponents): Moved setRolloverBorders call here.
	(installDefaults): Moved setRolloverBorders call from here.
	(installUI): Don't make toolbar opaque.
	(setBorderToNonRollover): Handle AbstractButton instead of
	JButton here.
	(uninstallComponents): Don't nullify class fields here.

2006-03-13  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/SwingUtilities.java
	(calculateInnerArea): handle null component, and replace 
	getLocalBounds() with getBounds(Rectangle) to avoid unnecessary object
	creation.

2006-03-13  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JColorChooser.java
	(updateUI): Don't call revalidate().
	* javax/swing/JComboBox.java
	(updateUI): Don't call invalidate().
	* javax/swing/JDesktopPane.java
	(updateUI): Don't call invalidate().
	* javax/swing/JFileChooser.java
	(updateUI): Don't call revalidate().
	* javax/swing/JMenu.java
	(updateUI): Don't call invalidate().
	* javax/swing/JMenuBar.java
	(updateUI): Don't call invalidate().
	* javax/swing/JMenuItem.java
	(updateUI): Don't call invalidate().
	* javax/swing/JOptionPane.java
	(updateUI): Don't call invalidate().
	* javax/swing/JPopupMenu.java
	(updateUI): Don't call invalidate().
	* javax/swing/JProgressBar.java
	(updateUI): Don't call invalidate().
	* javax/swing/JScrollBar.java
	(updateUI): Don't call invalidate() and repaint().
	* javax/swing/JScrollPane.java
	(updateUI): Rewritten to be like the other updateUI()
	methods.
	* javax/swing/JSlider.java
	(updateUI): Don't call invalidate() and repaint().
	* javax/swing/JSplitPane.java
	(updateUI): Don't call invalidate() and repaint().
	* javax/swing/JTabbedPane.java
	(updateUI): Don't call invalidate().
	* javax/swing/JTable.java
	(updateUI): Don't call revalidate() and repaint().
	* javax/swing/JToolBar.java
	(updateUI): Don't call revalidate() and repaint().
	* javax/swing/JToolTip.java
	(updateUI): Don't call revalidate() and repaint().

2006-03-13  Roman Kennke  <kennke@aicas.com>

	* javax/swing/SwingUtilities.java
	(updateComponentTreeUI): Rewritten to be more robust. Handling of
	menus and non-Swing components is improved.
	(updateComponentTreeUIImpl): New helper method.
	(replaceUIActionMap): Added check for uiActionMap==parent to
	avoid loop.
	(replaceUIInputMap): Added check for uiInputMap==parent to
	avoid loop.

2006-03-13  Wolfgang Baer  <WBaer@gmx.de>

	* gnu/classpath/debug/Component.java: 
	(IPP) New component for IPP debugging. 
	(EVERYTHING): Adapted to include IPP.
	* javax/print/PrintServiceLookup.java: 
	(registerServiceProvider): New method.
	(registerService): Likewise.
	(lookupPrintServices): Likewise.
	(lookupMultiDocPrintServices): Likewise.
	(lookupDefaultPrintService): Likewise.
	(static_initializer): Likewise.
	(printServiceLookups): New field for found service providers.
	(printServices): New field for application registered providers.
	(systemProvider): New field for the system provider.	
	* javax/print/ServiceUI.java: New file.	
	* javax/print/package.html: Added more usage content.
	* javax/print/event/package.html: Likewise.
	* javax/print/attribute/package.html: Likewise.
	* javax/print/attribute/standard/package.html: Likewise.
	* gnu/javax/print/PrintUriException.java,
	gnu/javax/print/PrintFlavorException.java,
	gnu/javax/print/PrinterDialog.java,
	gnu/javax/print/PrintAttributeException.java,
	gnu/javax/print/CupsPrintServiceLookup.java,
	gnu/javax/print/CupsServer.java,
	gnu/javax/print/CupsPrintService.java,
	gnu/javax/print/CupsMediaMapping.java,
	gnu/javax/print/CupsIppOperation.java:
	New implementation files of the Java Print Service API.
	* gnu/javax/print/ipp/IppValueTag.java,
	gnu/javax/print/ipp/MultiDocPrintJobImpl.java,
	gnu/javax/print/ipp/IppStatusCode.java,
	gnu/javax/print/ipp/IppUtilities.java,
	gnu/javax/print/ipp/IppResponse.java,
	gnu/javax/print/ipp/IppException.java,
	gnu/javax/print/ipp/IppPrintService.java,
	gnu/javax/print/ipp/IppRequest.java,
	gnu/javax/print/ipp/IppMultiDocPrintService.java,
	gnu/javax/print/ipp/IppDelimiterTag.java,
	gnu/javax/print/ipp/DocPrintJobImpl.java:
	New files of the IPP client implementation.
	* gnu/javax/print/ipp/attribute/UnknownAttribute.java,
	gnu/javax/print/ipp/attribute/StatusMessage.java,
	gnu/javax/print/ipp/attribute/RequestedAttributes.java,
	gnu/javax/print/ipp/attribute/NaturalLanguageSyntax.java,
	gnu/javax/print/ipp/attribute/DocumentAccessError.java,
	gnu/javax/print/ipp/attribute/DetailedStatusMessage.java,
	gnu/javax/print/ipp/attribute/DefaultValueAttribute.java,
	gnu/javax/print/ipp/attribute/CharsetSyntax.java: 
	New attribute syntax/role files of the printing implementation.
	* gnu/javax/print/ipp/attribute/supported/UriSecuritySupported.java,
	gnu/javax/print/ipp/attribute/supported/UriAuthenticationSupported.java,
	gnu/javax/print/ipp/attribute/supported/SidesSupported.java,
	gnu/javax/print/ipp/attribute/supported/PrintQualitySupported.java,
	gnu/javax/print/ipp/attribute/supported/PrinterUriSupported.java,
	gnu/javax/print/ipp/attribute/supported/PrinterResolutionSupported.java,
	gnu/javax/print/ipp/attribute/supported/PageRangesSupported.java,
	gnu/javax/print/ipp/attribute/supported/
	OrientationRequestedSupported.java, 
	gnu/javax/print/ipp/attribute/supported/OperationsSupported.java,
	gnu/javax/print/ipp/attribute/supported/
	MultipleDocumentHandlingSupported.java, 
	gnu/javax/print/ipp/attribute/supported/
	MultipleDocumentJobsSupported.java, 
	gnu/javax/print/ipp/attribute/supported/MediaSupported.java,
	gnu/javax/print/ipp/attribute/supported/JobSheetsSupported.java,
	gnu/javax/print/ipp/attribute/supported/JobHoldUntilSupported.java,
	gnu/javax/print/ipp/attribute/supported/IppVersionsSupported.java,
	gnu/javax/print/ipp/attribute/supported/
	GeneratedNaturalLanguageSupported.java,
	gnu/javax/print/ipp/attribute/supported/FinishingsSupported.java,
	gnu/javax/print/ipp/attribute/supported/DocumentFormatSupported.java,
	gnu/javax/print/ipp/attribute/supported/CompressionSupported.java,
	gnu/javax/print/ipp/attribute/supported/CharsetSupported.java:
	New supported attribute files.
	* gnu/javax/print/ipp/attribute/printer/CharsetConfigured.java,
	gnu/javax/print/ipp/attribute/printer/DocumentFormat.java,
	gnu/javax/print/ipp/attribute/printer/MultipleOperationTimeOut.java,
	gnu/javax/print/ipp/attribute/printer/NaturalLanguageConfigured.java,
	gnu/javax/print/ipp/attribute/printer/PrinterCurrentTime.java,
	gnu/javax/print/ipp/attribute/printer/PrinterDriverInstaller.java,
	gnu/javax/print/ipp/attribute/printer/PrinterStateMessage.java,
	gnu/javax/print/ipp/attribute/printer/PrinterUpTime.java:
	New printer description attribute files.
	* gnu/javax/print/ipp/attribute/job/AttributesCharset.java,
	gnu/javax/print/ipp/attribute/job/AttributesNaturalLanguage.java,
	gnu/javax/print/ipp/attribute/job/JobDetailedStatusMessages.java,
	gnu/javax/print/ipp/attribute/job/JobDocumentAccessErrors.java,
	gnu/javax/print/ipp/attribute/job/JobPrinterUri.java,
	gnu/javax/print/ipp/attribute/job/JobId.java,
	gnu/javax/print/ipp/attribute/job/JobMoreInfo.java,
	gnu/javax/print/ipp/attribute/job/JobUri.java,
	gnu/javax/print/ipp/attribute/job/JobStateMessage.java:
	New job description attribute files.
	* gnu/javax/print/ipp/attribute/defaults/CopiesDefault.java,
	gnu/javax/print/ipp/attribute/defaults/DocumentFormatDefault.java,
	gnu/javax/print/ipp/attribute/defaults/FinishingsDefault.java,
	gnu/javax/print/ipp/attribute/defaults/JobHoldUntilDefault.java,
	gnu/javax/print/ipp/attribute/defaults/JobPriorityDefault.java,
	gnu/javax/print/ipp/attribute/defaults/JobSheetsDefault.java,
	gnu/javax/print/ipp/attribute/defaults/MediaDefault.java,
	gnu/javax/print/ipp/attribute/defaults/
	MultipleDocumentHandlingDefault.java,
	gnu/javax/print/ipp/attribute/defaults/NumberUpDefault.java,
	gnu/javax/print/ipp/attribute/defaults/OrientationRequestedDefault.java,
	gnu/javax/print/ipp/attribute/defaults/PrinterResolutionDefault.java,
	gnu/javax/print/ipp/attribute/defaults/PrintQualityDefault.java,
	gnu/javax/print/ipp/attribute/defaults/SidesDefault.java:
	New default printing attribute files.
	* resource/gnu/javax/print/PrinterDialog.properties: New file.
	* resource/gnu/javax/print/PrinterDialog_de.properties: Likewise.
	* examples/gnu/classpath/examples/print/Demo.java: 
	New demo application of the current implemented functionality.

2006-03-13  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* java/rmi/activation/ActivationGroupDesc.java: Implemented.
	java/rmi/activation/ActivationDesc.java.java,
